#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc0150242, "ata_qc_get_active" },
	{ 0x826bcb07, "ata_qc_complete_multiple" },
	{ 0xc2797ea9, "ata_sff_softreset" },
	{ 0x8f874567, "sata_std_hardreset" },
	{ 0x4fdc945d, "sata_deb_timing_normal" },
	{ 0xcccfb2fa, "sata_deb_timing_hotplug" },
	{ 0x1133c59d, "sata_link_hardreset" },
	{ 0x71216448, "sata_scr_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x34dd489d, "ata_bmdma_qc_issue" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0x75e05fa3, "ata_sff_queue_pio_task" },
	{ 0xe9532011, "ata_ehi_clear_desc" },
	{ 0x336fa29d, "ata_ehi_push_desc" },
	{ 0xb7f5b61d, "ata_link_abort" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x22dcbb0, "sata_scr_write_flush" },
	{ 0xf04d663b, "ata_bmdma_port_intr" },
	{ 0xc3125095, "ata_link_offline" },
	{ 0x8e2f5993, "ata_port_abort" },
	{ 0x2f9fbb0e, "sata_async_notification" },
	{ 0xc446f125, "ata_pci_remove_one" },
	{ 0x87268ac9, "ata_pci_device_suspend" },
	{ 0x827bfc68, "ata_bmdma_port_ops" },
	{ 0x5d89776f, "ata_sff_port_ops" },
	{ 0x2aec615, "ata_scsi_queuecmd" },
	{ 0x73c2bb7e, "ata_scsi_ioctl" },
	{ 0xefe682a3, "ata_scsi_slave_alloc" },
	{ 0x1c8c5114, "ata_scsi_slave_config" },
	{ 0xf0fd782b, "ata_scsi_slave_destroy" },
	{ 0x8e676b7a, "ata_scsi_change_queue_depth" },
	{ 0x472ed740, "ata_scsi_dma_need_drain" },
	{ 0x216ceee9, "ata_std_bios_param" },
	{ 0xdd2099f0, "ata_scsi_unlock_native_capacity" },
	{ 0xdf56952b, "ata_ncq_sdev_groups" },
	{ 0x61f6990d, "ata_common_sdev_groups" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0x56c88e50, "__platform_driver_register" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4f791397, "_dev_err" },
	{ 0xa7d905f1, "ata_host_suspend" },
	{ 0xc5d6130f, "ata_host_detach" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x2e1ca751, "clk_put" },
	{ 0x699e4199, "phy_power_off" },
	{ 0x96848186, "scnprintf" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb19b445, "ioread8" },
	{ 0xcda31af6, "ata_eh_analyze_ncq_error" },
	{ 0x29c0d391, "ata_port_freeze" },
	{ 0xaf89c89, "sata_pmp_error_handler" },
	{ 0x93d26c1b, "dmam_pool_create" },
	{ 0x6e9cfd60, "platform_driver_unregister" },
	{ 0x4d5d5849, "pci_read_config_dword" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xca315ae6, "ata_sff_dma_pause" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xc632e4b2, "_dev_alert" },
	{ 0xe14146de, "ata_host_resume" },
	{ 0xbc03a2a0, "platform_get_resource" },
	{ 0x767dc963, "platform_get_irq" },
	{ 0x6972d519, "ata_host_alloc_pinfo" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x62f0b68c, "devm_ioremap" },
	{ 0xab126b9e, "clk_get" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x561a91b, "devm_phy_optional_get" },
	{ 0x311a972b, "phy_power_on" },
	{ 0x815588a6, "clk_enable" },
	{ 0xe2b2a1f4, "ata_print_version" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xc6506f56, "ata_host_activate" },
	{ 0x4375abc9, "_dev_notice" },
	{ 0x5477b4c9, "ata_pci_device_do_resume" },
	{ 0xf3eabe1b, "pcim_enable_device" },
	{ 0x1191b14e, "pcim_iomap_regions" },
	{ 0x9c25f90f, "pcim_iomap_table" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0xf7333e3e, "dma_set_coherent_mask" },
	{ 0x97ffb671, "ata_port_pbar_desc" },
	{ 0x46f6d1bf, "pci_read_config_byte" },
	{ 0xb7552679, "pcim_pin_device" },
	{ 0x8ff07f07, "pci_enable_msi" },
	{ 0x88398556, "pci_set_master" },
	{ 0xdd98e22a, "pci_try_set_mwi" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "libata");

MODULE_ALIAS("pci:v000011ABd00005040sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00005041sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00005080sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00005081sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00001720sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00001740sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00001742sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00006040sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00006041sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00006042sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00006080sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00006081sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00009005d00000241sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00009005d00000243sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00007042sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00002300sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00002310sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "EA49F0AC6AA2B746DAF2A2A");

MODULE_INFO(suserelease, "ALP-0.1");
