#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(hci_uart_tx_wakeup, 0xc8a653f6, "_gpl");
SYMBOL_CRC(hci_uart_register_device_priv, 0x12eeafff, "_gpl");
SYMBOL_CRC(hci_uart_register_device, 0x3f43a13b, "_gpl");
SYMBOL_CRC(hci_uart_unregister_device, 0x969359a7, "_gpl");
SYMBOL_CRC(h4_recv_buf, 0xf523160f, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd0535ad0, "desc_to_gpio" },
	{ 0x527eced8, "hci_recv_frame" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xa8ed75c5, "qca_read_soc_version" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0x3b53d3e1, "serdev_device_close" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x34480e53, "devm_gpiod_get" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5641485b, "tty_termios_encode_baud_rate" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xbea81f13, "__percpu_down_read" },
	{ 0xff81487d, "gpiod_remove_lookup_table" },
	{ 0xc820e169, "btbcm_write_pcm_int_params" },
	{ 0x2e424abe, "btbcm_set_bdaddr" },
	{ 0x81757ad5, "tty_unthrottle" },
	{ 0xd9225956, "hci_reset_dev" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x1597f585, "btbcm_check_bdaddr" },
	{ 0xab9a8cb9, "rcuwait_wake_up" },
	{ 0xbcfa77bb, "acpi_dev_get_property" },
	{ 0xe8e39fb, "qca_set_bdaddr_rome" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x59142c99, "__pm_runtime_suspend" },
	{ 0x1a0f4614, "hci_register_dev" },
	{ 0x984422af, "qca_set_bdaddr" },
	{ 0x214e4265, "bt_warn" },
	{ 0xbab879a0, "__pm_runtime_use_autosuspend" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x8db516a7, "btintel_enter_mfg" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0xd727cb0d, "__hci_cmd_sync" },
	{ 0x7d7b5350, "debugfs_create_u8" },
	{ 0xf944eed, "__pm_runtime_disable" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0x815588a6, "clk_enable" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xdc6699cb, "acpi_dev_free_resource_list" },
	{ 0x12c69a3, "hci_recv_diag" },
	{ 0x36d301e3, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x6afa2881, "percpu_free_rwsem" },
	{ 0x94d18bb9, "gpiod_get_value_cansleep" },
	{ 0x4ed351ea, "tty_set_termios" },
	{ 0xf343cb89, "device_property_present" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb0f4a3d0, "is_acpi_device_node" },
	{ 0x26518e1, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb99525b6, "devm_request_threaded_irq" },
	{ 0x4ffcdc83, "percpu_down_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0xabe460aa, "skb_put" },
	{ 0xb3a91279, "gpiod_set_value" },
	{ 0x4e4b488a, "tty_register_ldisc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc5e5c5e9, "serdev_device_set_baudrate" },
	{ 0x6e9cfd60, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xae73a5f3, "hci_free_dev" },
	{ 0x767dc963, "platform_get_irq" },
	{ 0x554d280d, "btintel_check_bdaddr" },
	{ 0x908d357f, "btbcm_finalize" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe4761504, "btrtl_download_firmware" },
	{ 0x7a6aa5bb, "skb_dequeue" },
	{ 0x4c4f91e6, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x91d60580, "finish_wait" },
	{ 0x55e9f9a4, "btintel_send_intel_reset" },
	{ 0x8058048f, "nvmem_cell_get" },
	{ 0xed01c46e, "gpiod_set_value_cansleep" },
	{ 0xbc975a81, "request_firmware" },
	{ 0x570d9095, "btintel_download_firmware" },
	{ 0xc771b730, "btbcm_initialize" },
	{ 0xc797a558, "serdev_device_set_flow_control" },
	{ 0xef5fd8ec, "btrtl_initialize" },
	{ 0x1636369, "gpiod_to_irq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x559bbf7d, "hci_alloc_dev_priv" },
	{ 0xa8104fcc, "btintel_read_version" },
	{ 0x37a0cba, "kfree" },
	{ 0x6094231, "qca_send_pre_shutdown_cmd" },
	{ 0xd4dde7e, "serdev_device_open" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x556cca46, "x86_apple_machine" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xd75729f6, "btintel_version_info" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0x26d0e93e, "dev_kfree_skb_irq_reason" },
	{ 0xceee7e08, "devm_gpiod_get_optional" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x88adb634, "__wake_up" },
	{ 0x97c0e82b, "__module_get" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xd1cd0215, "get_device" },
	{ 0xe57dc252, "btintel_set_bdaddr" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x84f6611, "serdev_device_set_parity" },
	{ 0x27e1248f, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbd7bf3bd, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9cdef016, "__pm_runtime_set_status" },
	{ 0x85540ebc, "nvmem_cell_put" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xf14f5ed0, "acpi_dev_get_resources" },
	{ 0xaf78f260, "btrtl_free" },
	{ 0xd2662269, "device_reprobe" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc4b46e33, "btrtl_get_uart_settings" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x405be82d, "put_device" },
	{ 0x33192a07, "devm_free_irq" },
	{ 0x9616d920, "tty_driver_flush_buffer" },
	{ 0x7a073097, "pm_runtime_enable" },
	{ 0x3e42355, "btintel_exit_mfg" },
	{ 0x27dfcba1, "btintel_set_diag" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0xc50bc05f, "regulator_bulk_disable" },
	{ 0x21a28cf5, "device_property_read_u32_array" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x401ef78b, "__hci_cmd_sync_status" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x8b149c36, "clk_is_match" },
	{ 0xc6cbbc89, "capable" },
	{ 0xeafd96d1, "skb_queue_tail" },
	{ 0xc40a13ae, "module_put" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0x889d3b29, "device_wakeup_disable" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x70841b9c, "btbcm_read_pcm_int_params" },
	{ 0x87cb1ed8, "percpu_up_write" },
	{ 0xb4510e38, "regulator_set_load" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x158cdbc6, "devm_acpi_dev_add_driver_gpios" },
	{ 0x4f791397, "_dev_err" },
	{ 0xe9fcd5f9, "device_wakeup_enable" },
	{ 0xfa64da45, "debugfs_create_bool" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0xc5b82019, "device_property_read_u8_array" },
	{ 0xbfc3dff9, "devm_clk_put" },
	{ 0x40ba9614, "serdev_device_write_flush" },
	{ 0x7908cf17, "serdev_device_get_tiocm" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4071b517, "out_of_line_wait_on_bit_timeout" },
	{ 0xfc37a9ce, "irq_get_irq_data" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0x370b1ede, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xd5c79f36, "btrtl_set_quirks" },
	{ 0x29157a8e, "skb_push" },
	{ 0x64cd93f7, "btintel_load_ddc_config" },
	{ 0xeac0d839, "n_tty_ioctl_helper" },
	{ 0xdffcef2d, "debugfs_create_u64" },
	{ 0x32d404ab, "driver_unregister" },
	{ 0x7b5ce5c3, "baswap" },
	{ 0xf4168518, "btintel_set_event_mask_mfg" },
	{ 0xb9ad5baf, "tty_ldisc_flush" },
	{ 0x342000a8, "__percpu_init_rwsem" },
	{ 0x7a9971cb, "dev_coredumpv" },
	{ 0x2089f5dd, "serdev_device_wait_until_sent" },
	{ 0xe7c50d0b, "__serdev_device_driver_register" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xacdd246b, "qca_uart_setup" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xcb24f45a, "device_get_match_data" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd46d311, "debugfs_create_u32" },
	{ 0xdc1db885, "acpi_match_device" },
	{ 0x1d883b57, "serdev_device_set_tiocm" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0x718b8b7, "bt_info" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x426ba33c, "regulator_bulk_enable" },
	{ 0x462a489a, "devm_regulator_bulk_get" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0xc5c3f6e6, "btintel_read_boot_params" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xc9d572ea, "serdev_device_write_buf" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7883e192, "tty_unregister_ldisc" },
	{ 0x56c88e50, "__platform_driver_register" },
	{ 0xf954dd93, "devm_clk_get_optional" },
	{ 0xc21719df, "__hci_cmd_sync_ev" },
	{ 0xf8353de1, "hci_unregister_dev" },
	{ 0x38aa1397, "gpiod_add_lookup_table" },
	{ 0x999e8297, "vfree" },
	{ 0x44bae227, "bit_wait_timeout" },
	{ 0x1c9957f, "__pm_runtime_resume" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "bluetooth,btqca,btbcm,btintel,btrtl");

MODULE_ALIAS("of:N*T*Cti,cc2560");
MODULE_ALIAS("of:N*T*Cti,cc2560C*");
MODULE_ALIAS("of:N*T*Cti,wl1271-st");
MODULE_ALIAS("of:N*T*Cti,wl1271-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1273-st");
MODULE_ALIAS("of:N*T*Cti,wl1273-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1281-st");
MODULE_ALIAS("of:N*T*Cti,wl1281-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1283-st");
MODULE_ALIAS("of:N*T*Cti,wl1283-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1285-st");
MODULE_ALIAS("of:N*T*Cti,wl1285-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1801-st");
MODULE_ALIAS("of:N*T*Cti,wl1801-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1805-st");
MODULE_ALIAS("of:N*T*Cti,wl1805-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1807-st");
MODULE_ALIAS("of:N*T*Cti,wl1807-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1831-st");
MODULE_ALIAS("of:N*T*Cti,wl1831-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1835-st");
MODULE_ALIAS("of:N*T*Cti,wl1835-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1837-st");
MODULE_ALIAS("of:N*T*Cti,wl1837-stC*");
MODULE_ALIAS("acpi*:QCOM6390:*");
MODULE_ALIAS("acpi*:DLA16390:*");
MODULE_ALIAS("acpi*:DLB16390:*");
MODULE_ALIAS("acpi*:DLB26390:*");
MODULE_ALIAS("of:N*T*Cmrvl,88w8897");
MODULE_ALIAS("of:N*T*Cmrvl,88w8897C*");
MODULE_ALIAS("of:N*T*Cmrvl,88w8997");
MODULE_ALIAS("of:N*T*Cmrvl,88w8997C*");
MODULE_ALIAS("acpi*:BCM2E00:*");
MODULE_ALIAS("acpi*:BCM2E01:*");
MODULE_ALIAS("acpi*:BCM2E02:*");
MODULE_ALIAS("acpi*:BCM2E03:*");
MODULE_ALIAS("acpi*:BCM2E04:*");
MODULE_ALIAS("acpi*:BCM2E05:*");
MODULE_ALIAS("acpi*:BCM2E06:*");
MODULE_ALIAS("acpi*:BCM2E07:*");
MODULE_ALIAS("acpi*:BCM2E08:*");
MODULE_ALIAS("acpi*:BCM2E09:*");
MODULE_ALIAS("acpi*:BCM2E0A:*");
MODULE_ALIAS("acpi*:BCM2E0B:*");
MODULE_ALIAS("acpi*:BCM2E0C:*");
MODULE_ALIAS("acpi*:BCM2E0D:*");
MODULE_ALIAS("acpi*:BCM2E0E:*");
MODULE_ALIAS("acpi*:BCM2E0F:*");
MODULE_ALIAS("acpi*:BCM2E10:*");
MODULE_ALIAS("acpi*:BCM2E11:*");
MODULE_ALIAS("acpi*:BCM2E12:*");
MODULE_ALIAS("acpi*:BCM2E13:*");
MODULE_ALIAS("acpi*:BCM2E14:*");
MODULE_ALIAS("acpi*:BCM2E15:*");
MODULE_ALIAS("acpi*:BCM2E16:*");
MODULE_ALIAS("acpi*:BCM2E17:*");
MODULE_ALIAS("acpi*:BCM2E18:*");
MODULE_ALIAS("acpi*:BCM2E19:*");
MODULE_ALIAS("acpi*:BCM2E1A:*");
MODULE_ALIAS("acpi*:BCM2E1B:*");
MODULE_ALIAS("acpi*:BCM2E1C:*");
MODULE_ALIAS("acpi*:BCM2E1D:*");
MODULE_ALIAS("acpi*:BCM2E1F:*");
MODULE_ALIAS("acpi*:BCM2E20:*");
MODULE_ALIAS("acpi*:BCM2E21:*");
MODULE_ALIAS("acpi*:BCM2E22:*");
MODULE_ALIAS("acpi*:BCM2E23:*");
MODULE_ALIAS("acpi*:BCM2E24:*");
MODULE_ALIAS("acpi*:BCM2E25:*");
MODULE_ALIAS("acpi*:BCM2E26:*");
MODULE_ALIAS("acpi*:BCM2E27:*");
MODULE_ALIAS("acpi*:BCM2E28:*");
MODULE_ALIAS("acpi*:BCM2E29:*");
MODULE_ALIAS("acpi*:BCM2E2A:*");
MODULE_ALIAS("acpi*:BCM2E2B:*");
MODULE_ALIAS("acpi*:BCM2E2C:*");
MODULE_ALIAS("acpi*:BCM2E2D:*");
MODULE_ALIAS("acpi*:BCM2E2E:*");
MODULE_ALIAS("acpi*:BCM2E2F:*");
MODULE_ALIAS("acpi*:BCM2E30:*");
MODULE_ALIAS("acpi*:BCM2E31:*");
MODULE_ALIAS("acpi*:BCM2E32:*");
MODULE_ALIAS("acpi*:BCM2E33:*");
MODULE_ALIAS("acpi*:BCM2E34:*");
MODULE_ALIAS("acpi*:BCM2E35:*");
MODULE_ALIAS("acpi*:BCM2E36:*");
MODULE_ALIAS("acpi*:BCM2E37:*");
MODULE_ALIAS("acpi*:BCM2E38:*");
MODULE_ALIAS("acpi*:BCM2E39:*");
MODULE_ALIAS("acpi*:BCM2E3A:*");
MODULE_ALIAS("acpi*:BCM2E3B:*");
MODULE_ALIAS("acpi*:BCM2E3C:*");
MODULE_ALIAS("acpi*:BCM2E3D:*");
MODULE_ALIAS("acpi*:BCM2E3E:*");
MODULE_ALIAS("acpi*:BCM2E3F:*");
MODULE_ALIAS("acpi*:BCM2E40:*");
MODULE_ALIAS("acpi*:BCM2E41:*");
MODULE_ALIAS("acpi*:BCM2E42:*");
MODULE_ALIAS("acpi*:BCM2E43:*");
MODULE_ALIAS("acpi*:BCM2E44:*");
MODULE_ALIAS("acpi*:BCM2E45:*");
MODULE_ALIAS("acpi*:BCM2E46:*");
MODULE_ALIAS("acpi*:BCM2E47:*");
MODULE_ALIAS("acpi*:BCM2E48:*");
MODULE_ALIAS("acpi*:BCM2E49:*");
MODULE_ALIAS("acpi*:BCM2E4A:*");
MODULE_ALIAS("acpi*:BCM2E4B:*");
MODULE_ALIAS("acpi*:BCM2E4C:*");
MODULE_ALIAS("acpi*:BCM2E4D:*");
MODULE_ALIAS("acpi*:BCM2E4E:*");
MODULE_ALIAS("acpi*:BCM2E4F:*");
MODULE_ALIAS("acpi*:BCM2E50:*");
MODULE_ALIAS("acpi*:BCM2E51:*");
MODULE_ALIAS("acpi*:BCM2E52:*");
MODULE_ALIAS("acpi*:BCM2E53:*");
MODULE_ALIAS("acpi*:BCM2E54:*");
MODULE_ALIAS("acpi*:BCM2E55:*");
MODULE_ALIAS("acpi*:BCM2E56:*");
MODULE_ALIAS("acpi*:BCM2E57:*");
MODULE_ALIAS("acpi*:BCM2E58:*");
MODULE_ALIAS("acpi*:BCM2E59:*");
MODULE_ALIAS("acpi*:BCM2E5A:*");
MODULE_ALIAS("acpi*:BCM2E5B:*");
MODULE_ALIAS("acpi*:BCM2E5C:*");
MODULE_ALIAS("acpi*:BCM2E5D:*");
MODULE_ALIAS("acpi*:BCM2E5E:*");
MODULE_ALIAS("acpi*:BCM2E5F:*");
MODULE_ALIAS("acpi*:BCM2E60:*");
MODULE_ALIAS("acpi*:BCM2E61:*");
MODULE_ALIAS("acpi*:BCM2E62:*");
MODULE_ALIAS("acpi*:BCM2E63:*");
MODULE_ALIAS("acpi*:BCM2E64:*");
MODULE_ALIAS("acpi*:BCM2E65:*");
MODULE_ALIAS("acpi*:BCM2E66:*");
MODULE_ALIAS("acpi*:BCM2E67:*");
MODULE_ALIAS("acpi*:BCM2E68:*");
MODULE_ALIAS("acpi*:BCM2E69:*");
MODULE_ALIAS("acpi*:BCM2E6B:*");
MODULE_ALIAS("acpi*:BCM2E6D:*");
MODULE_ALIAS("acpi*:BCM2E6E:*");
MODULE_ALIAS("acpi*:BCM2E6F:*");
MODULE_ALIAS("acpi*:BCM2E70:*");
MODULE_ALIAS("acpi*:BCM2E71:*");
MODULE_ALIAS("acpi*:BCM2E72:*");
MODULE_ALIAS("acpi*:BCM2E73:*");
MODULE_ALIAS("acpi*:BCM2E74:*");
MODULE_ALIAS("acpi*:BCM2E75:*");
MODULE_ALIAS("acpi*:BCM2E76:*");
MODULE_ALIAS("acpi*:BCM2E77:*");
MODULE_ALIAS("acpi*:BCM2E78:*");
MODULE_ALIAS("acpi*:BCM2E79:*");
MODULE_ALIAS("acpi*:BCM2E7A:*");
MODULE_ALIAS("acpi*:BCM2E7B:*");
MODULE_ALIAS("acpi*:BCM2E7C:*");
MODULE_ALIAS("acpi*:BCM2E7D:*");
MODULE_ALIAS("acpi*:BCM2E7E:*");
MODULE_ALIAS("acpi*:BCM2E7F:*");
MODULE_ALIAS("acpi*:BCM2E80:*");
MODULE_ALIAS("acpi*:BCM2E81:*");
MODULE_ALIAS("acpi*:BCM2E82:*");
MODULE_ALIAS("acpi*:BCM2E83:*");
MODULE_ALIAS("acpi*:BCM2E84:*");
MODULE_ALIAS("acpi*:BCM2E85:*");
MODULE_ALIAS("acpi*:BCM2E86:*");
MODULE_ALIAS("acpi*:BCM2E87:*");
MODULE_ALIAS("acpi*:BCM2E88:*");
MODULE_ALIAS("acpi*:BCM2E89:*");
MODULE_ALIAS("acpi*:BCM2E8A:*");
MODULE_ALIAS("acpi*:BCM2E8B:*");
MODULE_ALIAS("acpi*:BCM2E8C:*");
MODULE_ALIAS("acpi*:BCM2E8D:*");
MODULE_ALIAS("acpi*:BCM2E8E:*");
MODULE_ALIAS("acpi*:BCM2E90:*");
MODULE_ALIAS("acpi*:BCM2E92:*");
MODULE_ALIAS("acpi*:BCM2E93:*");
MODULE_ALIAS("acpi*:BCM2E94:*");
MODULE_ALIAS("acpi*:BCM2E95:*");
MODULE_ALIAS("acpi*:BCM2E96:*");
MODULE_ALIAS("acpi*:BCM2E97:*");
MODULE_ALIAS("acpi*:BCM2E98:*");
MODULE_ALIAS("acpi*:BCM2E99:*");
MODULE_ALIAS("acpi*:BCM2E9A:*");
MODULE_ALIAS("acpi*:BCM2E9B:*");
MODULE_ALIAS("acpi*:BCM2E9C:*");
MODULE_ALIAS("acpi*:BCM2E9D:*");
MODULE_ALIAS("acpi*:BCM2E9F:*");
MODULE_ALIAS("acpi*:BCM2EA0:*");
MODULE_ALIAS("acpi*:BCM2EA1:*");
MODULE_ALIAS("acpi*:BCM2EA2:*");
MODULE_ALIAS("acpi*:BCM2EA3:*");
MODULE_ALIAS("acpi*:BCM2EA4:*");
MODULE_ALIAS("acpi*:BCM2EA5:*");
MODULE_ALIAS("acpi*:BCM2EA6:*");
MODULE_ALIAS("acpi*:BCM2EA7:*");
MODULE_ALIAS("acpi*:BCM2EA8:*");
MODULE_ALIAS("acpi*:BCM2EA9:*");
MODULE_ALIAS("acpi*:BCM2EAA:*");
MODULE_ALIAS("acpi*:BCM2EAB:*");
MODULE_ALIAS("acpi*:BCM2EAC:*");
MODULE_ALIAS("of:N*T*Crealtek,rtl8822cs-bt");
MODULE_ALIAS("of:N*T*Crealtek,rtl8822cs-btC*");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723bs-bt");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723bs-btC*");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723cs-bt");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723cs-btC*");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723ds-bt");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723ds-btC*");
MODULE_ALIAS("acpi*:INT33E1:*");
MODULE_ALIAS("acpi*:INT33E3:*");
MODULE_ALIAS("acpi*:OBDA0623:*");
MODULE_ALIAS("acpi*:OBDA8723:*");

MODULE_INFO(srcversion, "608A4DBE8F12BFB744C1461");

MODULE_INFO(suserelease, "ALP-0.1");
