#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mhi_register_controller, 0xc7351402, "_gpl");
SYMBOL_CRC(mhi_unregister_controller, 0x08245996, "_gpl");
SYMBOL_CRC(mhi_alloc_controller, 0x30b92df3, "_gpl");
SYMBOL_CRC(mhi_free_controller, 0xea86dbbd, "_gpl");
SYMBOL_CRC(mhi_prepare_for_power_up, 0x5749ef63, "_gpl");
SYMBOL_CRC(mhi_unprepare_after_power_down, 0x8cb76e6a, "_gpl");
SYMBOL_CRC(__mhi_driver_register, 0x88603d29, "_gpl");
SYMBOL_CRC(mhi_driver_unregister, 0xc1e3cd09, "_gpl");
SYMBOL_CRC(mhi_get_exec_env, 0x725ae94d, "_gpl");
SYMBOL_CRC(mhi_get_mhi_state, 0xa9ff3d73, "_gpl");
SYMBOL_CRC(mhi_soc_reset, 0xd0ac352c, "_gpl");
SYMBOL_CRC(mhi_get_free_desc_count, 0x7858efce, "_gpl");
SYMBOL_CRC(mhi_notify, 0x48217bd1, "_gpl");
SYMBOL_CRC(mhi_queue_skb, 0xcfbee5e8, "_gpl");
SYMBOL_CRC(mhi_queue_dma, 0x88e94100, "_gpl");
SYMBOL_CRC(mhi_queue_buf, 0x625d3496, "_gpl");
SYMBOL_CRC(mhi_queue_is_full, 0x11fb031c, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer, 0x01b39d75, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer_autoqueue, 0x4b1a4635, "_gpl");
SYMBOL_CRC(mhi_unprepare_from_transfer, 0xc76264f2, "_gpl");
SYMBOL_CRC(mhi_pm_suspend, 0xf6e6f2d1, "_gpl");
SYMBOL_CRC(mhi_pm_resume, 0x0b7418de, "_gpl");
SYMBOL_CRC(mhi_pm_resume_force, 0xe38566ab, "_gpl");
SYMBOL_CRC(mhi_async_power_up, 0xcba80e1a, "_gpl");
SYMBOL_CRC(mhi_power_down, 0x85ec0959, "_gpl");
SYMBOL_CRC(mhi_power_down_keep_dev, 0xfc047e4f, "_gpl");
SYMBOL_CRC(mhi_sync_power_up, 0xa43d5fb3, "");
SYMBOL_CRC(mhi_force_rddm_mode, 0x042651a1, "_gpl");
SYMBOL_CRC(mhi_device_get, 0x10d36b6a, "_gpl");
SYMBOL_CRC(mhi_device_get_sync, 0xaef518a0, "_gpl");
SYMBOL_CRC(mhi_device_put, 0xc140910c, "_gpl");
SYMBOL_CRC(mhi_download_rddm_image, 0x4ef65283, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfcec0987, "enable_irq" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x97ea5c20, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0x88adb634, "__wake_up" },
	{ 0xd1cd0215, "get_device" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaf6f126a, "dma_map_page_attrs" },
	{ 0x70095ee3, "pm_wakeup_dev_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x405be82d, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x448d0691, "rt_write_unlock" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xab5031e5, "bus_unregister" },
	{ 0x4f791397, "_dev_err" },
	{ 0xe9fcd5f9, "device_wakeup_enable" },
	{ 0x6059e10c, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x983c1964, "ida_free" },
	{ 0x32d404ab, "driver_unregister" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2a795e6d, "device_del" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x77efd3d2, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3a188989, "rt_read_lock" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x18dee5e1, "rt_read_unlock" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x66852c83, "rt_write_lock" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0xe6bcac2c, "single_release" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0xd34f2e1b, "single_open" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0x882168e, "driver_register" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xa7973e26, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xad52e80a, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x26518e1, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x91d60580, "finish_wait" },
	{ 0xecdd40fa, "dma_unmap_page_attrs" },
	{ 0xbc975a81, "request_firmware" },
	{ 0x2de57d2c, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0E39CFD24536908AB2973B9");

MODULE_INFO(suserelease, "ALP-0.1");
