#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cs_dsp_mem_region_name, 0x144d6986, "_gpl");
SYMBOL_CRC(cs_dsp_init_debugfs, 0x45edd4cf, "_gpl");
SYMBOL_CRC(cs_dsp_cleanup_debugfs, 0x5e9e0e2c, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_acked_control, 0xdb05c32e, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_ctrl, 0x29cb390a, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_read_ctrl, 0xb8b6ac90, "_gpl");
SYMBOL_CRC(cs_dsp_get_ctl, 0x8bfb9073, "_gpl");
SYMBOL_CRC(cs_dsp_find_alg_region, 0x38806247, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_init, 0x0cbced73, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_up, 0x63378d3d, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_down, 0xb1cf62f1, "_gpl");
SYMBOL_CRC(cs_dsp_set_dspclk, 0x4603e217, "_gpl");
SYMBOL_CRC(cs_dsp_power_up, 0x23e29351, "_gpl");
SYMBOL_CRC(cs_dsp_power_down, 0x78874b21, "_gpl");
SYMBOL_CRC(cs_dsp_run, 0xdfdeaa52, "_gpl");
SYMBOL_CRC(cs_dsp_stop, 0xee9c5b49, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_init, 0x6caded03, "_gpl");
SYMBOL_CRC(cs_dsp_halo_init, 0x0b7f7da4, "_gpl");
SYMBOL_CRC(cs_dsp_remove, 0xd296f515, "_gpl");
SYMBOL_CRC(cs_dsp_read_raw_data_block, 0xa3816354, "_gpl");
SYMBOL_CRC(cs_dsp_read_data_word, 0x7aa033f6, "_gpl");
SYMBOL_CRC(cs_dsp_write_data_word, 0x21566364, "_gpl");
SYMBOL_CRC(cs_dsp_remove_padding, 0x4e5562f8, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_bus_error, 0x80825a32, "_gpl");
SYMBOL_CRC(cs_dsp_halo_bus_error, 0x25f9d924, "_gpl");
SYMBOL_CRC(cs_dsp_halo_wdt_expire, 0x3d230fc8, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_write, 0x6e0cce2d, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_flush, 0x9e324cb0, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_read, 0xb6c0d9e7, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xffab3d65, "regmap_raw_write" },
	{ 0xff9be668, "regmap_raw_read" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x56470118, "__warn_printk" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5a921311, "strncmp" },
	{ 0xd2bec633, "regmap_read" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x482d8969, "regmap_update_bits_base" },
	{ 0x25a65fbc, "regmap_write" },
	{ 0x83973eb7, "regmap_multi_reg_write" },
	{ 0x82de7b6, "regmap_bulk_read" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x6a7b0bc1, "devm_kasprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x9858d189, "regmap_async_complete" },
	{ 0x999e8297, "vfree" },
	{ 0x238c1395, "regmap_raw_write_async" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xca100241, "seq_lseek" },
	{ 0x77efd3d2, "seq_read" },
	{ 0xe6bcac2c, "single_release" },
	{ 0x18ea64a7, "simple_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0xfa64da45, "debugfs_create_bool" },
	{ 0xe8ba66a0, "debugfs_create_x32" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0xd34f2e1b, "single_open" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4f791397, "_dev_err" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x754d539c, "strlen" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x37a0cba, "kfree" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6CA5CFE49DEE46606C8B93A");

MODULE_INFO(suserelease, "ALP-0.1");
