#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(drm_dp_dual_mode_read, 0xf50c90e6, "");
SYMBOL_CRC(drm_dp_dual_mode_write, 0x13cbefd1, "");
SYMBOL_CRC(drm_dp_dual_mode_detect, 0xa20d0f28, "");
SYMBOL_CRC(drm_dp_dual_mode_max_tmds_clock, 0x9881f059, "");
SYMBOL_CRC(drm_dp_dual_mode_get_tmds_output, 0xd4ed1e33, "");
SYMBOL_CRC(drm_dp_dual_mode_set_tmds_output, 0x9dffd9ce, "");
SYMBOL_CRC(drm_dp_get_dual_mode_type_name, 0x5407ae9e, "");
SYMBOL_CRC(drm_lspcon_get_mode, 0x21eeac38, "");
SYMBOL_CRC(drm_lspcon_set_mode, 0xbef89f61, "");
SYMBOL_CRC(drm_dp_channel_eq_ok, 0xedcf81ce, "");
SYMBOL_CRC(drm_dp_clock_recovery_ok, 0x8d701329, "");
SYMBOL_CRC(drm_dp_get_adjust_request_voltage, 0xc5c99a79, "");
SYMBOL_CRC(drm_dp_get_adjust_request_pre_emphasis, 0x582f248e, "");
SYMBOL_CRC(drm_dp_get_adjust_tx_ffe_preset, 0xccf54d5e, "");
SYMBOL_CRC(drm_dp_128b132b_lane_channel_eq_done, 0xc8b6a8ae, "");
SYMBOL_CRC(drm_dp_128b132b_lane_symbol_locked, 0xd5a95eae, "");
SYMBOL_CRC(drm_dp_128b132b_eq_interlane_align_done, 0x6a4df8c5, "");
SYMBOL_CRC(drm_dp_128b132b_cds_interlane_align_done, 0x92b9835e, "");
SYMBOL_CRC(drm_dp_128b132b_link_training_failed, 0x6aacee47, "");
SYMBOL_CRC(drm_dp_read_clock_recovery_delay, 0x84407d09, "");
SYMBOL_CRC(drm_dp_read_channel_eq_delay, 0xaf07eb4a, "");
SYMBOL_CRC(drm_dp_128b132b_read_aux_rd_interval, 0x84974ba0, "");
SYMBOL_CRC(drm_dp_link_train_clock_recovery_delay, 0x2ec243cb, "");
SYMBOL_CRC(drm_dp_link_train_channel_eq_delay, 0x2dedd1ae, "");
SYMBOL_CRC(drm_dp_phy_name, 0x5a86f411, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_clock_recovery_delay, 0x1709ddcf, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_channel_eq_delay, 0x9ca110fb, "");
SYMBOL_CRC(drm_dp_link_rate_to_bw_code, 0x26815dbc, "");
SYMBOL_CRC(drm_dp_bw_code_to_link_rate, 0x73011db0, "");
SYMBOL_CRC(drm_dp_dpcd_probe, 0xa1b95c2b, "");
SYMBOL_CRC(drm_dp_dpcd_read, 0xa84875b8, "");
SYMBOL_CRC(drm_dp_dpcd_write, 0x159a4a6c, "");
SYMBOL_CRC(drm_dp_dpcd_read_link_status, 0xd292e367, "");
SYMBOL_CRC(drm_dp_dpcd_read_phy_link_status, 0x8b22a1f5, "");
SYMBOL_CRC(drm_dp_downstream_is_type, 0xc79ecffb, "");
SYMBOL_CRC(drm_dp_downstream_is_tmds, 0x10beff8d, "");
SYMBOL_CRC(drm_dp_send_real_edid_checksum, 0x5a45fdce, "");
SYMBOL_CRC(drm_dp_read_dpcd_caps, 0x83af5c73, "");
SYMBOL_CRC(drm_dp_read_downstream_info, 0x3cf9450f, "");
SYMBOL_CRC(drm_dp_downstream_max_dotclock, 0x392a838b, "");
SYMBOL_CRC(drm_dp_downstream_max_tmds_clock, 0x58b909f2, "");
SYMBOL_CRC(drm_dp_downstream_min_tmds_clock, 0x4dd8bc97, "");
SYMBOL_CRC(drm_dp_downstream_max_bpc, 0xe53574d3, "");
SYMBOL_CRC(drm_dp_downstream_420_passthrough, 0xf689ad25, "");
SYMBOL_CRC(drm_dp_downstream_444_to_420_conversion, 0x2fa94ef2, "");
SYMBOL_CRC(drm_dp_downstream_rgb_to_ycbcr_conversion, 0xfb1a7a5a, "");
SYMBOL_CRC(drm_dp_downstream_mode, 0x1cc8f861, "");
SYMBOL_CRC(drm_dp_downstream_id, 0x46d9ae6f, "");
SYMBOL_CRC(drm_dp_downstream_debug, 0x30631035, "");
SYMBOL_CRC(drm_dp_subconnector_type, 0xf68741fb, "");
SYMBOL_CRC(drm_dp_set_subconnector_property, 0xc6c05072, "");
SYMBOL_CRC(drm_dp_read_sink_count_cap, 0x45ca1aa9, "");
SYMBOL_CRC(drm_dp_read_sink_count, 0x02f7e05a, "");
SYMBOL_CRC(drm_dp_remote_aux_init, 0x0601ab19, "");
SYMBOL_CRC(drm_dp_aux_init, 0x09869b4a, "");
SYMBOL_CRC(drm_dp_aux_register, 0x52d2b30c, "");
SYMBOL_CRC(drm_dp_aux_unregister, 0x2ab1aac4, "");
SYMBOL_CRC(drm_dp_psr_setup_time, 0xa1fefe6a, "");
SYMBOL_CRC(drm_dp_start_crc, 0x1aa7a4b9, "");
SYMBOL_CRC(drm_dp_stop_crc, 0xce09d95e, "");
SYMBOL_CRC(drm_dp_read_desc, 0x56a17aef, "");
SYMBOL_CRC(drm_dp_dsc_sink_max_slice_count, 0x829b6048, "");
SYMBOL_CRC(drm_dp_dsc_sink_line_buf_depth, 0x56a663e9, "");
SYMBOL_CRC(drm_dp_dsc_sink_supported_input_bpcs, 0xa843606e, "");
SYMBOL_CRC(drm_dp_read_lttpr_common_caps, 0xaf0954b1, "");
SYMBOL_CRC(drm_dp_read_lttpr_phy_caps, 0x3b1c57c2, "");
SYMBOL_CRC(drm_dp_lttpr_count, 0xaf267620, "");
SYMBOL_CRC(drm_dp_lttpr_max_link_rate, 0x01c4bba9, "");
SYMBOL_CRC(drm_dp_lttpr_max_lane_count, 0x1605d0ed, "");
SYMBOL_CRC(drm_dp_lttpr_voltage_swing_level_3_supported, 0x1b0a1fdc, "");
SYMBOL_CRC(drm_dp_lttpr_pre_emphasis_level_3_supported, 0x76ff6644, "");
SYMBOL_CRC(drm_dp_get_phy_test_pattern, 0x123e8aa4, "");
SYMBOL_CRC(drm_dp_set_phy_test_pattern, 0xb8efaab4, "");
SYMBOL_CRC(drm_dp_vsc_sdp_log, 0xf63a2dc7, "");
SYMBOL_CRC(drm_dp_get_pcon_max_frl_bw, 0x7053fa72, "");
SYMBOL_CRC(drm_dp_pcon_frl_prepare, 0x3e35838d, "");
SYMBOL_CRC(drm_dp_pcon_is_frl_ready, 0x23c1a452, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_1, 0x2cbaeae9, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_2, 0xc5fe9f99, "");
SYMBOL_CRC(drm_dp_pcon_reset_frl_config, 0x3a924c06, "");
SYMBOL_CRC(drm_dp_pcon_frl_enable, 0xaeb6009d, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_active, 0x8847f011, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_mode, 0x4cd51452, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_frl_link_error_count, 0x7c5930c1, "");
SYMBOL_CRC(drm_dp_pcon_enc_is_dsc_1_2, 0x59f27ed7, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slices, 0xe5360b84, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slice_width, 0xc020c0c1, "");
SYMBOL_CRC(drm_dp_pcon_dsc_bpp_incr, 0x4603c416, "");
SYMBOL_CRC(drm_dp_pcon_pps_default, 0x9ac23bbe, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_buf, 0xffd167c1, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_param, 0xd769a743, "");
SYMBOL_CRC(drm_dp_pcon_convert_rgb_to_ycbcr, 0xad760054, "");
SYMBOL_CRC(drm_edp_backlight_set_level, 0xbdf918d6, "");
SYMBOL_CRC(drm_edp_backlight_enable, 0xd7722f03, "");
SYMBOL_CRC(drm_edp_backlight_disable, 0x665cc47b, "");
SYMBOL_CRC(drm_edp_backlight_init, 0xad04d273, "");
SYMBOL_CRC(drm_panel_dp_aux_backlight, 0xa71f58cb, "");
SYMBOL_CRC(drm_dp_mst_get_port_malloc, 0xf230192f, "");
SYMBOL_CRC(drm_dp_mst_put_port_malloc, 0x8674d70f, "");
SYMBOL_CRC(drm_atomic_get_mst_payload_state, 0xd4fcbd4c, "");
SYMBOL_CRC(drm_dp_mst_connector_late_register, 0xdb38ba8c, "");
SYMBOL_CRC(drm_dp_mst_connector_early_unregister, 0xe3ee327e, "");
SYMBOL_CRC(drm_dp_send_power_updown_phy, 0xa268f3e3, "");
SYMBOL_CRC(drm_dp_send_query_stream_enc_status, 0x53bb8b2f, "");
SYMBOL_CRC(drm_dp_add_payload_part1, 0x3ddeb85a, "");
SYMBOL_CRC(drm_dp_remove_payload_part1, 0x58d5bd4d, "");
SYMBOL_CRC(drm_dp_remove_payload_part2, 0x33200850, "");
SYMBOL_CRC(drm_dp_add_payload_part2, 0x27f19ea4, "");
SYMBOL_CRC(drm_dp_get_vc_payload_bw, 0xb1e8e76f, "");
SYMBOL_CRC(drm_dp_read_mst_cap, 0x8c017fd6, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_set_mst, 0x01d8e502, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_suspend, 0x91c613c1, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_resume, 0x1ca594ef, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_handle_event, 0xd731668a, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_send_new_request, 0x772fc9f2, "");
SYMBOL_CRC(drm_dp_mst_detect_port, 0x031ca70a, "");
SYMBOL_CRC(drm_dp_mst_edid_read, 0xbc61d3ae, "");
SYMBOL_CRC(drm_dp_mst_get_edid, 0x86877102, "");
SYMBOL_CRC(drm_dp_atomic_find_time_slots, 0x1c518323, "");
SYMBOL_CRC(drm_dp_atomic_release_time_slots, 0x45d55635, "");
SYMBOL_CRC(drm_dp_mst_atomic_setup_commit, 0x0682ace7, "");
SYMBOL_CRC(drm_dp_mst_atomic_wait_for_dependencies, 0x40951aa7, "");
SYMBOL_CRC(drm_dp_mst_root_conn_atomic_check, 0x93081dac, "");
SYMBOL_CRC(drm_dp_mst_update_slots, 0x3c86446a, "");
SYMBOL_CRC(drm_dp_check_act_status, 0xa2d12b81, "");
SYMBOL_CRC(drm_dp_calc_pbn_mode, 0xa47826e4, "");
SYMBOL_CRC(drm_dp_mst_dump_topology, 0xf114808f, "");
SYMBOL_CRC(drm_dp_mst_add_affected_dsc_crtcs, 0xcd88bf4f, "");
SYMBOL_CRC(drm_dp_mst_atomic_enable_dsc, 0xea97bf98, "");
SYMBOL_CRC(drm_dp_mst_atomic_check, 0x83acd019, "");
SYMBOL_CRC(drm_dp_mst_topology_state_funcs, 0xc6e300b6, "");
SYMBOL_CRC(drm_atomic_get_mst_topology_state, 0x68e4052f, "");
SYMBOL_CRC(drm_atomic_get_old_mst_topology_state, 0x28ba9678, "");
SYMBOL_CRC(drm_atomic_get_new_mst_topology_state, 0xd49e4f21, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_init, 0x660694a8, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_destroy, 0xa4da7cc3, "");
SYMBOL_CRC(drm_dp_mst_dsc_aux_for_port, 0x57470ae1, "");
SYMBOL_CRC(drm_dsc_dp_pps_header_init, 0x648d953b, "");
SYMBOL_CRC(drm_dsc_dp_rc_buffer_size, 0x1a5bf3ca, "");
SYMBOL_CRC(drm_dsc_pps_payload_pack, 0x58d8fcaa, "");
SYMBOL_CRC(drm_dsc_set_const_params, 0x627ba04b, "");
SYMBOL_CRC(drm_dsc_set_rc_buf_thresh, 0x24ada755, "");
SYMBOL_CRC(drm_dsc_setup_rc_params, 0x79008c7e, "");
SYMBOL_CRC(drm_dsc_compute_rc_parameters, 0xfe12bcb9, "");
SYMBOL_CRC(drm_dsc_get_bpp_int, 0xd0e95456, "");
SYMBOL_CRC(drm_dsc_initial_scale_value, 0x95883bb4, "");
SYMBOL_CRC(drm_dsc_flatness_det_thresh, 0xe2468a48, "");
SYMBOL_CRC(drm_hdcp_check_ksvs_revoked, 0x59be88ca, "_gpl");
SYMBOL_CRC(drm_connector_attach_content_protection_property, 0xc6d89575, "");
SYMBOL_CRC(drm_hdcp_update_content_protection, 0x7f818ca9, "");
SYMBOL_CRC(drm_hdmi_infoframe_set_hdr_metadata, 0xc078636f, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_colorimetry, 0xc3cd3acc, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_bars, 0xae5ce1ef, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_content_type, 0xc3d48466, "");
SYMBOL_CRC(drm_scdc_read, 0xb599659e, "");
SYMBOL_CRC(drm_scdc_write, 0xbc465556, "");
SYMBOL_CRC(drm_scdc_get_scrambling_status, 0x7ae01bdc, "");
SYMBOL_CRC(drm_scdc_set_scrambling, 0x97da1e71, "");
SYMBOL_CRC(drm_scdc_set_high_tmds_clock_ratio, 0xcff92ac8, "");
SYMBOL_CRC(drm_dp_cec_irq, 0xd7e4e743, "");
SYMBOL_CRC(drm_dp_cec_attach, 0xe03c7535, "");
SYMBOL_CRC(drm_dp_cec_set_edid, 0x57b08f0d, "");
SYMBOL_CRC(drm_dp_cec_unset_edid, 0xd90befc7, "");
SYMBOL_CRC(drm_dp_cec_register_connector, 0x12da4f7a, "");
SYMBOL_CRC(drm_dp_cec_unregister_connector, 0xb6488872, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2d1d5bdd, "drm_mode_object_put" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0x95d761fc, "request_firmware_direct" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x69353664, "__drm_debug" },
	{ 0xeeb5f338, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9e22757c, "drm_atomic_private_obj_fini" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x428938a8, "idr_get_next" },
	{ 0x929147c5, "drm_property_create_enum" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xb90ada27, "drm_dev_printk" },
	{ 0x1b10d025, "i2c_del_adapter" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb2f44a7d, "__var_waitqueue" },
	{ 0x9da12ad2, "drm_atomic_get_crtc_state" },
	{ 0xdeef34c6, "drm_crtc_wait_one_vblank" },
	{ 0x1fd6cdb3, "idr_remove" },
	{ 0xdb79b9cd, "drm_modeset_lock" },
	{ 0xef942918, "drm_modeset_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4f791397, "_dev_err" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x38b0ad21, "idr_alloc" },
	{ 0x7487980, "device_create" },
	{ 0xca08818d, "class_create" },
	{ 0x9370e310, "drm_modeset_lock_single_interruptible" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xab4d3b1, "fixed_size_llseek" },
	{ 0x27488aa8, "drm_crtc_commit_wait" },
	{ 0xd2d5e1e8, "drm_atomic_get_new_private_obj_state" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0xae927f1e, "cec_unregister_adapter" },
	{ 0xde46cd0c, "drm_object_attach_property" },
	{ 0xea593f6, "hdmi_drm_infoframe_init" },
	{ 0x53a4a3ff, "drm_atomic_get_old_private_obj_state" },
	{ 0x5c478d44, "__drm_dev_dbg" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xbe4de675, "cec_get_edid_phys_addr" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x4489a5e9, "drm_edid_raw" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xbc8c87f5, "mutex_trylock" },
	{ 0x915988a6, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x82b4d5c5, "cec_allocate_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xe1e92468, "drm_object_property_set_value" },
	{ 0x28779e52, "drm_printf" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x7bd0f169, "drm_kms_helper_hotplug_event" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x413e35d8, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x4a1a514, "device_destroy" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9771ccd9, "_copy_from_iter" },
	{ 0xb8df899a, "i2c_transfer" },
	{ 0x80f5aab3, "drm_display_mode_from_cea_vic" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe2c6efdf, "cec_fill_conn_info_from_drm" },
	{ 0x690bfb9a, "drm_sysfs_connector_property_event" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0xbd000c96, "cec_received_msg_ts" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x353f8047, "_dev_printk" },
	{ 0x790a1c96, "iov_iter_revert" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xc1a8a60b, "devm_backlight_device_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x96de3c5f, "drm_atomic_get_connector_state" },
	{ 0x7c545285, "drm_edid_get_monitor_name" },
	{ 0x11bbbb6, "drm_edid_read_ddc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5a6490d1, "cec_register_adapter" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x600c0fee, "drm_crtc_add_crc_entry" },
	{ 0xfdbeab18, "cec_delete_adapter" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x150762a1, "_copy_to_iter" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x51905f4, "idr_find" },
	{ 0xded9343d, "drm_connector_register" },
	{ 0xbd370d4e, "cec_transmit_attempt_done_ts" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf824c7db, "__drm_printfn_debug" },
	{ 0x252dc212, "drm_atomic_get_private_obj_state" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x91d60580, "finish_wait" },
	{ 0xe87b0c9f, "drm_atomic_private_obj_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x13a7c851, "class_destroy" },
	{ 0x4a3c6e5c, "cec_s_phys_addr" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x30aa3ece, "cec_s_conn_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x7edf470b, "drm_edid_duplicate" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0x4449daeb, "drm_connector_unregister" },
	{ 0x88adb634, "__wake_up" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "cec");


MODULE_INFO(srcversion, "E6795F79B3CC6E2A9C23AD2");

MODULE_INFO(suserelease, "ALP-0.1");
