#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x731dba7a, "xen_domain_type" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x6aa2a877, "xenbus_printf" },
	{ 0x74ac5dde, "xen_front_pgdir_shbuf_map" },
	{ 0x6aff0640, "xenbus_switch_state" },
	{ 0x2c76ce4e, "drm_gem_object_init" },
	{ 0x94673334, "drmm_mode_config_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x334f37ec, "drm_crtc_send_vblank_event" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9c5876ef, "drm_atomic_helper_commit" },
	{ 0x80dfa09, "drm_atomic_helper_check" },
	{ 0xa89d4522, "drm_atomic_helper_connector_destroy_state" },
	{ 0xaf4214ca, "xen_front_pgdir_shbuf_free" },
	{ 0xb65de54e, "drm_gem_mmap" },
	{ 0xaa9852f9, "drm_mode_create" },
	{ 0xe0d91685, "drm_ioctl" },
	{ 0xd0458ccb, "xenbus_strstate" },
	{ 0xd3555091, "xenbus_alloc_evtchn" },
	{ 0xaa5db205, "xen_free_unpopulated_pages" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x7fb58804, "drm_gem_vm_close" },
	{ 0x47855ccc, "drm_gem_vm_open" },
	{ 0x8c00ef28, "drm_dev_unplug" },
	{ 0x1940ea3, "drm_connector_init" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0x1325c970, "__xenbus_register_frontend" },
	{ 0x6d4ce75, "up_write" },
	{ 0xc1863a63, "drm_display_mode_from_videomode" },
	{ 0x55b30e9f, "noop_llseek" },
	{ 0x6574b31b, "drm_read" },
	{ 0xfbe8c5e9, "drm_gem_object_release" },
	{ 0x732852fe, "xenbus_transaction_end" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xb858cf9a, "xen_front_pgdir_shbuf_alloc" },
	{ 0xef7fd560, "xenbus_unregister_driver" },
	{ 0xe032a908, "xen_front_pgdir_shbuf_unmap" },
	{ 0x8e46a11a, "vmap" },
	{ 0x4bc9bcf2, "drm_gem_handle_create" },
	{ 0x5d13e42b, "xenbus_free_evtchn" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xb5c7359, "drm_prime_pages_to_sg" },
	{ 0x474db046, "drm_dev_unregister" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x508e9699, "drm_dev_put" },
	{ 0x580f376c, "drm_gem_fb_create_with_funcs" },
	{ 0x34eab46d, "bind_evtchn_to_irqhandler" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x36cd4a64, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x6558ccb6, "drm_simple_display_pipe_init" },
	{ 0x86623fd7, "notify_remote_via_irq" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x7d98d3af, "drm_connector_cleanup" },
	{ 0xf7333e3e, "dma_set_coherent_mask" },
	{ 0x6a7b0bc1, "devm_kasprintf" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x6502d9c2, "xenbus_scanf" },
	{ 0x52431348, "xenbus_transaction_start" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x726bab1b, "vm_map_pages" },
	{ 0x9b651e51, "xenbus_teardown_ring" },
	{ 0x8ce82730, "drm_helper_probe_single_connector_modes" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb3648502, "xen_alloc_unpopulated_pages" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0x9062814e, "drm_atomic_helper_connector_reset" },
	{ 0x44101f15, "drm_mode_config_reset" },
	{ 0xb528cf1a, "xenbus_setup_ring" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x7bd9aed, "drm_mode_config_cleanup" },
	{ 0x8b0b5c5e, "xenbus_dev_error" },
	{ 0xc5a27ffd, "xenbus_frontend_closed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x715e7d4a, "drm_dev_alloc" },
	{ 0xdfba6716, "drm_gem_put_pages" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x68a5fa6b, "drm_compat_ioctl" },
	{ 0x3605b656, "drm_dev_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x85cb2c45, "xen_has_pv_devices" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x5cfb6cd3, "drm_prime_gem_destroy" },
	{ 0xc0083c4e, "drm_release" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xb40893e6, "drm_gem_fb_destroy" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x7712771a, "unbind_from_irqhandler" },
	{ 0xa55b3e9a, "drm_kms_helper_poll_fini" },
	{ 0xc1e8137a, "drm_open" },
	{ 0x6d122b62, "drm_poll" },
	{ 0x411b754a, "drm_dev_enter" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xdf8f7f02, "drm_gem_get_pages" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x291dc4b4, "drm_kms_helper_poll_init" },
	{ 0xa6257a2f, "complete" },
	{ 0x1c8b36a3, "drm_mode_probed_add" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xeb913f8a, "xenbus_dev_fatal" },
	{ 0x7b1c6ab, "drm_atomic_helper_shutdown" },
	{ 0xc6572a90, "xenbus_read_unsigned" },
	{ 0xe967e602, "xen_front_pgdir_shbuf_get_dir_start" },
	{ 0x6094ae68, "drm_prime_sg_to_page_array" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "xen-front-pgdir-shbuf");


MODULE_INFO(srcversion, "F8249050135F814EE237FBE");

MODULE_INFO(suserelease, "ALP-0.1");
