#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(pmbus_clear_cache, 0x8b5772fe, "_gpl");
SYMBOL_CRC(pmbus_set_update, 0x136f022b, "_gpl");
SYMBOL_CRC(pmbus_set_page, 0x5654cc43, "_gpl");
SYMBOL_CRC(pmbus_write_byte, 0xd4adff1c, "_gpl");
SYMBOL_CRC(pmbus_write_word_data, 0x618e41d5, "_gpl");
SYMBOL_CRC(pmbus_update_fan, 0x58110dff, "_gpl");
SYMBOL_CRC(pmbus_read_word_data, 0xa4e72dc4, "_gpl");
SYMBOL_CRC(pmbus_read_byte_data, 0x28f74bdf, "_gpl");
SYMBOL_CRC(pmbus_write_byte_data, 0x1d2c6109, "_gpl");
SYMBOL_CRC(pmbus_update_byte_data, 0xb5c8eb2a, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_device, 0xab7a1b2f, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_cached, 0x17c1c865, "_gpl");
SYMBOL_CRC(pmbus_clear_faults, 0xebb0a88b, "_gpl");
SYMBOL_CRC(pmbus_check_byte_register, 0x67ddee5f, "_gpl");
SYMBOL_CRC(pmbus_check_word_register, 0xd20d9928, "_gpl");
SYMBOL_CRC(pmbus_get_driver_info, 0x8f1c0dd1, "_gpl");
SYMBOL_CRC(pmbus_regulator_ops, 0x48df5823, "_gpl");
SYMBOL_CRC(pmbus_do_probe, 0xefb8dbe6, "_gpl");
SYMBOL_CRC(pmbus_get_debugfs_dir, 0xc3022072, "_gpl");
SYMBOL_CRC(pmbus_lock_interruptible, 0x26ccdea3, "_gpl");
SYMBOL_CRC(pmbus_unlock, 0x0fa9bbdc, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x994255b4, "rdev_get_id" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xa0563045, "sysfs_notify" },
	{ 0x479d8c1f, "kobject_uevent" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xf3a8b807, "regulator_notifier_call_chain" },
	{ 0x9166fada, "strncpy" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x4f791397, "_dev_err" },
	{ 0x7680fe15, "i2c_smbus_xfer" },
	{ 0xd4d5abb2, "device_create_file" },
	{ 0xd5b15be0, "__devm_add_action" },
	{ 0x57989c97, "devm_kstrdup" },
	{ 0x7410aba2, "strreplace" },
	{ 0x69acdf38, "memcpy" },
	{ 0x89a0a435, "devm_hwmon_device_register_with_groups" },
	{ 0x1050df87, "devm_regulator_register" },
	{ 0xa7ac68f2, "dev_err_probe" },
	{ 0xb99525b6, "devm_request_threaded_irq" },
	{ 0x96848186, "scnprintf" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x55b30e9f, "noop_llseek" },
	{ 0x18ea64a7, "simple_open" },
	{ 0x73ecfc43, "debugfs_attr_read" },
	{ 0xe62223a6, "debugfs_attr_write" },
	{ 0xf19a7bc1, "simple_attr_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd1bb87e1, "i2c_smbus_write_byte_data" },
	{ 0x131315ac, "i2c_smbus_read_byte_data" },
	{ 0xe50e246d, "i2c_smbus_write_byte" },
	{ 0xab6ec264, "i2c_smbus_write_word_data" },
	{ 0x58212047, "i2c_smbus_read_word_data" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xc417c063, "device_remove_file" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb68b366, "devm_krealloc" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x56470118, "__warn_printk" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0xe1463ec9, "simple_attr_open" },
	{ 0x95784c3, "mutex_lock_interruptible" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5d7c6629, "i2c_smbus_read_block_data" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4cbcbd16, "rdev_get_dev" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "00231A37BF424C2EA95145D");

MODULE_INFO(suserelease, "ALP-0.1");
