#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x33192a07, "devm_free_irq" },
	{ 0x1b10d025, "i2c_del_adapter" },
	{ 0x1191b14e, "pcim_iomap_regions" },
	{ 0x4f791397, "_dev_err" },
	{ 0x971b4505, "i2c_dw_acpi_configure" },
	{ 0x1409da61, "i2c_parse_fw_timings" },
	{ 0x88398556, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2e8be035, "pm_runtime_forbid" },
	{ 0xb7f1b225, "pm_runtime_allow" },
	{ 0xbcebedc8, "i2c_dw_validate_speed" },
	{ 0x9ed61a39, "i2c_dw_configure_master" },
	{ 0xa7ac68f2, "dev_err_probe" },
	{ 0x9c25f90f, "pcim_iomap_table" },
	{ 0x59142c99, "__pm_runtime_suspend" },
	{ 0xa68cde60, "set_primary_fwnode" },
	{ 0xbab879a0, "__pm_runtime_use_autosuspend" },
	{ 0xf3eabe1b, "pcim_enable_device" },
	{ 0x50b5a334, "pci_free_irq_vectors" },
	{ 0x9b50d2b7, "i2c_dw_probe_master" },
	{ 0xb0f4a3d0, "is_acpi_device_node" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x2ed8e46e, "pci_alloc_irq_vectors" },
	{ 0xdd668074, "i2c_dw_adjust_bus_speed" },
	{ 0x4c4f91e6, "pm_runtime_set_autosuspend_delay" },
	{ 0xfcd1ab1f, "i2c_new_ccgx_ucsi" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0xbab91bf7, "pci_irq_vector" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "i2c-designware-core,i2c-ccgx-ucsi");

MODULE_ALIAS("pci:v00008086d00000817sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000818sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000819sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000082Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000082Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000082Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001195sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001196sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F41sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F42sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F43sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F44sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F45sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F46sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F47sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009C61sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009C62sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000022C1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000022C2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000022C3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000022C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000022C5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000022C6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000022C7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BB9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BBAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BBBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BBCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BBDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BBEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BBFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BC0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007314sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073A4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073E4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007444sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007464sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "068D30695473FAA756D737C");

MODULE_INFO(suserelease, "ALP-0.1");
