#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7a073097, "pm_runtime_enable" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x1b10d025, "i2c_del_adapter" },
	{ 0x4f791397, "_dev_err" },
	{ 0x971b4505, "i2c_dw_acpi_configure" },
	{ 0x1a65677, "i2c_dw_prepare_clk" },
	{ 0x45b0e82a, "rt_mutex_unlock" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x3711bc66, "rt_mutex_trylock" },
	{ 0xf35f799a, "pci_get_domain_bus_and_slot" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x1409da61, "i2c_parse_fw_timings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xcb24f45a, "device_get_match_data" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x56c88e50, "__platform_driver_register" },
	{ 0xe5c29cf5, "__devm_reset_control_get" },
	{ 0xf954dd93, "devm_clk_get_optional" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xbcebedc8, "i2c_dw_validate_speed" },
	{ 0x1c9957f, "__pm_runtime_resume" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x28e09af1, "iosf_mbi_available" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9ed61a39, "i2c_dw_configure_master" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0xa68cde60, "set_primary_fwnode" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xbab879a0, "__pm_runtime_use_autosuspend" },
	{ 0xf944eed, "__pm_runtime_disable" },
	{ 0xbde6a0c8, "rt_mutex_lock" },
	{ 0x8087f62a, "__pm_runtime_idle" },
	{ 0x6ea40704, "psp_ring_platform_doorbell" },
	{ 0x9b50d2b7, "i2c_dw_probe_master" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x4a937398, "psp_check_platform_access_status" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb7ddabf8, "devm_platform_ioremap_resource" },
	{ 0xb0f4a3d0, "is_acpi_device_node" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x6e9cfd60, "platform_driver_unregister" },
	{ 0x767dc963, "platform_get_irq" },
	{ 0xdd668074, "i2c_dw_adjust_bus_speed" },
	{ 0x863e634d, "pci_dev_put" },
	{ 0x4c4f91e6, "pm_runtime_set_autosuspend_delay" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0x44414ff2, "iosf_mbi_unblock_punit_i2c_access" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x86f27420, "iosf_mbi_block_punit_i2c_access" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9cdef016, "__pm_runtime_set_status" },
	{ 0x98a356de, "psp_send_platform_access_msg" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "i2c-designware-core,ccp");

MODULE_ALIAS("acpi*:INT33C2:*");
MODULE_ALIAS("acpi*:INT33C3:*");
MODULE_ALIAS("acpi*:INT3432:*");
MODULE_ALIAS("acpi*:INT3433:*");
MODULE_ALIAS("acpi*:80860F41:*");
MODULE_ALIAS("acpi*:808622C1:*");
MODULE_ALIAS("acpi*:AMD0010:*");
MODULE_ALIAS("acpi*:AMDI0010:*");
MODULE_ALIAS("acpi*:AMDI0019:*");
MODULE_ALIAS("acpi*:AMDI0510:*");
MODULE_ALIAS("acpi*:APMC0D0F:*");
MODULE_ALIAS("acpi*:HISI02A1:*");
MODULE_ALIAS("acpi*:HISI02A2:*");
MODULE_ALIAS("acpi*:HISI02A3:*");
MODULE_ALIAS("acpi*:HYGO0010:*");

MODULE_INFO(srcversion, "A3692482BB2DD4522A1BE75");

MODULE_INFO(suserelease, "ALP-0.1");
