#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rtrs_srv_resp_rdma, 0x00bcf6ad, "");
SYMBOL_CRC(rtrs_srv_set_sess_priv, 0x3294c19a, "");
SYMBOL_CRC(rtrs_srv_get_path_name, 0xe8cba6dc, "");
SYMBOL_CRC(rtrs_srv_get_queue_depth, 0xb8c670d8, "");
SYMBOL_CRC(rtrs_srv_open, 0x536ff003, "");
SYMBOL_CRC(rtrs_srv_close, 0x961c8c21, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaae76507, "rdma_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xeab0566c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xeb4a1ec1, "rtrs_rdma_dev_pd_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x9939cc22, "rtrs_ib_dev_find_or_add" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x87637f7c, "__rdma_create_kernel_id" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x405be82d, "put_device" },
	{ 0xd3300063, "rtrs_rdma_dev_pd_deinit" },
	{ 0xa916b694, "strnlen" },
	{ 0x5417537b, "__free_pages" },
	{ 0x942b6184, "rdma_bind_addr" },
	{ 0x4814f6b2, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x34069af3, "rtrs_iu_free" },
	{ 0x9b153c5c, "ib_map_mr_sg" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5edc48f4, "perf_trace_run_bpf_submit" },
	{ 0x46e3e4fa, "init_net" },
	{ 0x6059e10c, "device_add" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x609de057, "kobj_sysfs_ops" },
	{ 0x5976357f, "rtrs_cq_qp_destroy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x3e526055, "trace_event_reg" },
	{ 0xd5d5a82f, "rtrs_iu_post_recv" },
	{ 0x2d910cdc, "kobject_init_and_add" },
	{ 0xa2bd8a71, "rdma_listen" },
	{ 0x2e103377, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x4e7af576, "sysfs_create_group" },
	{ 0xb523a9b0, "sysfs_remove_file_self" },
	{ 0x2a795e6d, "device_del" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xa75c4c0d, "dma_sync_single_for_cpu" },
	{ 0x608b2648, "ib_alloc_mr" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x163b8017, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xe15357ef, "sockaddr_to_str" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xcd88e364, "sysfs_remove_group" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcdaed88d, "ib_dma_virt_map_sg" },
	{ 0xa85b477f, "kobject_del" },
	{ 0xd4a0d1c6, "trace_event_buffer_reserve" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0x6c6f2b38, "rdma_destroy_id" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xd4dfd739, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xc6c04950, "rdma_accept" },
	{ 0xc80e195a, "rtrs_start_hb" },
	{ 0x479d8c1f, "kobject_uevent" },
	{ 0x433e02b3, "ib_drain_qp" },
	{ 0x9a4c50b1, "dma_unmap_sg_attrs" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x13e2bdb1, "rtrs_cq_qp_create" },
	{ 0x76c8ceaf, "rtrs_ib_dev_put" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0xfcfec890, "rtrs_init_hb" },
	{ 0x60ed0965, "rtrs_stop_hb" },
	{ 0x349cba85, "strchr" },
	{ 0x9352c74, "rtrs_send_hb_ack" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x39ab3d78, "rtrs_iu_alloc" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xa5f3b365, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x70d8699a, "kobject_get" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x5f892d84, "dma_map_sg_attrs" },
	{ 0xe2924e41, "kobject_put" },
	{ 0x242a8646, "rtrs_addr_to_str" },
	{ 0xd0191d3, "ib_unregister_client" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x98d73451, "bpf_trace_run4" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x907df803, "rdma_event_msg" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x4f93cdcf, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xeb50ed41, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xf9890870, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9859db6b, "dma_sync_single_for_device" },
	{ 0x2de57d2c, "device_initialize" },
	{ 0x4bec2f6c, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0x83fecbaa, "rtrs_post_recv_empty" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf16fa58, "ib_dereg_mr_user" },
	{ 0x5703abfc, "rtrs_iu_post_send" },
	{ 0xd1cd0215, "get_device" },
	{ 0xd7aedce5, "rdma_reject" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "rdma_cm,rtrs-core,ib_core");


MODULE_INFO(srcversion, "AAC50D90FA3578A58FD2A6F");

MODULE_INFO(suserelease, "ALP-0.1");
