#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rtsx_pci_start_run, 0x2631855d, "_gpl");
SYMBOL_CRC(rtsx_pci_write_register, 0xc2dbeac4, "_gpl");
SYMBOL_CRC(rtsx_pci_read_register, 0x813d4645, "_gpl");
SYMBOL_CRC(rtsx_pci_write_phy_register, 0x60ab40a0, "_gpl");
SYMBOL_CRC(rtsx_pci_read_phy_register, 0x5c013bfc, "_gpl");
SYMBOL_CRC(rtsx_pci_stop_cmd, 0x7760d421, "_gpl");
SYMBOL_CRC(rtsx_pci_add_cmd, 0x543973a7, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd_no_wait, 0x21bd5150, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd, 0x0c04c57d, "_gpl");
SYMBOL_CRC(rtsx_pci_transfer_data, 0x24708e71, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_map_sg, 0xf8addaa3, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_unmap_sg, 0xeba4d9a6, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_transfer, 0x5cb6584d, "_gpl");
SYMBOL_CRC(rtsx_pci_read_ppbuf, 0x406ab710, "_gpl");
SYMBOL_CRC(rtsx_pci_write_ppbuf, 0xbc99577f, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_enable, 0x58c55f7e, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_disable, 0x70710608, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_clock, 0xeee93750, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_on, 0x3eeb7758, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_off, 0x0e3359ae, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exclusive_check, 0x81b9d484, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_output_voltage, 0xd333a9ab, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exist, 0xe006a57c, "_gpl");
SYMBOL_CRC(rtsx_pci_complete_unfinished_transfer, 0x70404472, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x22c1aead, "pcie_capability_read_word" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xcdfd64a8, "pci_find_ext_capability" },
	{ 0x3b6df35b, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xae6ead7a, "pci_disable_msi" },
	{ 0x803488eb, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4d5d5849, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xce5ae71c, "pm_schedule_suspend" },
	{ 0xe0d01ef4, "pci_intx" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1fd6cdb3, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x8ff07f07, "pci_enable_msi" },
	{ 0x4f791397, "_dev_err" },
	{ 0x38b0ad21, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa51c9270, "radix_tree_preloads" },
	{ 0x954f099c, "idr_preload" },
	{ 0x243fbd53, "pcie_capability_clear_and_set_word_locked" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0x380653fc, "mfd_add_devices" },
	{ 0xde80cd09, "ioremap" },
	{ 0xb19b445, "ioread8" },
	{ 0x88398556, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x2e8be035, "pm_runtime_forbid" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0xb7f1b225, "pm_runtime_allow" },
	{ 0x1c9957f, "__pm_runtime_resume" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0xa38996a9, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xad7ab92f, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x524e06a3, "pci_disable_device" },
	{ 0x2d61c2d0, "mfd_remove_devices" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0x9a4c50b1, "dma_unmap_sg_attrs" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x46f6d1bf, "pci_read_config_byte" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x8087f62a, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x68dc1674, "pci_write_config_dword" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x5f892d84, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mfd-core");

MODULE_ALIAS("pci:v000010ECd00005209sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005229sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005289sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005227sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000522Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005249sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005287sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005286sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000524Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000525Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005260sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005261sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005228sv*sd*bcFFsc*i*");

MODULE_INFO(srcversion, "70E2E645F22F0AD076BB45E");

MODULE_INFO(suserelease, "ALP-0.1");
