#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(gru_create_message_queue, 0x8dc51bdd, "_gpl");
SYMBOL_CRC(gru_send_message_gpa, 0xeed7d505, "_gpl");
SYMBOL_CRC(gru_free_message, 0xd3d2bf04, "_gpl");
SYMBOL_CRC(gru_get_next_message, 0x5b8bb699, "_gpl");
SYMBOL_CRC(gru_read_gpa, 0xde08c325, "_gpl");
SYMBOL_CRC(gru_copy_gpa, 0x9c7283a1, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa036a4fc, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x88adb634, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x647b9eb, "__tracepoint_mmap_lock_released" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9493fc86, "node_states" },
	{ 0x8416306a, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb5ab892d, "uv_undefined" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8ad5ceb1, "__uv_hub_info_list" },
	{ 0x5212717a, "get_user_pages" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x618911fc, "numa_node" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0xc6cbbc89, "capable" },
	{ 0x30a72813, "find_vma" },
	{ 0x67dcd76b, "uv_setup_irq" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0x4f791397, "_dev_err" },
	{ 0x6d4ce75, "up_write" },
	{ 0x1d19f77b, "physical_mask" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x55b30e9f, "noop_llseek" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xc67981fd, "mmu_notifier_put" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf1e046cc, "panic" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xa50bcff0, "x86_cpu_to_apicid" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xb51c730, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0xdad13544, "ptrs_per_p4d" },
	{ 0xd0d2a74, "misc_register" },
	{ 0x9c0dd687, "__alloc_pages" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0xf3189f7e, "__uv_cpu_info" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x75431171, "down_write_trylock" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xbc8c87f5, "mutex_trylock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4de0e743, "pv_ops" },
	{ 0x1833089, "__mmap_lock_do_trace_start_locking" },
	{ 0x77efd3d2, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x44aaf30f, "tsc_khz" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xfdbebbd0, "__tracepoint_mmap_lock_start_locking" },
	{ 0x53813557, "__folio_put" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xc12ff1ae, "__mmap_lock_do_trace_released" },
	{ 0x12e285ec, "is_uv_system" },
	{ 0x6b6db48c, "downgrade_write" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0xe6bcac2c, "single_release" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x5acefa67, "proc_create_seq_private" },
	{ 0xd34f2e1b, "single_open" },
	{ 0x52ce608c, "up_read" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xd7807da7, "mtree_load" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xaa86cfb5, "uv_possible_blades" },
	{ 0x2b9a659, "__init_rwsem" },
	{ 0x6f2adb4b, "misc_deregister" },
	{ 0x495a4ebe, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x47681e08, "proc_create" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x293186b7, "mmu_notifier_get_locked" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x91d60580, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8b27d91, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x5d9317d7, "uv_teardown_irq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x72d79d83, "pgdir_shift" },
	{ 0x36cf0281, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0xca100241, "seq_lseek" },
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0xc99bd830, "zap_vma_ptes" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0xdabf7edb, "remove_proc_subtree" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "57883ABF7A3B3F5ABFE22F2");

MODULE_INFO(suserelease, "ALP-0.1");
