#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mtd_table_mutex, 0xe4a863d5, "_gpl");
SYMBOL_CRC(__mtd_next_device, 0x3aae88b4, "_gpl");
SYMBOL_CRC(mtd_check_expert_analysis_mode, 0xb7075882, "_gpl");
SYMBOL_CRC(mtd_wunit_to_pairing_info, 0x4a4c8109, "_gpl");
SYMBOL_CRC(mtd_pairing_info_to_wunit, 0x9d82e536, "_gpl");
SYMBOL_CRC(mtd_pairing_groups, 0xaa1284e7, "_gpl");
SYMBOL_CRC(mtd_device_parse_register, 0x66af8f66, "_gpl");
SYMBOL_CRC(mtd_device_unregister, 0x7b385300, "_gpl");
SYMBOL_CRC(register_mtd_user, 0x1ad50d0f, "_gpl");
SYMBOL_CRC(unregister_mtd_user, 0x3556e042, "_gpl");
SYMBOL_CRC(get_mtd_device, 0x8343c56a, "_gpl");
SYMBOL_CRC(__get_mtd_device, 0xe01c6876, "_gpl");
SYMBOL_CRC(of_get_mtd_device_by_node, 0x9ff7e3f5, "_gpl");
SYMBOL_CRC(get_mtd_device_nm, 0xac3219f8, "_gpl");
SYMBOL_CRC(put_mtd_device, 0x36b4f263, "_gpl");
SYMBOL_CRC(__put_mtd_device, 0x62830046, "_gpl");
SYMBOL_CRC(mtd_erase, 0xcece8928, "_gpl");
SYMBOL_CRC(mtd_point, 0xc8497465, "_gpl");
SYMBOL_CRC(mtd_unpoint, 0xb2925d9e, "_gpl");
SYMBOL_CRC(mtd_get_unmapped_area, 0xad2ee621, "_gpl");
SYMBOL_CRC(mtd_read, 0xc8ccfbb0, "_gpl");
SYMBOL_CRC(mtd_write, 0x69d3d223, "_gpl");
SYMBOL_CRC(mtd_panic_write, 0xcbe834a4, "_gpl");
SYMBOL_CRC(mtd_read_oob, 0x4e819da8, "_gpl");
SYMBOL_CRC(mtd_write_oob, 0x49f31b15, "_gpl");
SYMBOL_CRC(mtd_ooblayout_ecc, 0x497fbaac, "_gpl");
SYMBOL_CRC(mtd_ooblayout_free, 0xded1e926, "_gpl");
SYMBOL_CRC(mtd_ooblayout_find_eccregion, 0x00f5d35d, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_eccbytes, 0x6b438018, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_eccbytes, 0x4054462c, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_databytes, 0x5a071413, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_databytes, 0x5d0198e6, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_freebytes, 0x30256f30, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_eccbytes, 0xad26558a, "_gpl");
SYMBOL_CRC(mtd_get_fact_prot_info, 0x51caa347, "_gpl");
SYMBOL_CRC(mtd_read_fact_prot_reg, 0x1b098200, "_gpl");
SYMBOL_CRC(mtd_get_user_prot_info, 0xf85c400d, "_gpl");
SYMBOL_CRC(mtd_read_user_prot_reg, 0x31449bec, "_gpl");
SYMBOL_CRC(mtd_write_user_prot_reg, 0xe0252d2a, "_gpl");
SYMBOL_CRC(mtd_lock_user_prot_reg, 0x0e714b60, "_gpl");
SYMBOL_CRC(mtd_erase_user_prot_reg, 0x138c004f, "_gpl");
SYMBOL_CRC(mtd_lock, 0x4f80ae83, "_gpl");
SYMBOL_CRC(mtd_unlock, 0x7d6bce2d, "_gpl");
SYMBOL_CRC(mtd_is_locked, 0xbb6b304f, "_gpl");
SYMBOL_CRC(mtd_block_isreserved, 0x45792cca, "_gpl");
SYMBOL_CRC(mtd_block_isbad, 0x5f719309, "_gpl");
SYMBOL_CRC(mtd_block_markbad, 0xac01ac36, "_gpl");
SYMBOL_CRC(mtd_writev, 0x5aaa4cf2, "_gpl");
SYMBOL_CRC(mtd_kmalloc_up_to, 0xb8a775ae, "_gpl");
SYMBOL_CRC(get_tree_mtd, 0x6d5d4cfd, "_gpl");
SYMBOL_CRC(kill_mtd_super, 0xd8116838, "_gpl");
SYMBOL_CRC(mtd_concat_create, 0x20a19084, "");
SYMBOL_CRC(mtd_concat_destroy, 0x7c88df11, "");
SYMBOL_CRC(mtd_add_partition, 0x38f5c20c, "_gpl");
SYMBOL_CRC(mtd_del_partition, 0x6dd466c1, "_gpl");
SYMBOL_CRC(__register_mtd_parser, 0x867a9f9b, "_gpl");
SYMBOL_CRC(deregister_mtd_parser, 0xb647fde8, "_gpl");
SYMBOL_CRC(mtd_get_device_size, 0xb713b301, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7487980, "device_create" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0xab4d3b1, "fixed_size_llseek" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x2e103377, "class_unregister" },
	{ 0x7269da4a, "bdi_alloc" },
	{ 0xffeca003, "device_register" },
	{ 0x19760eef, "idr_destroy" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x413e35d8, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x4a1a514, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcf4a2ba, "remove_proc_entry" },
	{ 0x5eeb87ab, "sysfs_create_files" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xe47450bc, "lockref_get" },
	{ 0xec13dd6e, "deactivate_locked_super" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0xa7ac68f2, "dev_err_probe" },
	{ 0xa86f4cf, "proc_create_single_data" },
	{ 0x18c235b4, "nvmem_register" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xa5f3b365, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x25053fa0, "generic_shutdown_super" },
	{ 0xd57eadb2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x51905f4, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x12ee8b4e, "bdi_unregister" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xea094a4c, "bdi_register" },
	{ 0x83313941, "device_unregister" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xcc39c03e, "nvmem_unregister" },
	{ 0x396360e7, "sget_fc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa4a1d078, "logfc" },
	{ 0xa8a7911f, "sysfs_remove_files" },
	{ 0x97c0e82b, "__module_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x2f5ae87b, "bdi_put" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x405be82d, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x428938a8, "idr_get_next" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc40a13ae, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x1fd6cdb3, "idr_remove" },
	{ 0xfa64da45, "debugfs_create_bool" },
	{ 0x38b0ad21, "idr_alloc" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2550CE93E4152FBFAA60C44");

MODULE_INFO(suserelease, "ALP-0.1");
