#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(fun_submit_admin_sync_cmd, 0x980a1806, "_gpl");
SYMBOL_CRC(fun_get_res_count, 0xceefae52, "_gpl");
SYMBOL_CRC(fun_res_destroy, 0xf9b7eb43, "_gpl");
SYMBOL_CRC(fun_bind, 0x761b997f, "_gpl");
SYMBOL_CRC(fun_reserve_irqs, 0xed162a40, "");
SYMBOL_CRC(fun_release_irqs, 0xae0bc500, "");
SYMBOL_CRC(fun_serv_stop, 0x6efc87d3, "_gpl");
SYMBOL_CRC(fun_serv_restart, 0x4431c058, "_gpl");
SYMBOL_CRC(fun_serv_sched, 0x04ee5450, "_gpl");
SYMBOL_CRC(fun_dev_disable, 0xb08f71ad, "");
SYMBOL_CRC(fun_dev_enable, 0x70dd4bac, "");
SYMBOL_CRC(fun_alloc_ring_mem, 0x832cead8, "_gpl");
SYMBOL_CRC(fun_free_ring_mem, 0xaeb4e46f, "_gpl");
SYMBOL_CRC(fun_sq_create, 0xac453b70, "_gpl");
SYMBOL_CRC(fun_cq_create, 0x48b830ab, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f9b01bb, "pci_release_selected_regions" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf4cf78c1, "pci_enable_device_mem" },
	{ 0x2ed8e46e, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xecdd40fa, "dma_unmap_page_attrs" },
	{ 0x9859db6b, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf76d0d6, "sbitmap_queue_wake_all" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0xbab91bf7, "pci_irq_vector" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xb3d3ddf1, "pci_ioremap_bar" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1459867e, "sbitmap_queue_init_node" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaf6f126a, "dma_map_page_attrs" },
	{ 0xb55efe55, "sbitmap_prepare_to_wait" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x618911fc, "numa_node" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xe5afc9a4, "pci_select_bars" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x4f791397, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0x12a7827c, "sbitmap_queue_clear" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xa75c4c0d, "dma_sync_single_for_cpu" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x9c0dd687, "__alloc_pages" },
	{ 0x88398556, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf7333e3e, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xde312ff2, "sbitmap_finish_wait" },
	{ 0xc64a3823, "pcie_print_link_status" },
	{ 0x53813557, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x524e06a3, "pci_disable_device" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc289ab0, "__sbitmap_queue_get" },
	{ 0x50b5a334, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xde5cee58, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x915cb4c6, "pci_msix_vec_count" },
	{ 0xb4951a7b, "pci_request_selected_regions" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B834C245229F619B0CF1B21");

MODULE_INFO(suserelease, "ALP-0.1");
