#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0x53507625, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0x239b2fe7, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0xc2751d8f, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0xa9065886, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0xdeb67289, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9efc6012, "pci_read_config_word" },
	{ 0x53b8da12, "pcie_flr" },
	{ 0xbb1cb1c4, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0xbe0e4782, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x2bf8154b, "dcbnl_ieee_notify" },
	{ 0x34f7f392, "xsk_uses_need_wakeup" },
	{ 0xc509eb5b, "register_netdev" },
	{ 0xb24662f1, "dev_mc_del" },
	{ 0x3e526055, "trace_event_reg" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x749206ac, "free_netdev" },
	{ 0x23c65374, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x7c57a7fe, "netdev_dpll_pin_set" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xac06ed3e, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x6a0c4b29, "netif_set_xps_queue" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x674d6079, "__SCK__tp_func_xdp_exception" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xeb9d6f63, "netif_tx_stop_all_queues" },
	{ 0xb9c0237a, "pci_restore_state" },
	{ 0x1124a15, "bpf_trace_run1" },
	{ 0xb11b603d, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x2a795e6d, "device_del" },
	{ 0x19760eef, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xa75c4c0d, "dma_sync_single_for_cpu" },
	{ 0xcea398b2, "dcb_getapp" },
	{ 0xb9ebc9bb, "dmam_free_coherent" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x4bf86372, "flow_rule_match_ports" },
	{ 0xd4289cce, "gnss_allocate_device" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x780af2ad, "ptp_clock_event" },
	{ 0x49cd74dd, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xfe28ab7e, "netif_schedule_queue" },
	{ 0x9c0dd687, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x88398556, "pci_set_master" },
	{ 0xdad19fee, "dpll_device_unregister" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x8cbb0ed4, "flow_rule_match_ipv6_addrs" },
	{ 0xdb1aa3c4, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0x3abe6f57, "ptp_clock_unregister" },
	{ 0x9c6686ac, "__pskb_pull_tail" },
	{ 0xea13c865, "xp_dma_unmap" },
	{ 0xcf58c90b, "dpll_pin_put" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xedc6f85c, "rhashtable_destroy" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x24970d85, "switchdev_handle_port_obj_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x65d2ce07, "devl_unlock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc22c99c3, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf7333e3e, "dma_set_coherent_mask" },
	{ 0x23c7c3f, "__xa_insert" },
	{ 0x6a7b0bc1, "devm_kasprintf" },
	{ 0x39e59554, "xa_erase" },
	{ 0xb948b52f, "flow_rule_match_pppoe" },
	{ 0x4de0e743, "pv_ops" },
	{ 0x1883fad4, "flow_rule_match_enc_control" },
	{ 0x2fbe56f3, "bpf_trace_run3" },
	{ 0x77efd3d2, "seq_read" },
	{ 0x8238da80, "__page_frag_cache_drain" },
	{ 0x285a52bd, "rhashtable_insert_slow" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4375abc9, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0x75929396, "gnss_deregister_device" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0x9292560d, "rps_may_expire_flow" },
	{ 0xe37ffbef, "metadata_dst_free" },
	{ 0x5bbd1b0a, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xab383b3, "netdev_reset_tc" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xf61c9e28, "devlink_params_register" },
	{ 0xd4a0d1c6, "trace_event_buffer_reserve" },
	{ 0xc880a036, "kthread_destroy_worker" },
	{ 0xa2cd9c2e, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0xed277ccf, "flow_rule_match_enc_ports" },
	{ 0x9bf6738e, "xdp_return_frame_bulk" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x9da5df71, "netif_queue_set_napi" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb081e0ef, "xa_destroy" },
	{ 0xfb39ba40, "call_netdevice_notifiers" },
	{ 0xbd3a062d, "xa_find" },
	{ 0xc64a3823, "pcie_print_link_status" },
	{ 0x6ef8cfd4, "xp_set_rxq_info" },
	{ 0x22735e8c, "flow_rule_match_vlan" },
	{ 0x363d9f16, "xdp_rxq_info_unreg" },
	{ 0x51dfc99b, "pci_dev_get" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xd0a61d7, "napi_build_skb" },
	{ 0x87fd3a8c, "netdev_master_upper_dev_get_rcu" },
	{ 0xd976c88a, "__xdp_rxq_info_reg" },
	{ 0x88bff22a, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x225202a8, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x3bd9ecf7, "dpll_pin_register" },
	{ 0xdd39b53d, "gnss_register_device" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf968c5ee, "devlink_priv" },
	{ 0xe0419ac4, "kstrtos16" },
	{ 0x8b0b7b8e, "__hw_addr_sync_dev" },
	{ 0x93dcdc73, "devlink_port_register_with_ops" },
	{ 0x9dc76476, "pci_disable_sriov" },
	{ 0x801c5a95, "pldmfw_flash_image" },
	{ 0x92485e7d, "kthread_queue_delayed_work" },
	{ 0xb61d0be1, "metadata_dst_alloc" },
	{ 0x2ab5e5f7, "dst_release" },
	{ 0x60735d5e, "netif_carrier_on" },
	{ 0x76876420, "netdev_set_num_tc" },
	{ 0xceb9bbe8, "dpll_device_register" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x770dce97, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9509fc61, "dev_uc_add_excl" },
	{ 0x524e06a3, "pci_disable_device" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0xb33751cf, "xp_free" },
	{ 0xb5182261, "dev_mc_add_excl" },
	{ 0x4efcf7f7, "gnss_put_device" },
	{ 0xe6bcac2c, "single_release" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0xa2239d77, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xddbd3427, "netif_set_tso_max_size" },
	{ 0x46a60704, "__skb_flow_dissect" },
	{ 0x29bc44ed, "vlan_dev_vlan_id" },
	{ 0xe2619216, "pci_msix_alloc_irq_at" },
	{ 0x52c95287, "xa_find_after" },
	{ 0x9c25f90f, "pcim_iomap_table" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x3905ac13, "xdp_master_redirect" },
	{ 0xd5b15be0, "__devm_add_action" },
	{ 0x37697c18, "dpll_pin_on_pin_register" },
	{ 0xd6a5bc90, "napi_schedule_prep" },
	{ 0x6050f46a, "napi_consume_skb" },
	{ 0x46f6d1bf, "pci_read_config_byte" },
	{ 0xdca370c0, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0xe4c96da5, "napi_disable" },
	{ 0xfe83877, "dev_kfree_skb_any_reason" },
	{ 0x64d296c0, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0xd34f2e1b, "single_open" },
	{ 0xf3eabe1b, "pcim_enable_device" },
	{ 0x349cba85, "strchr" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0x50b5a334, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x192f660a, "flow_rule_match_control" },
	{ 0xb1fe55af, "flow_rule_match_ip" },
	{ 0xc61bddfb, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x1934978a, "dpll_device_get" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x9cb31467, "dcb_ieee_setapp" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeadbe06, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x72ece7e9, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x543b0dab, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x9965d136, "__tracepoint_xdp_exception" },
	{ 0x8118265b, "xsk_tx_completed" },
	{ 0x83051629, "alloc_etherdev_mqs" },
	{ 0x1f19a429, "netdev_lower_get_next" },
	{ 0x86414d09, "flow_block_cb_lookup" },
	{ 0xde5cee58, "pci_save_state" },
	{ 0x639c1e4a, "xp_dma_sync_for_device_slow" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xea931215, "devl_rate_leaf_create" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x33c40e35, "device_set_wakeup_enable" },
	{ 0x4170672b, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x62185271, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xcdfd64a8, "pci_find_ext_capability" },
	{ 0xf46f60d3, "kthread_create_worker" },
	{ 0xc6123f4f, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5cc49dc8, "xp_dma_map" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x3c41cf1, "devlink_unregister" },
	{ 0xe08a7fdf, "skb_copy_bits" },
	{ 0x51905f4, "idr_find" },
	{ 0xb99525b6, "devm_request_threaded_irq" },
	{ 0xc9413c4a, "kthread_cancel_delayed_work_sync" },
	{ 0x225e06b8, "dpll_device_change_ntf" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x7ae624e1, "pci_wake_from_d3" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x6b8a40ac, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf291c78d, "call_switchdev_notifiers" },
	{ 0x4c30a1b, "__napi_alloc_skb" },
	{ 0x79546801, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc8855972, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xcf309ef, "ethtool_forced_speed_maps_init" },
	{ 0x936bf003, "auxiliary_device_init" },
	{ 0xf4cf78c1, "pci_enable_device_mem" },
	{ 0x70421f21, "consume_skb" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0xb6b4744b, "flow_rule_match_enc_ip" },
	{ 0xb0e602eb, "memmove" },
	{ 0x2ed8e46e, "pci_alloc_irq_vectors" },
	{ 0xffe4ea8f, "flow_rule_match_l2tpv3" },
	{ 0x5174f12f, "netif_napi_add_weight" },
	{ 0x8a1607e6, "dpll_pin_change_ntf" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6ee63600, "xsk_tx_peek_release_desc_batch" },
	{ 0xd4b0a2eb, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x53d8e4d0, "dmam_alloc_attrs" },
	{ 0x4f93cdcf, "trace_raw_output_prep" },
	{ 0xb4e74efd, "devl_lock" },
	{ 0x863e634d, "pci_dev_put" },
	{ 0x498a5c8b, "xp_fill_cb" },
	{ 0x79683ccd, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x960156c9, "ndo_dflt_bridge_getlink" },
	{ 0x50a1cd04, "unregister_netdev" },
	{ 0x64d85044, "dpll_device_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xe21c9e2f, "dpll_pin_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xe9409a90, "xdp_features_set_redirect_target" },
	{ 0xeb50ed41, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x91d60580, "finish_wait" },
	{ 0xc74d9aae, "pci_get_device" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0xecdd40fa, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xbc975a81, "request_firmware" },
	{ 0xf9890870, "trace_event_printf" },
	{ 0x57995946, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x9d3487cb, "flow_rule_match_cvlan" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x4a0f8295, "devlink_params_unregister" },
	{ 0x9859db6b, "dma_sync_single_for_device" },
	{ 0xa499a0e8, "gnss_insert_raw" },
	{ 0xedb7d7b4, "pci_num_vf" },
	{ 0xfcb8b3ed, "flow_rule_match_eth_addrs" },
	{ 0x5483145d, "skb_add_rx_frag" },
	{ 0xd80e13fe, "get_device_system_crosststamp" },
	{ 0x44e29e64, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x41b1508a, "ptp_clock_index" },
	{ 0x4bec2f6c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbdcd32f6, "xp_can_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x3157f543, "devlink_alloc_ns" },
	{ 0x63251fdb, "devl_rate_leaf_destroy" },
	{ 0xbe777206, "devlink_register" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x57dcd9f4, "xdp_do_redirect" },
	{ 0x6b96cebb, "devlink_free" },
	{ 0xe918417d, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x78f3b32d, "rhashtable_init" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe68277c5, "bpf_trace_run2" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0xf7bdb9d, "devl_rate_node_create" },
	{ 0x32ee8763, "netdev_warn" },
	{ 0x66dc0f28, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x288c264f, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x14c213f7, "devl_rate_nodes_destroy" },
	{ 0x88adb634, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xbab91bf7, "pci_irq_vector" },
	{ 0x3ad01691, "flow_rule_match_ipv4_addrs" },
	{ 0xd01756ba, "__netif_napi_del" },
	{ 0xe3f6ad70, "dpll_pin_on_pin_unregister" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xc9fab776, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x383c1de5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x880d3b63, "pskb_expand_head" },
	{ 0xc765f03e, "switchdev_handle_port_attr_set" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x8285893a, "devlink_flash_update_status_notify" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0xb3dfdd24, "pci_restore_msi_state" },
	{ 0xeab0566c, "trace_event_buffer_commit" },
	{ 0x45b959d7, "xdp_return_buff" },
	{ 0xb58bfd6d, "dev_addr_mod" },
	{ 0xd6365b46, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x58b1b422, "convert_art_ns_to_tsc" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x6cb210e5, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7c2aab2f, "auxiliary_driver_unregister" },
	{ 0xaf6f126a, "dma_map_page_attrs" },
	{ 0xa3d2839f, "napi_complete_done" },
	{ 0x53641acc, "switchdev_handle_port_obj_del" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xa0c2a7fc, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xfe851a9, "dpll_pin_get" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xa0b69a41, "skb_checksum_help" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x405be82d, "put_device" },
	{ 0x33192a07, "devm_free_irq" },
	{ 0x7f52071a, "net_dim" },
	{ 0x83f1e0f3, "__napi_schedule" },
	{ 0x33699cde, "ipv6_skip_exthdr" },
	{ 0x40fff054, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x25b53836, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5417537b, "__free_pages" },
	{ 0x6ef54c46, "netdev_dpll_pin_clear" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xe1740418, "__hw_addr_unsync_dev" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x738f572d, "napi_gro_receive" },
	{ 0xc9c73921, "xdp_features_clear_redirect_target" },
	{ 0xc93048ba, "netdev_pick_tx" },
	{ 0x1adb737d, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xa083ce2e, "xp_raw_get_dma" },
	{ 0xb7458a78, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xfe7522a3, "pci_iov_virtfn_devfn" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xfd25907e, "xdp_rxq_info_is_reg" },
	{ 0x6420801c, "flow_rule_match_enc_opts" },
	{ 0xc948c553, "flow_block_cb_setup_simple" },
	{ 0x56ae9c97, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x196e66dc, "flow_rule_match_basic" },
	{ 0x1fd6cdb3, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x93bfdbc5, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x1191b14e, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x3481386c, "devlink_region_create" },
	{ 0xf77ba8f, "__xa_alloc" },
	{ 0x384e6fb2, "vlan_dev_real_dev" },
	{ 0xc404286e, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe02677a5, "devm_kmemdup" },
	{ 0x840f0680, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5edc48f4, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x65de1d02, "devlink_port_unregister" },
	{ 0x1831282e, "devlink_flash_update_timeout_notify" },
	{ 0xd0fe6c1, "devm_kfree" },
	{ 0x4f791397, "_dev_err" },
	{ 0x46e3e4fa, "init_net" },
	{ 0xcb54cc1e, "softnet_data" },
	{ 0x18ea64a7, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xaa714cf, "xdp_return_frame" },
	{ 0x38b0ad21, "idr_alloc" },
	{ 0x26849377, "ptp_clock_register" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2fb09ae0, "xp_dma_sync_for_cpu_slow" },
	{ 0x7a19d2ef, "hwmon_device_register_with_info" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x556f17ca, "netif_set_real_num_tx_queues" },
	{ 0xf941a812, "__auxiliary_device_add" },
	{ 0x6d7138d5, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6bfc05b9, "xa_load" },
	{ 0x25ca3adf, "netif_set_real_num_rx_queues" },
	{ 0x3cbd9f79, "flow_indr_block_cb_alloc" },
	{ 0xe742648, "pci_wait_for_pending_transaction" },
	{ 0x906522c5, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x4ff355d7, "pci_device_is_present" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "gnss");

MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D4sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "947D5B27A3B10D8976154B3");

MODULE_INFO(suserelease, "ALP-0.1");
