#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mlx4_buf_alloc, 0x9bda4e32, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0x846e1251, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0x8a639a5f, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0x2b2252d5, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0xe5a45726, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0xf1e72779, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0x1c69f39d, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0x9677a378, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0x23f7f8c1, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0x44b06d15, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0xd321691c, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0xa3d507bb, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0xd3670fe4, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0x443ac2c9, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0x6c2c4826, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0xa009b036, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0x11792876, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0x68049bc9, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0xcced40fe, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0xd5ba6cf8, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0x4f2f8c60, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0x4f4bb37f, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0x77292fb4, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0x61ea6887, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0x5c27a702, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0x21a2e16c, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0xf51c25f4, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0x8068eb74, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0x762adac1, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0x7d3c7b01, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0x115557b0, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0x7569f5fc, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0x9be50d87, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0x54c0476e, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0x8be189df, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0xecbeea0a, "");
SYMBOL_CRC(mlx4_test_async, 0xfd6ed09e, "");
SYMBOL_CRC(mlx4_test_interrupt, 0x7b0beb76, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0x13074198, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0x37783e7b, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0x3d9140bf, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0x6a9c7ebc, "");
SYMBOL_CRC(mlx4_assign_eq, 0x58527e85, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0x0e9fcd04, "");
SYMBOL_CRC(mlx4_release_eq, 0x1e706628, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0xcd8474d5, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0xbde07596, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0x00015d1c, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0x064c3340, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0xe58b5861, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0xa9935fbc, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0x4e5e05c1, "");
SYMBOL_CRC(mlx4_wol_read, 0x9d31a8aa, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0x7f75936e, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0xc9331e1d, "_gpl");
SYMBOL_CRC(get_phv_bit, 0xd7a362dd, "");
SYMBOL_CRC(set_phv_bit, 0x0709c987, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0x38fab61e, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0x0a164f9c, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0x661c39ef, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0x0fa346f9, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0x9d50d79d, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0x06d22ca4, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0xbbcd0ef9, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0x0accbdd1, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0xfdf1547a, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0x105d4017, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0xecd8e379, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0xabb59dcb, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0xbebd6a51, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0xbcfdc588, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0x0995f11c, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0x62b77d11, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0x24ccf979, "");
SYMBOL_CRC(mlx4_is_slave_active, 0x7aeb8c10, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0x6dad1b91, "");
SYMBOL_CRC(mlx4_read_clock, 0x3c22f8bf, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0x577c5301, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0x7c45d14e, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0x26e78285, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0xbc037c2a, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0x5064caca, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0x51d296bd, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0xbc1309d8, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0x266e5988, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0x6ba80f19, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0xb11fb160, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0xebaf6f5a, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0x50805ab3, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0xc24234fc, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0x74db359d, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0x186faf64, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0x58ec874f, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0x92013d6c, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0x0899bfad, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0x548f25f5, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0xf0177df3, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0x589ec137, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0x641a201d, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0x8a4663ad, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0x44216fd2, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0xca14c899, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0x5002e7bf, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0x77360b0b, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0xb7301b4f, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0xe6517936, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0xf22132d5, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0x807bd80c, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0xf8939ba9, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0xcb5530fd, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0xa53ef263, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0x950e7c7c, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0x22a395fb, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0x7b724309, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0x80c389f1, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0x35e889cb, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0x5893ac66, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0x24bdf18b, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0xbbe9c9e9, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0x18c9dc8c, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0xc78a64b7, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0x851639de, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0xe3bf7d73, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0x6a9f8bca, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0xfa1aa1d4, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0x3c5e99b6, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0xf64a4930, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0x8553af88, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0x66d517df, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0x11c561eb, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0x4940c8a2, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0x6b319246, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0xd544759e, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0x81a1ef26, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0xb8af5bd5, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0x4fe93f26, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0x41a0000d, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0x2fe2c71c, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0x0dff8e10, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0x8e39a54e, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0xe2cfdf71, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0x78e940de, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0x1e1f90c1, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0x2f94c15e, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0x0163bcd4, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0x90de968c, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0xdd05a03b, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0x66278ba5, "");
SYMBOL_CRC(mlx4_get_module_info, 0x869964cc, "");
SYMBOL_CRC(mlx4_max_tc, 0xe9f02032, "");
SYMBOL_CRC(mlx4_put_qp, 0xf4b0999f, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0x18abb549, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0xe5a78bf7, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0x5de436cf, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0x9f6bffa0, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0xe9bd8173, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0x0214f85c, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0x87a6c6e1, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0x08ce24eb, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0xcec28a39, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0x2a33de91, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0x93ff33fe, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0x42d52448, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0xd5658493, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0x91124c4c, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b96cebb, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x925b2eb6, "param_ops_byte" },
	{ 0xd1cd0215, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x9493fc86, "node_states" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x4d5d5849, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7c2aab2f, "auxiliary_driver_unregister" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xe84435b4, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xa0c2a7fc, "priv_to_devlink" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xef975040, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x405be82d, "put_device" },
	{ 0xa52da6f6, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fb4ff4f, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0x5417537b, "__free_pages" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xd4d5abb2, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0x80eb6d57, "radix_tree_delete" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0x4f791397, "_dev_err" },
	{ 0x46e3e4fa, "init_net" },
	{ 0x6d4ce75, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0xf941a812, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6626afca, "down" },
	{ 0xa8ba8229, "devl_port_register_with_ops" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0x9efc6012, "pci_read_config_word" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0x983c1964, "ida_free" },
	{ 0xa4b6f9c8, "devl_params_register" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb9c0237a, "pci_restore_state" },
	{ 0x2a795e6d, "device_del" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xa75c4c0d, "dma_sync_single_for_cpu" },
	{ 0xbb2f1e7b, "devl_param_driverinit_value_set" },
	{ 0xfb578fc5, "memset" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x9c0dd687, "__alloc_pages" },
	{ 0x88398556, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf76c8141, "atomic_notifier_call_chain" },
	{ 0xf183e487, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x65d2ce07, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf7333e3e, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0xe821667a, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0xa38996a9, "pci_release_regions" },
	{ 0xae4526db, "devl_assert_locked" },
	{ 0xc64a3823, "pcie_print_link_status" },
	{ 0xd4dfd739, "alloc_pages" },
	{ 0x72d81c59, "devl_port_unregister" },
	{ 0x89c7c781, "devl_param_driverinit_value_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf968c5ee, "devlink_priv" },
	{ 0x9dc76476, "pci_disable_sriov" },
	{ 0x79cbdc7b, "pci_disable_msix" },
	{ 0x524e06a3, "pci_disable_device" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0xa2239d77, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9a4c50b1, "dma_unmap_sg_attrs" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x754d539c, "strlen" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x353f8047, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xc61bddfb, "pci_enable_sriov" },
	{ 0x52ce608c, "up_read" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x68dc1674, "pci_write_config_dword" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xc417c063, "device_remove_file" },
	{ 0x5f892d84, "dma_map_sg_attrs" },
	{ 0x337b2f9b, "devl_param_value_changed" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xe914e41e, "strcpy" },
	{ 0xde5cee58, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xad52e80a, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf4665438, "pcie_capability_write_word" },
	{ 0x2b9a659, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7183e11b, "devl_region_create" },
	{ 0x3c41cf1, "devlink_unregister" },
	{ 0x87e9f095, "dma_pool_create" },
	{ 0x7f567295, "radix_tree_insert" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3b6df35b, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x936bf003, "auxiliary_device_init" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4f323924, "devlink_region_snapshot_id_get" },
	{ 0xb4e74efd, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8ed323d9, "radix_tree_lookup" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x96848186, "scnprintf" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0x9859db6b, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0xedb7d7b4, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xe4c6d318, "param_array_ops" },
	{ 0x803488eb, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3157f543, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x720accd9, "pci_sriov_get_totalvfs" },
	{ 0xbe777206, "devlink_register" },
	{ 0x3b7229e3, "devlink_port_type_clear" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00006340sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000634Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006354sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006732sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000673Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006368sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006372sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000675Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006764sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006746sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000676Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "39323AA1328A73160970E67");

MODULE_INFO(suserelease, "ALP-0.1");
