#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mana_gd_send_request, 0xd86ad883, "");
SYMBOL_CRC(mana_gd_destroy_dma_region, 0x65f17a2f, "");
SYMBOL_CRC(mana_gd_create_mana_eq, 0x31b356f8, "");
SYMBOL_CRC(mana_gd_destroy_queue, 0xbd3a564d, "");
SYMBOL_CRC(mana_gd_register_device, 0xf56ad479, "");
SYMBOL_CRC(mana_gd_deregister_device, 0x99f677c2, "");
SYMBOL_CRC(mana_uncfg_vport, 0x89f3b42e, "");
SYMBOL_CRC(mana_cfg_vport, 0x4cc02a5a, "");
SYMBOL_CRC(mana_create_wq_obj, 0x7c844f88, "");
SYMBOL_CRC(mana_destroy_wq_obj, 0x3093c74b, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x383c1de5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x880d3b63, "pskb_expand_head" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0xb58bfd6d, "dev_addr_mod" },
	{ 0xd6365b46, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x6cb210e5, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaf6f126a, "dma_map_page_attrs" },
	{ 0xa3d2839f, "napi_complete_done" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xa0b69a41, "skb_checksum_help" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x405be82d, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x4769540e, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x738f572d, "napi_gro_receive" },
	{ 0x6d59d508, "netif_device_attach" },
	{ 0xeafd96d1, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x1fadece0, "__skb_get_hash" },
	{ 0x4f791397, "_dev_err" },
	{ 0xc146d63c, "xdp_build_skb_from_frame" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x556f17ca, "netif_set_real_num_tx_queues" },
	{ 0xf941a812, "__auxiliary_device_add" },
	{ 0x25ca3adf, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0xe3f233e9, "netdev_printk" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x99f9638f, "__napi_alloc_frag_align" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0x53b8da12, "pcie_flr" },
	{ 0xbb1cb1c4, "napi_enable" },
	{ 0xc509eb5b, "register_netdev" },
	{ 0x983c1964, "ida_free" },
	{ 0x749206ac, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd7482f05, "vcalloc" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x674d6079, "__SCK__tp_func_xdp_exception" },
	{ 0xfed5e552, "pci_iounmap" },
	{ 0xb11b603d, "netif_tx_wake_queue" },
	{ 0x2a795e6d, "device_del" },
	{ 0x77572e15, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x9c0dd687, "__alloc_pages" },
	{ 0x88398556, "pci_set_master" },
	{ 0x9b216ab1, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf7333e3e, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xa38996a9, "pci_release_regions" },
	{ 0xaee7aa9d, "bpf_prog_add" },
	{ 0x363d9f16, "xdp_rxq_info_unreg" },
	{ 0xb16c1145, "page_pool_alloc_pages" },
	{ 0xd0a61d7, "napi_build_skb" },
	{ 0x53813557, "__folio_put" },
	{ 0xd976c88a, "__xdp_rxq_info_reg" },
	{ 0x56470118, "__warn_printk" },
	{ 0x225202a8, "netif_carrier_off" },
	{ 0x60735d5e, "netif_carrier_on" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x524e06a3, "pci_disable_device" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x3905ac13, "xdp_master_redirect" },
	{ 0x4ce977e9, "__napi_schedule_irqoff" },
	{ 0xd6a5bc90, "napi_schedule_prep" },
	{ 0x6050f46a, "napi_consume_skb" },
	{ 0xe4c96da5, "napi_disable" },
	{ 0xfe83877, "dev_kfree_skb_any_reason" },
	{ 0xcf3b69b3, "netdev_stats_to_stats64" },
	{ 0x50b5a334, "pci_free_irq_vectors" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x72ece7e9, "netdev_info" },
	{ 0xf9a095ce, "page_pool_put_unrefed_page" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x9965d136, "__tracepoint_xdp_exception" },
	{ 0x83051629, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xad52e80a, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6123f4f, "bpf_prog_put" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3b6df35b, "pci_enable_device" },
	{ 0xabe460aa, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x936bf003, "auxiliary_device_init" },
	{ 0xe3bd91a1, "pci_iomap" },
	{ 0x2ed8e46e, "pci_alloc_irq_vectors" },
	{ 0x5174f12f, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x79683ccd, "bpf_warn_invalid_xdp_action" },
	{ 0x7a6aa5bb, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xecdd40fa, "dma_unmap_page_attrs" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x803488eb, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x450174e0, "page_pool_destroy" },
	{ 0x57dcd9f4, "xdp_do_redirect" },
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0xe918417d, "eth_validate_addr" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x32ee8763, "netdev_warn" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xbab91bf7, "pci_irq_vector" },
	{ 0xd01756ba, "__netif_napi_del" },
	{ 0xe366b6e, "unregister_netdevice_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001414d000000B9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001414d000000BAsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E34C959C13294CF06999CB4");

MODULE_INFO(suserelease, "ALP-0.1");
