#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(macsec_pn_wrapped, 0x6c9cea10, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x73557cb2, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0xddf6f347, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0xa4d082ae, "netdev_rx_handler_register" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xf0b228a7, "skb_copy" },
	{ 0x70421f21, "consume_skb" },
	{ 0x29157a8e, "skb_push" },
	{ 0xabe460aa, "skb_put" },
	{ 0xd0e7b3a1, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x66106782, "skb_to_sgvec" },
	{ 0x5d50d58e, "crypto_aead_encrypt" },
	{ 0xc76f21a9, "skb_copy_expand" },
	{ 0x2ab5e5f7, "dst_release" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1a1ff557, "skb_clone" },
	{ 0x9a7336d0, "__netif_rx" },
	{ 0xf1517b72, "crypto_aead_decrypt" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9c6686ac, "__pskb_pull_tail" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x34e76cce, "netdev_rx_handler_unregister" },
	{ 0xa318677b, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x225202a8, "netif_carrier_off" },
	{ 0xc23a2c13, "dev_mc_unsync" },
	{ 0x97dad507, "dev_uc_unsync" },
	{ 0x57995946, "dev_uc_del" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5fa77e9f, "dev_uc_add" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x60735d5e, "netif_carrier_on" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x18ed187f, "genlmsg_put" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xbe519d34, "rtnl_link_register" },
	{ 0x321eef85, "genl_register_family" },
	{ 0xf28bc851, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0x64fc4f23, "crypto_destroy_tfm" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x28331e74, "crypto_alloc_aead" },
	{ 0xfd77de86, "crypto_aead_setkey" },
	{ 0x5256ede, "crypto_aead_setauthsize" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xb0e602eb, "memmove" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0xb9dcd676, "___pskb_trim" },
	{ 0x257ec672, "ether_setup" },
	{ 0xe37ffbef, "metadata_dst_free" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0xf63c05c2, "dev_mc_sync" },
	{ 0xfcb9bf0f, "dev_uc_sync" },
	{ 0x19f77a01, "dev_set_allmulti" },
	{ 0xdf65fc63, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x76c53ac8, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x2e3a69d4, "__dev_queue_xmit" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x39f412f4, "gro_cells_init" },
	{ 0xb58bfd6d, "dev_addr_mod" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6cb210e5, "eth_type_trans" },
	{ 0xbf55b693, "gro_cells_receive" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0xac18c740, "__dev_get_by_index" },
	{ 0xfc020879, "register_netdevice" },
	{ 0x4ba12c5f, "netdev_upper_dev_link" },
	{ 0xbc06a5e9, "netdev_upper_dev_unlink" },
	{ 0xe366b6e, "unregister_netdevice_queue" },
	{ 0xb61d0be1, "metadata_dst_alloc" },
	{ 0x25706147, "netif_stacked_transfer_operstate" },
	{ 0xb64d2a4f, "linkwatch_fire_event" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "458C6D04F7AB9ADBB5E3D80");

MODULE_INFO(suserelease, "ALP-0.1");
