#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(p54_parse_eeprom, 0xa1666b77, "_gpl");
SYMBOL_CRC(p54_read_eeprom, 0x0142fe91, "_gpl");
SYMBOL_CRC(p54_parse_firmware, 0x7a04ef85, "_gpl");
SYMBOL_CRC(p54_free_skb, 0x3cbdfbd9, "_gpl");
SYMBOL_CRC(p54_rx, 0x058813aa, "_gpl");
SYMBOL_CRC(p54_init_common, 0xdb112cc6, "_gpl");
SYMBOL_CRC(p54_register_common, 0xd7a4e27b, "_gpl");
SYMBOL_CRC(p54_free_common, 0xb23d47b0, "_gpl");
SYMBOL_CRC(p54_unregister_common, 0x095798eb, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x6b49964e, "ieee80211_wake_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x926fb8e2, "__ieee80211_get_tx_led_name" },
	{ 0xbd7bf3bd, "skb_queue_purge_reason" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x26383b97, "ieee80211_handle_wake_tx_queue" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0x92997ed8, "_printk" },
	{ 0xf53cfb8f, "ieee80211_tx_status_irqsafe" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xb58d797e, "__ieee80211_get_rx_led_name" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xeafd96d1, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xaeb30b17, "ieee80211_queue_delayed_work" },
	{ 0x4f791397, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x29157a8e, "skb_push" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x901b1236, "ieee80211_free_txskb" },
	{ 0xce8fe3e1, "led_classdev_register_ext" },
	{ 0x2387b41e, "ieee80211_alloc_hw_nm" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xed87b16f, "ieee80211_emulate_add_chanctx" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x249a0755, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xffed9b5c, "ieee80211_stop_queue" },
	{ 0x2c5e055a, "__netdev_alloc_skb" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x3577c83d, "skb_unlink" },
	{ 0x4d1bc626, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x6a5351ba, "__ieee80211_get_assoc_led_name" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x63a7c28c, "bitmap_find_free_region" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0xac049455, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x277ea1f0, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0xfe83877, "dev_kfree_skb_any_reason" },
	{ 0x353f8047, "_dev_printk" },
	{ 0xe7f4788f, "ieee80211_emulate_remove_chanctx" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x691e4771, "ieee80211_rx_irqsafe" },
	{ 0x36d301e3, "skb_queue_head" },
	{ 0xabe460aa, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x70421f21, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x7a6aa5bb, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x468312dd, "ieee80211_free_hw" },
	{ 0x69acdf38, "memcpy" },
	{ 0x30730d2, "ieee80211_beacon_loss" },
	{ 0x1ebac868, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xf5ea9bac, "led_classdev_unregister" },
	{ 0xd044c226, "ieee80211_register_hw" },
	{ 0x342f5ebe, "ieee80211_emulate_change_chanctx" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x586469e0, "ieee80211_get_hdrlen_from_skb" },
	{ 0x151ae7be, "__ieee80211_get_radio_led_name" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "A9EBCF5A63A6F619859E364");

MODULE_INFO(suserelease, "ALP-0.1");
