#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt76s_read_pcr, 0x4f74911e, "_gpl");
SYMBOL_CRC(mt76s_rr, 0x29b327c5, "_gpl");
SYMBOL_CRC(mt76s_wr, 0x25230bcf, "_gpl");
SYMBOL_CRC(mt76s_rmw, 0x370c821f, "_gpl");
SYMBOL_CRC(mt76s_write_copy, 0xe9faa14a, "_gpl");
SYMBOL_CRC(mt76s_read_copy, 0xacd7a9d3, "_gpl");
SYMBOL_CRC(mt76s_wr_rp, 0x45df9267, "_gpl");
SYMBOL_CRC(mt76s_rd_rp, 0xd0ece68c, "_gpl");
SYMBOL_CRC(mt76s_hw_init, 0x8a07416e, "_gpl");
SYMBOL_CRC(mt76s_alloc_rx_queue, 0x66cbcb98, "_gpl");
SYMBOL_CRC(mt76s_alloc_tx, 0x374af0e3, "_gpl");
SYMBOL_CRC(mt76s_deinit, 0x015116f2, "_gpl");
SYMBOL_CRC(mt76s_init, 0x59c14255, "_gpl");
SYMBOL_CRC(mt76s_txrx_worker, 0x1828f6b6, "_gpl");
SYMBOL_CRC(mt76s_sdio_irq, 0x17d1fb00, "_gpl");
SYMBOL_CRC(mt76s_txqs_empty, 0xf2378cfc, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5483145d, "skb_add_rx_frag" },
	{ 0x69acdf38, "memcpy" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x88adb634, "__wake_up" },
	{ 0x9c25d0d6, "sched_set_fifo_low" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x880d3b63, "pskb_expand_head" },
	{ 0x796abe25, "mt76_tx_status_check" },
	{ 0xa9351ed3, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xbc504ef5, "sdio_release_irq" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xafefb6b1, "sdio_readsb" },
	{ 0x4f791397, "_dev_err" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x46a12c7f, "__SCK__tp_func_dev_irq" },
	{ 0x52d17e72, "sdio_readl" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x442dbc79, "kthread_stop" },
	{ 0x9c0dd687, "__alloc_pages" },
	{ 0xdd0e0894, "sdio_writel" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdabc78a3, "mt76_queue_tx_complete" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xf763bd8a, "kthread_create_on_node" },
	{ 0x1078fdb3, "__tracepoint_dev_irq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x8059e375, "mt76_rx_poll_complete" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x53813557, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0x7ba4f924, "sdio_claim_irq" },
	{ 0x2fa3aa41, "mt76_skb_adjust_pad" },
	{ 0x2a44219f, "sdio_enable_func" },
	{ 0xb4614b57, "sdio_writesb" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xff4c3aad, "sdio_release_host" },
	{ 0xdfedaece, "sdio_disable_func" },
	{ 0x95514f14, "sdio_set_block_size" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0xabe460aa, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x568e8c13, "sdio_claim_host" },
	{ 0x70421f21, "consume_skb" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mt76,mmc_core");


MODULE_INFO(srcversion, "476C307E3B779048DE28F75");

MODULE_INFO(suserelease, "ALP-0.1");
