#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt76_set_irq_mask, 0xe1aafb11, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0xcca8ac21, "_gpl");
SYMBOL_CRC(__mt76_poll, 0x73a0ca9c, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0x549b2153, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0x83902873, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0xfe2cb185, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0xb28f269b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0x01b540d9, "_gpl");
SYMBOL_CRC(__SCT__tp_func_mac_txdone, 0xbb31a266, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0x1078fdb3, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0x494142b4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0x46a12c7f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_dev_irq, 0xe45628cb, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0x584be3bc, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0x168bed4e, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0xc0cf2649, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0x04c7a45e, "_gpl");
SYMBOL_CRC(mt76_dma_wed_setup, 0x36dbcfea, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0x80b7aec3, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0xf51c51a8, "_gpl");
SYMBOL_CRC(mt76_dma_wed_reset, 0xa6e4465d, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0x1594869a, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0x8ceb72ed, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0x33f06ec9, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0xc6ed4aca, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0x28288f98, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0xbe2a23c7, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0x38670c90, "_gpl");
SYMBOL_CRC(mt76_register_device, 0x1d034b19, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0xaab15b30, "_gpl");
SYMBOL_CRC(mt76_free_device, 0xeb85070e, "_gpl");
SYMBOL_CRC(mt76_rx, 0xa524fe08, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0x388d414b, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0xe74ef4ef, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0xee6539a6, "_gpl");
SYMBOL_CRC(mt76_set_channel, 0x20f8e492, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0x9034108d, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0x496f2c5c, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0x8059e375, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0xdfccc17f, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0x6aafa4cd, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0xd77e33a9, "_gpl");
SYMBOL_CRC(mt76_wcid_init, 0xc4628783, "_gpl");
SYMBOL_CRC(mt76_wcid_cleanup, 0xdc3904e2, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0x405a2556, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0x61e89428, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0xb491269a, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0x1c68572a, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0x033aa0de, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0x0c512830, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0x5cf16c2b, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0x07e66c60, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0xb54e5dd7, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0x548e42ef, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0x3dbfff49, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0x76c31c62, "_gpl");
SYMBOL_CRC(mt76_calculate_default_rate, 0x77ad7615, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0xccf46e53, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0xc1286abd, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0xc17af91e, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0x053c557e, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0xaeaffc2f, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_mtd, 0x425f2134, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_nvmem, 0x5a37e3d1, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0x3ae833cc, "_gpl");
SYMBOL_CRC(mt76_find_power_limits_node, 0x636c6c2f, "_gpl");
SYMBOL_CRC(mt76_find_channel_node, 0x25bab09a, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0xa9aa7c00, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0x097fc7cd, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0x1cc05db7, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0xcda71d0a, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0xe3a4f773, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0x0e29e525, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0x3c8c3654, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0xe9945a32, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0x796abe25, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0xcb6b8847, "_gpl");
SYMBOL_CRC(mt76_tx, 0xad599093, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0x3e6a90cd, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0x74324ac9, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0x0b91c3f0, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0x881b984f, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0xe0e5d89a, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0xa1dfb93a, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0x2fa3aa41, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0xdabc78a3, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0x700f99ce, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0x36c73d66, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0x6d81bae1, "_gpl");
SYMBOL_CRC(mt76_token_release, 0x763e1db5, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0x62cd7be1, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0x6017b7ac, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0xd203fe13, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0x86562ac7, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0x59699232, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0x7837fa9d, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0x3abc184a, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0xc97f8735, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0xc506cf36, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0xf7e083c2, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x419782e2, "ieee80211_tx_status_ext" },
	{ 0x4260daed, "debugfs_create_blob" },
	{ 0x4bec2f6c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0x450174e0, "page_pool_destroy" },
	{ 0xd044c226, "ieee80211_register_hw" },
	{ 0xf5ea9bac, "led_classdev_unregister" },
	{ 0x9ed82fc0, "__ieee80211_create_tpt_led_trigger" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x4814a342, "ieee80211_sta_eosp" },
	{ 0x586469e0, "ieee80211_get_hdrlen_from_skb" },
	{ 0x88adb634, "__wake_up" },
	{ 0xd01756ba, "__netif_napi_del" },
	{ 0x5d9d139, "kthread_park" },
	{ 0x9c25d0d6, "sched_set_fifo_low" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa9351ed3, "wake_up_process" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0xeab0566c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaf6f126a, "dma_map_page_attrs" },
	{ 0xa3d2839f, "napi_complete_done" },
	{ 0x674b80c6, "ieee80211_get_tx_rates" },
	{ 0x9ff4699f, "ieee80211_send_bar" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xd7c885aa, "ieee80211_sta_uapsd_trigger" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x27393bb7, "debugfs_create_devm_seqfile" },
	{ 0xa916b694, "strnlen" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0x428938a8, "idr_get_next" },
	{ 0x7b9476b3, "pci_disable_link_state" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x738f572d, "napi_gro_receive" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0xeafd96d1, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc060c3f4, "page_pool_ethtool_stats_get" },
	{ 0xe35b02d1, "dev_set_threaded" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x1fd6cdb3, "idr_remove" },
	{ 0x73ecfc43, "debugfs_attr_read" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xaeb30b17, "ieee80211_queue_delayed_work" },
	{ 0xe02677a5, "devm_kmemdup" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5edc48f4, "perf_trace_run_bpf_submit" },
	{ 0x4f791397, "_dev_err" },
	{ 0x1d77f3e7, "debugfs_create_file_unsafe" },
	{ 0x38b0ad21, "idr_alloc" },
	{ 0xf19a7bc1, "simple_attr_release" },
	{ 0x28278374, "ieee80211_calc_rx_airtime" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3f88eeea, "ieee80211_find_sta_by_ifaddr" },
	{ 0xd469f854, "ieee80211_next_txq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x243fbd53, "pcie_capability_clear_and_set_word_locked" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x29157a8e, "skb_push" },
	{ 0xbb1cb1c4, "napi_enable" },
	{ 0x8f18596e, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x3e526055, "trace_event_reg" },
	{ 0xc9078dca, "ieee80211_sta_pspoll" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x442dbc79, "kthread_stop" },
	{ 0x901b1236, "ieee80211_free_txskb" },
	{ 0xce8fe3e1, "led_classdev_register_ext" },
	{ 0x2387b41e, "ieee80211_alloc_hw_nm" },
	{ 0x19760eef, "idr_destroy" },
	{ 0x94cdd96c, "ieee80211_tx_dequeue" },
	{ 0xb48cc133, "ieee80211_rx_list" },
	{ 0xa75c4c0d, "dma_sync_single_for_cpu" },
	{ 0x77572e15, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd46d311, "debugfs_create_u32" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf763bd8a, "kthread_create_on_node" },
	{ 0x4f6e5027, "cfg80211_reg_can_beacon" },
	{ 0x2fbe56f3, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd4a0d1c6, "trace_event_buffer_reserve" },
	{ 0x71bb0324, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xac049455, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xd0a61d7, "napi_build_skb" },
	{ 0x43a10365, "radix_tree_tagged" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x140dd535, "ieee80211_sta_ps_transition" },
	{ 0x7d7b5350, "debugfs_create_u8" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xef7f9974, "init_dummy_netdev" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xd343f99a, "ieee80211_csa_finish" },
	{ 0xf9a095ce, "page_pool_put_unrefed_page" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x16945e0a, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x22c1aead, "pcie_capability_read_word" },
	{ 0x4170672b, "__skb_pad" },
	{ 0xf81cf5d1, "page_pool_get_stats" },
	{ 0xe1463ec9, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa5380812, "__ieee80211_schedule_txq" },
	{ 0xe62223a6, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0xabe460aa, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8524e2c9, "page_pool_alloc_frag" },
	{ 0x70421f21, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x5174f12f, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x53d8e4d0, "dmam_alloc_attrs" },
	{ 0x4f93cdcf, "trace_raw_output_prep" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x7a6aa5bb, "skb_dequeue" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xeb50ed41, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x91d60580, "finish_wait" },
	{ 0x468312dd, "ieee80211_free_hw" },
	{ 0xecdd40fa, "dma_unmap_page_attrs" },
	{ 0x7df64fb3, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xf9890870, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9859db6b, "dma_sync_single_for_device" },
	{ 0x5483145d, "skb_add_rx_frag" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "B654839BD41454BB65A8628");

MODULE_INFO(suserelease, "ALP-0.1");
