#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x13e8adb9, "mt76x02_mcu_parse_response" },
	{ 0x3e6a90cd, "mt76_release_buffered_frames" },
	{ 0xbc975a81, "request_firmware" },
	{ 0x405a2556, "mt76_get_txpower" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0x12b5586c, "mt76x02_dma_disable" },
	{ 0xa1dfb93a, "mt76_wake_tx_queue" },
	{ 0xe8b39d74, "mt76x02e_init_beacon_config" },
	{ 0x3dbfff49, "mt76_get_antenna" },
	{ 0x342f5ebe, "ieee80211_emulate_change_chanctx" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x288c264f, "pci_set_power_state" },
	{ 0xfe0209cb, "mt76x02_sta_ps" },
	{ 0xf1587e31, "mt76x02_sta_rate_tbl_update" },
	{ 0x5d9d139, "kthread_park" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x1594869a, "mt76_dma_cleanup" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xedd178b2, "mt76x02_reconfig_complete" },
	{ 0x38670c90, "mt76_alloc_device" },
	{ 0xa9351ed3, "wake_up_process" },
	{ 0x7efcb7a5, "mt76x02_set_coverage_class" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb84cab28, "mt76x02_update_channel" },
	{ 0x83f1e0f3, "__napi_schedule" },
	{ 0xf7e083c2, "mt76_pci_disable_aspm" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x6d1b1ed, "mt76x02_configure_filter" },
	{ 0xeb85070e, "mt76_free_device" },
	{ 0x208bbfec, "mt76x0_chip_onoff" },
	{ 0x9ceb7c1, "mt76x02_queue_rx_skb" },
	{ 0x65d6ae93, "kthread_unpark" },
	{ 0x1191b14e, "pcim_iomap_regions" },
	{ 0xaeb30b17, "ieee80211_queue_delayed_work" },
	{ 0xe963718e, "mt76x0_config" },
	{ 0x6399d40d, "mt76x0_register_device" },
	{ 0x4f791397, "_dev_err" },
	{ 0xc8e922b6, "mt76x02_rx_poll_complete" },
	{ 0x7860107b, "mt76x0_phy_calibrate" },
	{ 0xc512830, "mt76_set_tim" },
	{ 0x30c0b94b, "mt76x02_sw_scan_complete" },
	{ 0x91d5b9ee, "mt76x02_irq_handler" },
	{ 0xbb1cb1c4, "napi_enable" },
	{ 0x3fe9bd30, "mt76x02_tx" },
	{ 0xcca8ac21, "mt76_mmio_init" },
	{ 0xd2c398b3, "mt76x02_sta_remove" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xba309fb5, "mt76x02_sta_add" },
	{ 0xaab15b30, "mt76_unregister_device" },
	{ 0xb9c0237a, "pci_restore_state" },
	{ 0xdaa35ba7, "mt76x0_mac_stop" },
	{ 0x9034108d, "mt76_get_survey" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xed87b16f, "ieee80211_emulate_add_chanctx" },
	{ 0x88398556, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x249a0755, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x6cdbbd4f, "mt76x02_set_rts_threshold" },
	{ 0x536a1e72, "mt76x02_tx_complete_skb" },
	{ 0x6aafa4cd, "mt76_sta_state" },
	{ 0x86c1c559, "mt76x02_mcu_msg_send" },
	{ 0x2d0f1e95, "mt76x0_init_hardware" },
	{ 0xea2d52dc, "mt76x02_bss_info_changed" },
	{ 0x35858657, "pci_enable_wake" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x8eb38d62, "mt76x02_add_interface" },
	{ 0x549b2153, "____mt76_poll_msec" },
	{ 0x1aa80cc0, "mt76x02_tx_prepare_skb" },
	{ 0xaeee664f, "mt76x02_mcu_cleanup" },
	{ 0xd0e8c383, "mt76x02_ampdu_action" },
	{ 0x39d55736, "mt76x02_conf_tx" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0xb54e5dd7, "mt76_sw_scan" },
	{ 0xd77e33a9, "mt76_sta_pre_rcu_remove" },
	{ 0x9c25f90f, "pcim_iomap_table" },
	{ 0xd6a5bc90, "napi_schedule_prep" },
	{ 0xe4c96da5, "napi_disable" },
	{ 0x73a0ca9c, "__mt76_poll" },
	{ 0xf3eabe1b, "pcim_enable_device" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xe7f4788f, "ieee80211_emulate_remove_chanctx" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x866e2436, "mt76x02_mac_start" },
	{ 0x3a27d7cd, "mt76x02_remove_interface" },
	{ 0x9ce6d1bb, "mt76x02_dma_init" },
	{ 0xde5cee58, "pci_save_state" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb99525b6, "devm_request_threaded_irq" },
	{ 0xf7ddc6fd, "mt76x0_set_sar_specs" },
	{ 0x8b27b7f2, "pci_choose_state" },
	{ 0xe33a3e43, "mt76x02_set_ethtool_fwver" },
	{ 0xca1bf7ce, "mt76x02_set_key" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mt76,mac80211,mt76x0-common");

MODULE_ALIAS("pci:v000014C3d00007610sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007630sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007650sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0B0A074F965F705E2B57676");

MODULE_INFO(suserelease, "ALP-0.1");
