#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4f791397, "_dev_err" },
	{ 0x9bbd1328, "rt2800_mcu_request" },
	{ 0xbffbf17a, "rt2800mmio_toggle_irq" },
	{ 0x4eb41f4c, "rt2800mmio_enable_radio" },
	{ 0x1b61ece9, "rt2x00pci_remove" },
	{ 0x3f060a0b, "rt2x00pci_pm_ops" },
	{ 0xb3440670, "rt2800mmio_queue_init" },
	{ 0x5fa4db64, "rt2800mmio_interrupt" },
	{ 0x9f3c8921, "rt2800mmio_txstatus_tasklet" },
	{ 0x3d741c87, "rt2800mmio_pretbtt_tasklet" },
	{ 0x5028bbb2, "rt2800mmio_tbtt_tasklet" },
	{ 0x32ac3645, "rt2800mmio_rxdone_tasklet" },
	{ 0x97e3c029, "rt2800mmio_autowake_tasklet" },
	{ 0x369810e4, "rt2800mmio_probe_hw" },
	{ 0xe78582dc, "rt2800_check_firmware" },
	{ 0xa095c87c, "rt2800_load_firmware" },
	{ 0x7bd2457e, "rt2x00mmio_initialize" },
	{ 0x1ce9382f, "rt2x00mmio_uninitialize" },
	{ 0x535eac60, "rt2800mmio_get_entry_state" },
	{ 0x1a41a8d, "rt2800mmio_clear_entry" },
	{ 0x9e956c8b, "rt2800_rfkill_poll" },
	{ 0xd3d2de7a, "rt2800_link_stats" },
	{ 0x1f47e589, "rt2800_reset_tuner" },
	{ 0x9fc7c101, "rt2800_link_tuner" },
	{ 0x4e0107a7, "rt2800_gain_calibration" },
	{ 0xf876c8c6, "rt2800_vco_calibration" },
	{ 0x96e91250, "rt2800_watchdog" },
	{ 0xe6e5fad4, "rt2800mmio_start_queue" },
	{ 0x846469d0, "rt2800mmio_kick_queue" },
	{ 0xa421aa29, "rt2800mmio_stop_queue" },
	{ 0x61341d4f, "rt2800mmio_flush_queue" },
	{ 0xde308a59, "rt2800mmio_write_tx_desc" },
	{ 0x3c2c1c02, "rt2800_write_tx_data" },
	{ 0x40595f79, "rt2800_write_beacon" },
	{ 0x74da4580, "rt2800_clear_beacon" },
	{ 0xdea4c8a8, "rt2800mmio_fill_rxdone" },
	{ 0x38164816, "rt2800_config_shared_key" },
	{ 0x7f8f51ee, "rt2800_config_pairwise_key" },
	{ 0x80234bb3, "rt2800_config_filter" },
	{ 0xde3749ed, "rt2800_config_intf" },
	{ 0x7eb2c370, "rt2800_config_erp" },
	{ 0x59095459, "rt2800_config_ant" },
	{ 0x11d5e5b4, "rt2800_config" },
	{ 0x9e273c3a, "rt2800_pre_reset_hw" },
	{ 0x4aaa1b09, "rt2x00mmio_regbusy_read" },
	{ 0x23d6b5bf, "rt2800mmio_init_registers" },
	{ 0x19957f25, "rt2800mmio_get_txwi" },
	{ 0x796a2b7d, "rt2800mmio_get_dma_done" },
	{ 0xa28fac1d, "rt2x00mac_tx" },
	{ 0x76116565, "rt2x00mac_start" },
	{ 0x4b408356, "rt2x00mac_stop" },
	{ 0x38b62e40, "rt2x00mac_add_interface" },
	{ 0xd851a0, "rt2x00mac_remove_interface" },
	{ 0x327b54ed, "rt2x00mac_config" },
	{ 0xf0e550bc, "rt2x00mac_bss_info_changed" },
	{ 0x13dbf78c, "rt2x00mac_configure_filter" },
	{ 0xfeb3a731, "rt2x00mac_set_key" },
	{ 0x6dc09acd, "rt2x00mac_sw_scan_start" },
	{ 0x1d64b77c, "rt2x00mac_sw_scan_complete" },
	{ 0x314fbe84, "rt2x00mac_get_stats" },
	{ 0xd8d2323c, "rt2800_get_key_seq" },
	{ 0x6c75946f, "rt2800_set_rts_threshold" },
	{ 0x5593e763, "rt2800_sta_add" },
	{ 0x8d71cddd, "rt2800_sta_remove" },
	{ 0x986ae61c, "rt2800_conf_tx" },
	{ 0x3b8684c2, "rt2800_get_tsf" },
	{ 0x12c7d755, "rt2800_ampdu_action" },
	{ 0x1c254e32, "rt2800_get_survey" },
	{ 0x7fc0c73, "rt2x00mac_rfkill_poll" },
	{ 0x2d508933, "rt2x00mac_flush" },
	{ 0x66cb567c, "rt2x00mac_get_ringparam" },
	{ 0xd16e489c, "rt2x00mac_tx_frames_pending" },
	{ 0xed87b16f, "ieee80211_emulate_add_chanctx" },
	{ 0xe7f4788f, "ieee80211_emulate_remove_chanctx" },
	{ 0x342f5ebe, "ieee80211_emulate_change_chanctx" },
	{ 0x249a0755, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x952b2e05, "rt2x00mac_reconfig_complete" },
	{ 0x26383b97, "ieee80211_handle_wake_tx_queue" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0x4c019758, "rt2x00pci_probe" },
	{ 0x95dbfb1a, "rt2800_efuse_detect" },
	{ 0xe64616bb, "rt2800_read_eeprom_efuse" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "rt2800lib,rt2800mmio,rt2x00pci,rt2x00mmio,rt2x00lib,mac80211,eeprom_93cx6");

MODULE_ALIAS("pci:v00001814d00000601sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000681sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000701sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003090sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003091sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003092sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007708sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007728sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007738sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007748sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007758sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007768sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001462d0000891Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001A3Bd00001059sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003290sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007711sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007722sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003060sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003062sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003562sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000359Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005362sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005392sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Fsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "2CC3E1C5DAB5726F7E0AA45");

MODULE_INFO(suserelease, "ALP-0.1");
