#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x44ee46a8, "__ssam_device_driver_register" },
	{ 0x56c88e50, "__platform_driver_register" },
	{ 0x30121505, "ssam_device_driver_unregister" },
	{ 0x6e9cfd60, "platform_driver_unregister" },
	{ 0x2b9a659, "__init_rwsem" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xedf68171, "input_allocate_device" },
	{ 0x33547744, "input_set_capability" },
	{ 0xf9c842e9, "input_event" },
	{ 0x10b4f146, "input_register_device" },
	{ 0x2adb7afb, "ssam_notifier_register" },
	{ 0xd0d2a74, "misc_register" },
	{ 0x3dece9dd, "input_unregister_device" },
	{ 0x1be99654, "input_free_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x24283385, "__ssam_notifier_unregister" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x37a0cba, "kfree" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0x6d4ce75, "up_write" },
	{ 0x6f2adb4b, "misc_deregister" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0xd265f074, "stream_open" },
	{ 0x8f6a8c52, "ssam_client_bind" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x374b8959, "kill_fasync" },
	{ 0x52ce608c, "up_read" },
	{ 0x88adb634, "__wake_up" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x1abe4157, "fasync_helper" },
	{ 0x1aa71d28, "down_read_killable" },
	{ 0x95784c3, "mutex_lock_interruptible" },
	{ 0x4578f528, "__kfifo_to_user" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0x91d60580, "finish_wait" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xe532c2cd, "ssam_request_do_sync_with_buffer" },
	{ 0xa43ef00b, "ssam_controller_device" },
	{ 0x4f791397, "_dev_err" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "surface_aggregator");

MODULE_ALIAS("ssam:d01c11t01i00f00");
MODULE_ALIAS("acpi*:MSHW0133:*");

MODULE_INFO(srcversion, "2F725441F551F1DD6A5FDD9");

MODULE_INFO(suserelease, "ALP-0.1");
