#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x74754435, "acpi_bus_generate_netlink_event" },
	{ 0xdc14f0ed, "led_classdev_notify_brightness_hw_changed" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6f2adb4b, "misc_deregister" },
	{ 0xcf4a2ba, "remove_proc_entry" },
	{ 0x770dce97, "hwmon_device_unregister" },
	{ 0x1b9ba72e, "iio_device_unregister" },
	{ 0x2ed65bc6, "iio_device_free" },
	{ 0x3dece9dd, "input_unregister_device" },
	{ 0x44392685, "backlight_device_unregister" },
	{ 0xf5ea9bac, "led_classdev_unregister" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa42fec21, "battery_hook_unregister" },
	{ 0x62137871, "i8042_remove_filter" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xcd88e364, "sysfs_remove_group" },
	{ 0xf4b54cb2, "device_remove_groups" },
	{ 0x1045b09e, "device_add_groups" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd34f2e1b, "single_open" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x77456e0a, "acpi_root_dir" },
	{ 0xb51c730, "proc_mkdir" },
	{ 0x195ea8d2, "acpi_bus_register_driver" },
	{ 0xf4591396, "acpi_bus_unregister_driver" },
	{ 0xcdce87c, "rfkill_set_hw_state_reason" },
	{ 0x45081703, "ec_get_handle" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0xd0d2a74, "misc_register" },
	{ 0xce8fe3e1, "led_classdev_register_ext" },
	{ 0x5ff92248, "iio_device_alloc" },
	{ 0x7a19d2ef, "hwmon_device_register_with_info" },
	{ 0x4e7af576, "sysfs_create_group" },
	{ 0xc9d4d6d1, "wmi_has_guid" },
	{ 0xedf68171, "input_allocate_device" },
	{ 0xc53b99dd, "sparse_keymap_setup" },
	{ 0x1be99654, "input_free_device" },
	{ 0x79083e4f, "__iio_device_register" },
	{ 0xb7155b1c, "rfkill_alloc" },
	{ 0xff282521, "rfkill_register" },
	{ 0x350c478, "proc_create_data" },
	{ 0xa86f4cf, "proc_create_single_data" },
	{ 0x96b33e5d, "battery_hook_register" },
	{ 0x7de7bf50, "__acpi_video_get_backlight_type" },
	{ 0xdab707b1, "backlight_device_register" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf06eeb50, "i8042_install_filter" },
	{ 0x10b4f146, "input_register_device" },
	{ 0x2d62373f, "sparse_keymap_report_event" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x55b30e9f, "noop_llseek" },
	{ 0x77efd3d2, "seq_read" },
	{ 0xca100241, "seq_lseek" },
	{ 0xe6bcac2c, "single_release" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0x9eacf52a, "sysfs_update_group" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "industrialio,rfkill,battery,wmi,sparse-keymap,video");

MODULE_ALIAS("acpi*:TOS6200:*");
MODULE_ALIAS("acpi*:TOS6207:*");
MODULE_ALIAS("acpi*:TOS6208:*");
MODULE_ALIAS("acpi*:TOS1900:*");

MODULE_INFO(srcversion, "AD0973D6D9B9B4730B260C6");

MODULE_INFO(suserelease, "ALP-0.1");
