#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(sas_register_ha, 0x562c5d50, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0x94983316, "_gpl");
SYMBOL_CRC(sas_phy_enable, 0xda39933b, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0xa0b925d3, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0x18e88602, "");
SYMBOL_CRC(sas_resume_ha, 0x5d5deb79, "");
SYMBOL_CRC(sas_resume_ha_no_sync, 0x932be868, "");
SYMBOL_CRC(sas_suspend_ha, 0x876c2f2a, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0xcfbc7183, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0xe388f9e0, "_gpl");
SYMBOL_CRC(sas_drain_work, 0xd2d05dad, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0xa7a33c63, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0x0b6774c5, "_gpl");
SYMBOL_CRC(sas_find_attached_phy_id, 0x37014331, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x3e7a9f27, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0xf1677484, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0x8ecd8625, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0xf82871ac, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x164ebf25, "_gpl");
SYMBOL_CRC(sas_ioctl, 0x3975a514, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0xac92d5d8, "_gpl");
SYMBOL_CRC(sas_slave_configure, 0x06d098bf, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0x883b6c7f, "_gpl");
SYMBOL_CRC(sas_bios_param, 0x3c03c188, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_single, 0x91e3b439, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_dev, 0xb98a5361, "_gpl");
SYMBOL_CRC(sas_abort_task_set, 0x9f3ff356, "_gpl");
SYMBOL_CRC(sas_clear_task_set, 0x81aa2448, "_gpl");
SYMBOL_CRC(sas_lu_reset, 0x26d2d278, "_gpl");
SYMBOL_CRC(sas_query_task, 0x6dcacd01, "_gpl");
SYMBOL_CRC(sas_abort_task, 0x9ca8b3af, "_gpl");
SYMBOL_CRC(sas_task_abort, 0x06090caf, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0xdc56f2ae, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0x871e6423, "_gpl");
SYMBOL_CRC(sas_request_addr, 0x5badb02a, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x06041437, "_gpl");
SYMBOL_CRC(smp_ata_check_ready_type, 0x2b4a9f57, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0x9963ae65, "_gpl");
SYMBOL_CRC(sas_ata_device_link_abort, 0xaf43dfb7, "_gpl");
SYMBOL_CRC(sas_execute_ata_cmd, 0x5d1dbf80, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x405be82d, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x5cf02cdb, "ata_sas_tport_delete" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0x4a53bd5a, "kmem_cache_alloc" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xa233d29b, "sas_phy_free" },
	{ 0xb503a933, "scsi_eh_finish_cmd" },
	{ 0xd7b39734, "ata_noop_qc_prep" },
	{ 0x6dc14395, "ata_sas_port_alloc" },
	{ 0xb261a6e0, "ata_port_schedule_eh" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x24d273d1, "add_timer" },
	{ 0x1acf97ff, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x1c43eb7, "sas_port_mark_backlink" },
	{ 0xd3625834, "kmem_cache_free" },
	{ 0xb7f5b61d, "ata_link_abort" },
	{ 0x1bac142f, "ata_std_qc_defer" },
	{ 0x9dc980a4, "ata_scsi_port_error_handler" },
	{ 0x755e62f6, "ata_change_queue_depth" },
	{ 0x46b810e3, "ata_port_probe" },
	{ 0x4c7a2ef, "ata_std_error_handler" },
	{ 0x2920c090, "ata_port_free" },
	{ 0xc924cd47, "sas_end_device_alloc" },
	{ 0x95784c3, "mutex_lock_interruptible" },
	{ 0x72c78bc8, "sas_read_port_mode_page" },
	{ 0x7ca482b7, "sas_expander_alloc" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x7b243ec2, "sas_rphy_delete" },
	{ 0x463637ef, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x6477ec8d, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xd66fc053, "scsi_host_busy" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xaf3f3fa2, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xaeb9197d, "ata_sas_port_suspend" },
	{ 0xfaff2829, "sas_rphy_add" },
	{ 0x1c9957f, "__pm_runtime_resume" },
	{ 0x140b2605, "sas_port_delete_phy" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb1f494d0, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x77ca4fad, "sas_port_add_phy" },
	{ 0x859c1867, "ata_scsi_cmd_error_handler" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x7e34e973, "ata_sas_slave_configure" },
	{ 0x52c30fc, "blk_mq_tagset_busy_iter" },
	{ 0x9a8deded, "scsi_done" },
	{ 0x4e81244a, "scsi_unblock_requests" },
	{ 0x39f0b852, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xda4a8e70, "ata_host_put" },
	{ 0xee8e36ed, "sas_port_free" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x4f5d9f54, "ata_std_sched_eh" },
	{ 0x3beea97d, "scsi_block_requests" },
	{ 0xeff361b5, "blk_abort_request" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xcf6c2382, "sas_remove_children" },
	{ 0xab16a172, "scsi_change_queue_depth" },
	{ 0x8087f62a, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1bd4c38d, "ata_port_wait_eh" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x9400e308, "kmem_cache_destroy" },
	{ 0x7f52ee06, "ata_qc_complete" },
	{ 0x87610cd, "ata_sas_scsi_ioctl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x938936a7, "sas_rphy_remove" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xdc54de44, "bsg_job_done" },
	{ 0x5b325918, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb13ecf60, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x9cf474b4, "ata_sas_tport_add" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x91d60580, "finish_wait" },
	{ 0x916e5fce, "scsi_schedule_eh" },
	{ 0xbc975a81, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xbea4ec22, "ata_host_init" },
	{ 0x669de9f5, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xa59f5a5c, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x4e2433f7, "sas_port_get_phy" },
	{ 0xf1a2f9d6, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x88adb634, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x48152470, "kmem_cache_create" },
	{ 0xd1cd0215, "get_device" },
	{ 0xde9db886, "ata_wait_after_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x99c7a175, "sas_phy_alloc" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "libata,scsi_transport_sas,scsi_mod");


MODULE_INFO(srcversion, "681E9196D460A26A03FCDF2");

MODULE_INFO(suserelease, "ALP-0.1");
