#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ssb_bus_resume, 0xd4dfe6f0, "");
SYMBOL_CRC(ssb_bus_suspend, 0x8925d0a7, "");
SYMBOL_CRC(ssb_bus_unregister, 0x6a9dadb7, "");
SYMBOL_CRC(ssb_bus_sdiobus_register, 0x00fdbaee, "");
SYMBOL_CRC(__ssb_driver_register, 0xa4207404, "");
SYMBOL_CRC(ssb_driver_unregister, 0x9610b791, "");
SYMBOL_CRC(ssb_set_devtypedata, 0x30943c84, "");
SYMBOL_CRC(ssb_clockspeed, 0x2745f179, "");
SYMBOL_CRC(ssb_device_is_enabled, 0xd04f8e88, "");
SYMBOL_CRC(ssb_device_enable, 0x4e314428, "");
SYMBOL_CRC(ssb_device_disable, 0xe62dba16, "");
SYMBOL_CRC(ssb_dma_translation, 0x7a88eac3, "");
SYMBOL_CRC(ssb_bus_may_powerdown, 0x3eba4534, "");
SYMBOL_CRC(ssb_bus_powerup, 0xa95af29d, "");
SYMBOL_CRC(ssb_commit_settings, 0x75c33073, "");
SYMBOL_CRC(ssb_admatch_base, 0xcb17f1cb, "");
SYMBOL_CRC(ssb_admatch_size, 0xdfc7c6ef, "");
SYMBOL_CRC(ssb_pcihost_register, 0xd5bdf871, "");
SYMBOL_CRC(ssb_chipco_gpio_control, 0x8d4ea81c, "");
SYMBOL_CRC(ssb_pmu_set_ldo_voltage, 0x79f1f739, "");
SYMBOL_CRC(ssb_pmu_set_ldo_paref, 0x74e70d31, "");
SYMBOL_CRC(ssb_pmu_spuravoid_pllupdate, 0xe36a72a1, "_gpl");
SYMBOL_CRC(ssb_pcicore_dev_irqvecs_enable, 0xc265e491, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x405be82d, "put_device" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xd4d5abb2, "device_create_file" },
	{ 0xafefb6b1, "sdio_readsb" },
	{ 0xa0c947ef, "gpiochip_get_data" },
	{ 0xab5031e5, "bus_unregister" },
	{ 0x4f791397, "_dev_err" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x9efc6012, "pci_read_config_word" },
	{ 0x52d17e72, "sdio_readl" },
	{ 0x32d404ab, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0x95784c3, "mutex_lock_interruptible" },
	{ 0xfed5e552, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0xffeca003, "device_register" },
	{ 0xb9c0237a, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xdd0e0894, "sdio_writel" },
	{ 0x88398556, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x584e28bf, "gpiochip_add_data_with_key" },
	{ 0x45fa492d, "_dev_emerg" },
	{ 0xb884a378, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xa38996a9, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x524e06a3, "pci_disable_device" },
	{ 0xb4614b57, "sdio_writesb" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0xc0d09236, "pci_write_config_word" },
	{ 0x882168e, "driver_register" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x68dc1674, "pci_write_config_dword" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0xc417c063, "device_remove_file" },
	{ 0xa7973e26, "bus_register" },
	{ 0x53d08661, "sdio_readb" },
	{ 0x2280a5b2, "sdio_writeb" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xde5cee58, "pci_save_state" },
	{ 0xff4c3aad, "sdio_release_host" },
	{ 0x33c40e35, "device_set_wakeup_enable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x3b6df35b, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0x568e8c13, "sdio_claim_host" },
	{ 0xe3bd91a1, "pci_iomap" },
	{ 0x2e07a58f, "sdio_readw" },
	{ 0x83313941, "device_unregister" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x9abd25c2, "pci_back_from_sleep" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0x256e47cd, "pci_prepare_to_sleep" },
	{ 0xedc03953, "iounmap" },
	{ 0x803488eb, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x94c50f23, "sdio_writew" },
	{ 0xd1cd0215, "get_device" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0x4d5d5849, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mmc_core");

MODULE_ALIAS("pci:v000014E4d00004301sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004306sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004307sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004311sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004315sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014A4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004319sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004320sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004321sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004324sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004325sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004328sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004329sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004351sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "124DC3E21F839122E3D6D80");

MODULE_INFO(suserelease, "ALP-0.1");
