#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(iscsi_find_param_from_key, 0xf34332f0, "");
SYMBOL_CRC(iscsit_get_datain_values, 0x5cd00f6c, "");
SYMBOL_CRC(iscsit_increment_maxcmdsn, 0x65b53d12, "");
SYMBOL_CRC(iscsit_cause_connection_reinstatement, 0x5ec75002, "");
SYMBOL_CRC(iscsit_stop_dataout_timer, 0xb70d1112, "");
SYMBOL_CRC(iscsi_change_param_sprintf, 0x19409417, "");
SYMBOL_CRC(iscsi_target_check_login_request, 0xd4701c8e, "");
SYMBOL_CRC(iscsit_tmr_post_handler, 0x09aecd86, "");
SYMBOL_CRC(iscsit_allocate_cmd, 0x44239cfb, "");
SYMBOL_CRC(iscsit_sequence_cmd, 0x743805c4, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt, 0xcd0028fa, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt_or_dump, 0x3338a5d6, "");
SYMBOL_CRC(iscsit_add_cmd_to_immediate_queue, 0x99338a0b, "");
SYMBOL_CRC(iscsit_release_cmd, 0x184a3ef0, "");
SYMBOL_CRC(iscsit_free_cmd, 0x668ef26d, "");
SYMBOL_CRC(iscsit_queue_rsp, 0xf2f6db33, "");
SYMBOL_CRC(iscsit_aborted_task, 0x947e701f, "");
SYMBOL_CRC(iscsit_add_reject, 0xe2605a90, "");
SYMBOL_CRC(iscsit_reject_cmd, 0x0ca345a2, "");
SYMBOL_CRC(iscsit_setup_scsi_cmd, 0x355659a4, "");
SYMBOL_CRC(iscsit_set_unsolicited_dataout, 0x89309b3a, "");
SYMBOL_CRC(iscsit_process_scsi_cmd, 0x3498722a, "");
SYMBOL_CRC(__iscsit_check_dataout_hdr, 0x45fc5db4, "");
SYMBOL_CRC(iscsit_check_dataout_hdr, 0x9cc68c35, "");
SYMBOL_CRC(iscsit_check_dataout_payload, 0x3dde7e84, "");
SYMBOL_CRC(iscsit_setup_nop_out, 0xa4f060c7, "");
SYMBOL_CRC(iscsit_process_nop_out, 0xda9b0860, "");
SYMBOL_CRC(iscsit_handle_task_mgt_cmd, 0x60290be7, "");
SYMBOL_CRC(iscsit_setup_text_cmd, 0x62f84c22, "");
SYMBOL_CRC(iscsit_process_text_cmd, 0xd6e4a1eb, "");
SYMBOL_CRC(iscsit_handle_logout_cmd, 0x8ac11200, "");
SYMBOL_CRC(iscsit_handle_snack, 0x17cf22f0, "");
SYMBOL_CRC(iscsit_build_datain_pdu, 0x42343b2b, "");
SYMBOL_CRC(iscsit_build_logout_rsp, 0x3490171c, "");
SYMBOL_CRC(iscsit_build_nopin_rsp, 0x0e331e43, "");
SYMBOL_CRC(iscsit_build_r2ts_for_cmd, 0xe66150e5, "");
SYMBOL_CRC(iscsit_build_rsp_pdu, 0xb976a87e, "");
SYMBOL_CRC(iscsit_build_task_mgt_rsp, 0xf10195fe, "");
SYMBOL_CRC(iscsit_build_text_rsp, 0x0ee0815a, "");
SYMBOL_CRC(iscsit_build_reject, 0xd64737ee, "");
SYMBOL_CRC(iscsit_thread_check_cpumask, 0x8b1ede68, "");
SYMBOL_CRC(iscsit_immediate_queue, 0xc88ef462, "");
SYMBOL_CRC(iscsit_response_queue, 0x0b16aeee, "");
SYMBOL_CRC(iscsit_logout_post_handler, 0xb868a388, "");
SYMBOL_CRC(iscsit_register_transport, 0xbd890bed, "");
SYMBOL_CRC(iscsit_unregister_transport, 0x0a0fd760, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6760afce, "sock_set_reuseaddr" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x599cfab7, "crypto_ahash_finup" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xcabd54a8, "iov_iter_bvec" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0x8a3d813f, "crypto_ahash_digest" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x69353374, "crypto_ahash_final" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xc74c7fa7, "__target_init_cmd" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf763bd8a, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xceab1046, "transport_lookup_cmd_lun" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x91f8e89f, "core_tpg_check_initiator_node_acl" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xedc7412d, "target_cmd_init_cdb" },
	{ 0x3a188989, "rt_read_lock" },
	{ 0x9e8ad1cf, "kernel_listen" },
	{ 0xa8a11e32, "core_tmr_alloc_req" },
	{ 0x999e8297, "vfree" },
	{ 0x276477f0, "ip_sock_set_freebind" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0xde312ff2, "sbitmap_finish_wait" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xabbd4eb1, "crypto_shash_finup" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x8cca8bc9, "transport_wait_for_tasks" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x63a7c28c, "bitmap_find_free_region" },
	{ 0xe72f1b0, "transport_handle_cdb_direct" },
	{ 0x555f3b9e, "target_get_sess_cmd" },
	{ 0x9a6be29a, "target_complete_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x18dee5e1, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xea8aa77b, "sock_recvmsg" },
	{ 0x79395b2a, "core_tpg_deregister" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xa113ab5f, "__transport_register_session" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x847fec03, "target_show_dynamic_sessions" },
	{ 0x66852c83, "rt_write_lock" },
	{ 0x488ffe9c, "sock_release" },
	{ 0x33d39280, "target_register_template" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x21c48c7b, "tcp_sock_set_nodelay" },
	{ 0xc979f6c4, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x596a6187, "transport_generic_free_cmd" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x58c2894, "core_tpg_register" },
	{ 0x754d539c, "strlen" },
	{ 0x583f87b9, "target_put_sess_cmd" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x52d55dde, "transport_deregister_session" },
	{ 0xaa8f1b71, "inet_addr_is_any" },
	{ 0x349cba85, "strchr" },
	{ 0xaa4dee32, "crypto_alloc_shash" },
	{ 0xc289ab0, "__sbitmap_queue_get" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9400e308, "kmem_cache_destroy" },
	{ 0x62feeb29, "target_tpg_has_node_acl" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5455af87, "crypto_alloc_ahash" },
	{ 0xe914e41e, "strcpy" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0x4d18f2d3, "target_alloc_cmd_counter" },
	{ 0x94ab1ce, "core_alua_check_nonop_delay" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xad52e80a, "ida_alloc_range" },
	{ 0xd57eadb2, "try_module_get" },
	{ 0xe88c4e54, "target_wait_for_cmds" },
	{ 0x6737ab3e, "transport_generic_new_cmd" },
	{ 0x7b9ff06, "target_free_cmd_counter" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x2586fa57, "target_execute_cmd" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x91d60580, "finish_wait" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe671ae7b, "kernel_bind" },
	{ 0xcf2a6966, "up" },
	{ 0x7aa9af4, "sock_create" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x109c0b8, "__tracepoint_sk_data_ready" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x88adb634, "__wake_up" },
	{ 0x9858e169, "kernel_accept" },
	{ 0x148653, "vsnprintf" },
	{ 0x48152470, "kmem_cache_create" },
	{ 0xafed5715, "core_tpg_set_initiator_node_queue_depth" },
	{ 0x525811e4, "target_stop_cmd_counter" },
	{ 0x69d2538, "transport_generic_handle_tmr" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x800593f8, "transport_lookup_tmr_lun" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xa9351ed3, "wake_up_process" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x64fc4f23, "crypto_destroy_tfm" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9801ec1a, "transport_alloc_session_tags" },
	{ 0x58d3bacd, "transport_alloc_session" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0x92997ed8, "_printk" },
	{ 0xb55efe55, "sbitmap_prepare_to_wait" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x36f9990e, "target_unregister_template" },
	{ 0x23a4decf, "transport_send_check_condition_and_sense" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x448d0691, "rt_write_unlock" },
	{ 0x4a53bd5a, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x349c7b77, "transport_free_session" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc40a13ae, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x93f93c52, "flush_signals" },
	{ 0x1fd6cdb3, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x46e3e4fa, "init_net" },
	{ 0x38b0ad21, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa51c9270, "radix_tree_preloads" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd6a6ede2, "__SCK__tp_func_sk_data_ready" },
	{ 0xe84a2a5e, "config_group_init_type_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x954f099c, "idr_preload" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xd3625834, "kmem_cache_free" },
	{ 0x2e76e536, "set_cpus_allowed_ptr" },
	{ 0x5792f848, "strlcpy" },
	{ 0xe01dac1f, "transport_deregister_session_configfs" },
	{ 0x5a921311, "strncmp" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x12a7827c, "sbitmap_queue_clear" },
	{ 0x5588641b, "iov_iter_kvec" },
	{ 0x983c1964, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x5d6c655c, "inet_pton_with_scope" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xcca06a45, "sock_sendmsg" },
	{ 0x2b5d5197, "crypto_shash_update" },
	{ 0x45935b17, "core_tpg_set_initiator_node_tag" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x442dbc79, "kthread_stop" },
	{ 0x95784c3, "mutex_lock_interruptible" },
	{ 0x11089ac7, "_ctype" },
	{ 0xc7312e97, "target_cmd_parse_cdb" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "target_core_mod,scsi_mod,configfs");


MODULE_INFO(srcversion, "51DF3E2EC426F82F2E3643B");

MODULE_INFO(suserelease, "ALP-0.1");
