#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf763bd8a, "kthread_create_on_node" },
	{ 0x4c6604c2, "usb_set_interface" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x91ab3da6, "freezing_slow_path" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x88adb634, "__wake_up" },
	{ 0xe4c6d318, "param_array_ops" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0x9935a049, "param_ops_charp" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4430bf86, "usb_register_driver" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x3731aa76, "usbatm_usb_disconnect" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x97e13ec0, "usb_control_msg" },
	{ 0x37a0cba, "kfree" },
	{ 0x4f791397, "_dev_err" },
	{ 0x442dbc79, "kthread_stop" },
	{ 0xb5896bef, "usb_kill_urb" },
	{ 0x82adcf56, "usb_free_urb" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0x91d60580, "finish_wait" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9c12c61f, "usb_ifnum_to_if" },
	{ 0xeb619c5c, "usb_driver_claim_interface" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x234e205, "usb_submit_urb" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xbc975a81, "request_firmware" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb3555094, "usb_bulk_msg" },
	{ 0x4df02057, "crc32_be" },
	{ 0xe6f20a98, "kernel_param_lock" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x626b2aad, "kernel_param_unlock" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x5a921311, "strncmp" },
	{ 0x28483ddb, "usb_reset_device" },
	{ 0x1ae0cd9a, "request_firmware_nowait" },
	{ 0xd94b683e, "usbatm_usb_probe" },
	{ 0x97b4106, "atm_dev_signal_change" },
	{ 0xa9351ed3, "wake_up_process" },
	{ 0xba3eaffa, "usb_deregister" },
	{ 0x9d030107, "usb_string" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa7e3eb62, "usb_alloc_urb" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbatm,atm");

MODULE_ALIAS("usb:v1110p9001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p900Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9022d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9021d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9023d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9032d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9031d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9042d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9041d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2121d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3351d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3350d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3352d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3353d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3362d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3363d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00FAd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F9d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F8d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F7d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "B9C478C2711C8FC21F161A7");

MODULE_INFO(suserelease, "ALP-0.1");
