#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(fsg_common_set_sysfs, 0x7e26d4a5, "_gpl");
SYMBOL_CRC(fsg_common_set_num_buffers, 0x1ccb58f7, "_gpl");
SYMBOL_CRC(fsg_common_remove_lun, 0x94218610, "_gpl");
SYMBOL_CRC(fsg_common_remove_luns, 0x141fce2a, "_gpl");
SYMBOL_CRC(fsg_common_free_buffers, 0x9a0221c7, "_gpl");
SYMBOL_CRC(fsg_common_set_cdev, 0x5db384ed, "_gpl");
SYMBOL_CRC(fsg_common_create_lun, 0x3c6a07d0, "_gpl");
SYMBOL_CRC(fsg_common_create_luns, 0xd1a3e8e0, "_gpl");
SYMBOL_CRC(fsg_common_set_inquiry_string, 0x6acb4179, "_gpl");
SYMBOL_CRC(fsg_config_from_params, 0xab6c68ac, "_gpl");
SYMBOL_CRC(fsg_intf_desc, 0xb52ba28a, "_gpl");
SYMBOL_CRC(fsg_fs_bulk_in_desc, 0xb54d0d95, "_gpl");
SYMBOL_CRC(fsg_fs_bulk_out_desc, 0x1710b539, "_gpl");
SYMBOL_CRC(fsg_fs_function, 0xa5f99b69, "_gpl");
SYMBOL_CRC(fsg_hs_bulk_in_desc, 0x95cffb3e, "_gpl");
SYMBOL_CRC(fsg_hs_bulk_out_desc, 0x56344daf, "_gpl");
SYMBOL_CRC(fsg_hs_function, 0x857b6dc2, "_gpl");
SYMBOL_CRC(fsg_ss_bulk_in_desc, 0x2933ee1d, "_gpl");
SYMBOL_CRC(fsg_ss_bulk_in_comp_desc, 0x423845e4, "_gpl");
SYMBOL_CRC(fsg_ss_bulk_out_desc, 0xf4efc0c8, "_gpl");
SYMBOL_CRC(fsg_ss_bulk_out_comp_desc, 0xa5cae92f, "_gpl");
SYMBOL_CRC(fsg_ss_function, 0x398778e1, "_gpl");
SYMBOL_CRC(fsg_lun_close, 0x7cab6935, "_gpl");
SYMBOL_CRC(fsg_lun_open, 0xb45d8867, "_gpl");
SYMBOL_CRC(fsg_lun_fsync_sub, 0x6d3c4862, "_gpl");
SYMBOL_CRC(store_cdrom_address, 0xb3adf38d, "_gpl");
SYMBOL_CRC(fsg_show_ro, 0xa7336c8d, "_gpl");
SYMBOL_CRC(fsg_show_nofua, 0x62494427, "_gpl");
SYMBOL_CRC(fsg_show_file, 0x0007d6e5, "_gpl");
SYMBOL_CRC(fsg_show_cdrom, 0x71fa7db7, "_gpl");
SYMBOL_CRC(fsg_show_removable, 0x518c5c07, "_gpl");
SYMBOL_CRC(fsg_show_inquiry_string, 0x89789b2d, "_gpl");
SYMBOL_CRC(fsg_store_ro, 0x40743ba0, "_gpl");
SYMBOL_CRC(fsg_store_nofua, 0x9abec548, "_gpl");
SYMBOL_CRC(fsg_store_file, 0xa165b7c5, "_gpl");
SYMBOL_CRC(fsg_store_cdrom, 0x621eea6e, "_gpl");
SYMBOL_CRC(fsg_store_removable, 0xbb17c6f2, "_gpl");
SYMBOL_CRC(fsg_store_inquiry_string, 0x8b0f8502, "_gpl");
SYMBOL_CRC(fsg_store_forced_eject, 0x1453ff29, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4f791397, "_dev_err" },
	{ 0x6d4ce75, "up_write" },
	{ 0xd3c8a39, "usb_ep_clear_halt" },
	{ 0xe84a2a5e, "config_group_init_type_name" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x738ce200, "usb_ep_autoconfig" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x322f7108, "unregister_gadget_item" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x4a32fa45, "usb_put_function_instance" },
	{ 0xffeca003, "device_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xb50f35b3, "kernel_read" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xf763bd8a, "kthread_create_on_node" },
	{ 0x7094ea16, "usb_function_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeaf307f9, "usb_ep_alloc_request" },
	{ 0x7a0eaf88, "usb_ep_set_halt" },
	{ 0xdbeb91c2, "vfs_fsync" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x3224fa51, "file_path" },
	{ 0xb631770b, "config_item_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x162b87ff, "usb_ep_set_wedge" },
	{ 0x4eabdb7, "usb_ep_queue" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x9ab56420, "usb_ep_enable" },
	{ 0xc09c4659, "usb_ep_disable" },
	{ 0x349cba85, "strchr" },
	{ 0x73ca959a, "dequeue_signal" },
	{ 0xe85d322e, "usb_free_all_descriptors" },
	{ 0x52ce608c, "up_read" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x27c927a7, "usb_gstrings_attach" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xedd3e727, "kernel_write" },
	{ 0x33c81d60, "filp_open" },
	{ 0x2b9a659, "__init_rwsem" },
	{ 0x62253143, "usb_ep_fifo_flush" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x83313941, "device_unregister" },
	{ 0x7acbc98e, "usb_interface_id" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x91d60580, "finish_wait" },
	{ 0xccfa819f, "usb_assign_descriptors" },
	{ 0x70938bef, "invalidate_mapping_pages" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xde2cb0d8, "send_sig_info" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x37a0cba, "kfree" },
	{ 0x6008689f, "kthread_complete_and_exit" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x787fe1d, "I_BDEV" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0x88adb634, "__wake_up" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xe1caf771, "usb_ep_free_request" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa9351ed3, "wake_up_process" },
	{ 0x62390382, "config_ep_by_speed" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x405be82d, "put_device" },
	{ 0x4dd55e27, "usb_ep_dequeue" },
	{ 0x9836345a, "usb_composite_setup_continue" },
	{ 0xfbd99138, "usb_function_register" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa572006f, "fput" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "configfs,libcomposite");


MODULE_INFO(srcversion, "BF97DFAE3C91AFE87D98D6D");

MODULE_INFO(suserelease, "ALP-0.1");
