#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x663d8356, "usb_root_hub_lost_power" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc70b6c28, "usb_hcd_unlink_urb_from_ep" },
	{ 0xa1f298d8, "usb_hcd_giveback_urb" },
	{ 0x92997ed8, "_printk" },
	{ 0x349cba85, "strchr" },
	{ 0x4f791397, "_dev_err" },
	{ 0xb8b74c9d, "usb_hc_died" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x6372d80e, "debugfs_lookup_and_remove" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0x4c134f95, "usb_hcd_check_unlink_urb" },
	{ 0x385a27cb, "usb_hcd_resume_root_hub" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0x87e9f095, "dma_pool_create" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x1528de56, "usb_hcd_link_urb_to_ep" },
	{ 0x4a53bd5a, "kmem_cache_alloc" },
	{ 0x7e64181d, "usb_calc_bus_time" },
	{ 0x247279bf, "usb_hcd_pci_remove" },
	{ 0x1e31d8b9, "usb_hcd_pci_pm_ops" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x37a0cba, "kfree" },
	{ 0x67ac6e48, "usb_hcd_pci_probe" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd3625834, "kmem_cache_free" },
	{ 0x88adb634, "__wake_up" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc42da307, "usb_hcd_end_port_resume" },
	{ 0x6af00246, "usb_hcd_start_port_resume" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0x91d60580, "finish_wait" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc0d09236, "pci_write_config_word" },
	{ 0xad7ab92f, "pci_write_config_byte" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xdf5b61ac, "no_seek_end_llseek_size" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6ceef1ed, "uhci_check_and_reset_hc" },
	{ 0x5d36564, "uhci_reset_hc" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xc17515d7, "usb_hcds_loaded" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x409c0aac, "usb_debug_root" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0x48152470, "kmem_cache_create" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0x9400e308, "kmem_cache_destroy" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x26518e1, "device_set_wakeup_capable" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb4cccb0f, "usb_hcd_poll_rh_status" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i00*");

MODULE_INFO(srcversion, "98950697A621C975DFE1E54");

MODULE_INFO(suserelease, "ALP-0.1");
