#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(vbg_get_gdev, 0x49598fa4, "");
SYMBOL_CRC(vbg_put_gdev, 0x821491c5, "");
SYMBOL_CRC(vbg_info, 0x569b312f, "");
SYMBOL_CRC(vbg_warn, 0x70cdcbfd, "");
SYMBOL_CRC(vbg_err, 0x260590c0, "");
SYMBOL_CRC(vbg_err_ratelimited, 0x68f1cf1a, "");
SYMBOL_CRC(vbg_hgcm_connect, 0xca343230, "");
SYMBOL_CRC(vbg_hgcm_disconnect, 0x167861b1, "");
SYMBOL_CRC(vbg_hgcm_call, 0x9198f0b6, "");
SYMBOL_CRC(vbg_status_code_to_errno, 0x9c072aa8, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x88adb634, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4b3fe43, "__devm_request_region" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x10b4f146, "input_register_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x5417537b, "__free_pages" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x33547744, "input_set_capability" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x8e46a11a, "vmap" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xf2fded0f, "from_kuid" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0xfb578fc5, "memset" },
	{ 0xd0d2a74, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0xf9c842e9, "input_event" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xefbea897, "input_set_abs_params" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd4dfd739, "alloc_pages" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x524e06a3, "pci_disable_device" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6f2adb4b, "misc_deregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x3b6df35b, "pci_enable_device" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4d1f8b95, "vmalloc_to_page" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x91d60580, "finish_wait" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0x62f0b68c, "devm_ioremap" },
	{ 0x4d664225, "devm_input_allocate_device" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000080EEd0000CAFEsv00000000sd00000000bc*sc*i*");

MODULE_INFO(srcversion, "F85D9E31BD39C3AEE94166D");

MODULE_INFO(suserelease, "ALP-0.1");
