#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0xe7de203f, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0x2925c6b6, "_gpl");
SYMBOL_CRC(fuse_request_end, 0xc94289b0, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0x8d21504d, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0xded33585, "");
SYMBOL_CRC(fuse_abort_conn, 0x3c676d2c, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0x2b765532, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0x567facc3, "_gpl");
SYMBOL_CRC(fuse_do_open, 0x6a51096c, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0x857fa479, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0x35377fda, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0xb0417ebe, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0xaf87538c, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0x7b46dab9, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0xb0c43bd5, "_gpl");
SYMBOL_CRC(fuse_send_init, 0xbf6a9f61, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0x953dd5a2, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0x88170eed, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0xd29910b6, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0xc2521b77, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0x4182de2c, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0x6d0c5b75, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0xf5ca802b, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0xb4d6edbe, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0xcd12f052, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0xede6be6a, "");
SYMBOL_CRC(fuse_do_ioctl, 0x7f177111, "_gpl");
SYMBOL_CRC(fuse_dax_cancel_work, 0x0c44ce17, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb4fd02a, "copy_page_from_iter_atomic" },
	{ 0x8eee3399, "dax_read_unlock" },
	{ 0x58a11c41, "fs_context_for_submount" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x8fd40b52, "inode_init_once" },
	{ 0x97c9671c, "file_write_and_wait_range" },
	{ 0x78b88458, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x332656d9, "nosteal_pipe_buf_ops" },
	{ 0x20adacf8, "ilookup5" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd054e04b, "inode_nohighmem" },
	{ 0xbe4b66a1, "release_pages" },
	{ 0xfcfea718, "generic_file_direct_write" },
	{ 0xa572006f, "fput" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0x6d4ce75, "up_write" },
	{ 0xfb5ccfbb, "generic_file_read_iter" },
	{ 0x5464a56b, "inode_maybe_inc_iversion" },
	{ 0x9b6b98ee, "unlock_page" },
	{ 0xe2cacf33, "inc_node_page_state" },
	{ 0xa07a37f0, "memchr" },
	{ 0xdb2c97d9, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf169a1a8, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x8d884aef, "dec_node_page_state" },
	{ 0xc6555c9b, "write_cache_pages" },
	{ 0xa1c207f1, "file_update_time" },
	{ 0x7e98ea88, "set_nlink" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xd3625834, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x2f379841, "from_kgid" },
	{ 0x1abe4157, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xac2d466a, "file_remove_privs" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x93eea1c6, "write_inode_now" },
	{ 0x4117eed0, "dax_writeback_mapping_range" },
	{ 0xfcdd0148, "d_obtain_alias" },
	{ 0x255ac904, "file_modified" },
	{ 0x64963cc3, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xa00ac4fb, "finish_no_open" },
	{ 0xf6a3bc02, "__folio_start_writeback" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x758a031b, "kill_litter_super" },
	{ 0xdab0e670, "folio_end_writeback" },
	{ 0xf2fded0f, "from_kuid" },
	{ 0xddbd782e, "current_in_userns" },
	{ 0xce30d0d6, "fc_mount" },
	{ 0xfb578fc5, "memset" },
	{ 0x24f5119f, "sysfs_remove_mount_point" },
	{ 0xd0d2a74, "misc_register" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0xf6c87ef1, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x13420e23, "d_delete" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x991f1b68, "from_kgid_munged" },
	{ 0x7e4a3825, "end_page_writeback" },
	{ 0x75431171, "down_write_trylock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x163b8017, "kobject_create_and_add" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xd97e868, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8d465adf, "nonseekable_open" },
	{ 0x54d3e867, "dax_finish_sync_fault" },
	{ 0xa2eacddb, "set_page_dirty" },
	{ 0xf1d5a33a, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe9d5c0be, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x619044b6, "noop_direct_IO" },
	{ 0xa60b43a0, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x70f458d6, "generic_read_dir" },
	{ 0xfa85fb4a, "d_add" },
	{ 0x41d87b02, "set_page_writeback" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xd84d35bd, "dax_read_lock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0xa427b25e, "init_user_ns" },
	{ 0x57fb4fba, "d_find_alias" },
	{ 0x7e2f789, "invalidate_inode_pages2" },
	{ 0xd4dfd739, "alloc_pages" },
	{ 0x160cdfdd, "inc_nlink" },
	{ 0x53813557, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x518e573, "get_tree_bdev" },
	{ 0x7e30b9c5, "set_anon_super_fc" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xbe046d77, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x5c2e40b8, "generic_delete_inode" },
	{ 0xec13dd6e, "deactivate_locked_super" },
	{ 0x575dfbcf, "touch_atime" },
	{ 0xbea81f13, "__percpu_down_read" },
	{ 0xf0fe3749, "__d_lookup_unhash_wake" },
	{ 0x10f99e4d, "set_page_dirty_lock" },
	{ 0x66354b4b, "pid_nr_ns" },
	{ 0xcf54c833, "generic_file_open" },
	{ 0x5fee93f2, "truncate_inode_pages_range" },
	{ 0x4ee76a36, "__put_user_ns" },
	{ 0xcd9dc58, "__folio_lock" },
	{ 0xa54ce52b, "filemap_dirty_folio" },
	{ 0x68dbfbe3, "pagecache_get_page" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0xd265f074, "stream_open" },
	{ 0xab9a8cb9, "rcuwait_wake_up" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x43dc88ca, "__wake_up_sync" },
	{ 0xd053ca42, "add_to_pipe" },
	{ 0x48e60699, "__fs_parse" },
	{ 0xdc4ae681, "dax_layout_busy_page_range" },
	{ 0xa0faa628, "filemap_splice_read" },
	{ 0x6b3bbdb2, "posix_acl_to_xattr" },
	{ 0xe43b70fc, "dget_parent" },
	{ 0x1d2a361d, "kill_anon_super" },
	{ 0xe0a018d2, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x7408ae8c, "iget5_locked" },
	{ 0x5e35b529, "security_dentry_init_security" },
	{ 0xe40d2e9a, "filemap_write_and_wait_range" },
	{ 0x8309c1de, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xf52b29d8, "generic_write_checks" },
	{ 0x790a1c96, "iov_iter_revert" },
	{ 0x71900665, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xcf62e700, "mntget" },
	{ 0x29348382, "kmem_cache_alloc_lru" },
	{ 0x5c9c8e8e, "filemap_fault" },
	{ 0x15306ee7, "d_invalidate" },
	{ 0x9786e6d5, "__mark_inode_dirty" },
	{ 0x21e0e1, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x52ce608c, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xe38d61c2, "iov_iter_npages" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x77c9cab1, "drop_nlink" },
	{ 0xfe7fc2c2, "fault_in_iov_iter_readable" },
	{ 0xbbc0c213, "filemap_check_errors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xc020011f, "bdi_set_max_ratio" },
	{ 0x9400e308, "kmem_cache_destroy" },
	{ 0xe2924e41, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x321b86a0, "super_setup_bdi_name" },
	{ 0x4ccf755d, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x4ffa3edc, "truncate_inode_pages" },
	{ 0x7ae9c6ba, "generic_copy_file_range" },
	{ 0xeea25723, "noop_backing_dev_info" },
	{ 0x2b08c6e3, "pipe_lock" },
	{ 0xff5cd396, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x1fa16e95, "vfs_fsync_range" },
	{ 0xf8020078, "setattr_prepare" },
	{ 0x70a76893, "clear_nlink" },
	{ 0xb676052f, "file_check_and_advance_wb_err" },
	{ 0xac8dee38, "d_alloc_parallel" },
	{ 0x2b9a659, "__init_rwsem" },
	{ 0x5a949327, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x6f2adb4b, "misc_deregister" },
	{ 0x135b5874, "make_vfsgid" },
	{ 0xc8241d89, "clear_inode" },
	{ 0x959176d3, "inode_to_bdi" },
	{ 0x51bb9bb4, "find_pid_ns" },
	{ 0x1a9e067e, "grab_cache_page_write_begin" },
	{ 0xe24abd1b, "simple_dir_inode_operations" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa1c37ae, "pipe_unlock" },
	{ 0xf9da2b01, "fs_param_is_string" },
	{ 0x406adec9, "folio_unlock" },
	{ 0xbde9a8d4, "new_inode" },
	{ 0xce4417d2, "filemap_map_pages" },
	{ 0xa6257a2f, "complete" },
	{ 0x2c0b5e5a, "dump_page" },
	{ 0xdb3ddab0, "forget_all_cached_acls" },
	{ 0xe04add72, "init_special_inode" },
	{ 0x57258197, "unregister_filesystem" },
	{ 0xdf17da97, "task_active_pid_ns" },
	{ 0x6d081784, "iov_iter_single_seg_count" },
	{ 0x61002a8, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0x84f92fcb, "filemap_fdatawrite_range" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x91d60580, "finish_wait" },
	{ 0xaf150e1, "d_alloc_name" },
	{ 0x15b8913e, "replace_page_cache_folio" },
	{ 0x44e38f72, "inode_query_iversion" },
	{ 0x584fb50c, "iov_iter_advance" },
	{ 0x374b8959, "kill_fasync" },
	{ 0xada42f4a, "d_make_root" },
	{ 0xdd77be58, "sb_set_blocksize" },
	{ 0x53d90e00, "fget" },
	{ 0xe186396e, "simple_fill_super" },
	{ 0x87c0c295, "xas_find" },
	{ 0x2fad8461, "sync_filesystem" },
	{ 0xde437d16, "noop_dirty_folio" },
	{ 0x396360e7, "sget_fc" },
	{ 0x720ef68a, "param_set_uint" },
	{ 0x8ebe8fd9, "d_splice_alias" },
	{ 0x4f8d4d2f, "iov_iter_get_pages2" },
	{ 0x93c5f591, "current_time" },
	{ 0x39d87487, "direct_write_fallback" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8862eb9, "page_get_link" },
	{ 0x58b56aca, "generic_permission" },
	{ 0xb9d9021e, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x63871384, "invalidate_inode_pages2_range" },
	{ 0xa9a28055, "posix_lock_file" },
	{ 0xf5031226, "finish_open" },
	{ 0xcba33c7, "dax_iomap_rw" },
	{ 0x2ea85aa9, "iput" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0xa4a1d078, "logfc" },
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0x28101db5, "iter_file_splice_write" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0x4c54d1c2, "init_pid_ns" },
	{ 0x6e49d429, "dax_iomap_fault" },
	{ 0x4745ccc3, "iov_iter_init" },
	{ 0x37ef0786, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xaa0e68ba, "sysfs_create_mount_point" },
	{ 0x56cea761, "generic_file_write_iter" },
	{ 0x88adb634, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xd891d288, "register_filesystem" },
	{ 0x48152470, "kmem_cache_create" },
	{ 0xe9ea5e13, "folio_add_lru" },
	{ 0xaacc63e8, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xc390eb7, "sync_inode_metadata" },
	{ 0x6d20a898, "simple_empty" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x8416306a, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf9086048, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb350d474, "shrink_dcache_parent" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x14e52875, "get_tree_nodev" },
	{ 0x4d52eac4, "d_mark_dontcache" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8dfde6db, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x93739feb, "fs_param_is_u32" },
	{ 0x3cc72816, "inode_newsize_ok" },
	{ 0xb95814c6, "d_drop" },
	{ 0xd885947e, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x7048b90f, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x2f5ae87b, "bdi_put" },
	{ 0xd136c924, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0x98675b54, "param_get_uint" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x1c98150d, "make_kuid" },
	{ 0xd801d8f7, "truncate_inode_pages_final" },
	{ 0x60b9e22d, "fs_kobj" },
	{ 0x4fcb6150, "__filemap_set_wb_err" },
	{ 0xbaac48a8, "simple_dir_operations" },
	{ 0xf37fe2d1, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x33b84f74, "copy_page" },
	{ 0x5417537b, "__free_pages" },
	{ 0x4a53bd5a, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xe9f14b8f, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x3f91cbd3, "setattr_should_drop_suidgid" },
	{ 0x23974a57, "capable_wrt_inode_uidgid" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0xb2f44a7d, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "70DCB6A1292B37026556F4F");

MODULE_INFO(suserelease, "ALP-0.1");
