#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dlm_unregister_domain, 0x3f44269e, "_gpl");
SYMBOL_CRC(dlm_register_domain, 0x99e1c791, "_gpl");
SYMBOL_CRC(dlm_setup_eviction_cb, 0x7a1211f8, "_gpl");
SYMBOL_CRC(dlm_register_eviction_cb, 0x2fdbb602, "_gpl");
SYMBOL_CRC(dlm_unregister_eviction_cb, 0xd8fa57a6, "_gpl");
SYMBOL_CRC(dlm_print_one_lock, 0xcd292ff3, "_gpl");
SYMBOL_CRC(dlm_errmsg, 0xd7ba575e, "_gpl");
SYMBOL_CRC(dlm_errname, 0xfb86b96f, "_gpl");
SYMBOL_CRC(dlmlock, 0x056ac551, "_gpl");
SYMBOL_CRC(dlmunlock, 0xc7275380, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd24b86ab, "o2hb_setup_callback" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0x6d4ce75, "up_write" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd3625834, "kmem_cache_free" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0x925493f, "clear_page_orig" },
	{ 0xbfd7d7a2, "o2hb_global_heartbeat_active" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x442dbc79, "kthread_stop" },
	{ 0xe0b1d290, "__seq_open_private" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf763bd8a, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x77efd3d2, "seq_read" },
	{ 0x5e95a4b2, "o2net_send_message_vec" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0xa941cb47, "o2hb_fill_node_map" },
	{ 0xf1a5611d, "o2net_unregister_handler_list" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xf982e6db, "o2net_send_message" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xfe1298f3, "o2net_register_handler" },
	{ 0x3cead20b, "remove_wait_queue" },
	{ 0xd0db53, "seq_release_private" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x26bd5672, "o2hb_register_callback" },
	{ 0x58c88ff2, "o2hb_get_all_regions" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0x21e0e1, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x52ce608c, "up_read" },
	{ 0x579db4ee, "o2hb_unregister_callback" },
	{ 0xc43c9ba2, "o2nm_node_put" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x9400e308, "kmem_cache_destroy" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x91d60580, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0xb6ebf62a, "o2nm_this_node" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0xca100241, "seq_lseek" },
	{ 0xd59c60f0, "add_wait_queue" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x88adb634, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xbd13ee5d, "o2hb_check_node_heartbeating_no_sem" },
	{ 0x48152470, "kmem_cache_create" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa9351ed3, "wake_up_process" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x6b1ecc5a, "o2nm_get_node_by_num" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x4a53bd5a, "kmem_cache_alloc" },
	{ 0x6a0c3847, "__mlog_printk" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0x73a4ec6b, "__cond_resched_lock" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "ocfs2_nodemanager");


MODULE_INFO(srcversion, "4D58548906AB5C0CADC5A88");

MODULE_INFO(suserelease, "ALP-0.1");
