#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(l2tp_sk_to_tunnel, 0x6b297dc1, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0x47edeac7, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0x3a455309, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0xea02ab68, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0xcf985788, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0x5a65cf53, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0x262df582, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_session, 0x2f20a62e, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0x6566cbd5, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0x663e75bb, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0xd6be0ecf, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x3794be7f, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x88111f25, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0x41f0e160, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x17496528, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0x77da3a3f, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0x372c2054, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0x604bb3b2, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0x9fd55556, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x564b0e00, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0x392bc551, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5edc48f4, "perf_trace_run_bpf_submit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xd4a0d1c6, "trace_event_buffer_reserve" },
	{ 0xeab0566c, "trace_event_buffer_commit" },
	{ 0xeb50ed41, "__trace_trigger_soft_disabled" },
	{ 0x4f93cdcf, "trace_raw_output_prep" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0xf9890870, "trace_event_printf" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x1124a15, "bpf_trace_run1" },
	{ 0xe68277c5, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x66852c83, "rt_write_lock" },
	{ 0x448d0691, "rt_write_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1b8c4804, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0x196d73ed, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf5becf39, "sock_create_kern" },
	{ 0xe671ae7b, "kernel_bind" },
	{ 0xeacc434, "kernel_connect" },
	{ 0xb4eb62be, "udp_sock_create6" },
	{ 0xa990140e, "kernel_sock_shutdown" },
	{ 0x488ffe9c, "sock_release" },
	{ 0x469e7b61, "udp_sock_create4" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x1fd6cdb3, "idr_remove" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x51905f4, "idr_find" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x617e718, "idr_get_next_ul" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x19760eef, "idr_destroy" },
	{ 0x3f0bae12, "sk_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0x7a6aa5bb, "skb_dequeue" },
	{ 0x7cb5ed3e, "idr_alloc_u32" },
	{ 0xc19e5bf4, "sockfd_lookup" },
	{ 0x4d18cec7, "lock_sock_nested" },
	{ 0xa954e45b, "release_sock" },
	{ 0xbeddd570, "idr_replace" },
	{ 0xa572006f, "fput" },
	{ 0x7654449b, "setup_udp_tunnel_sock" },
	{ 0xaa513c0d, "udp_set_csum" },
	{ 0x801c18f4, "ip_queue_xmit" },
	{ 0x880d3b63, "pskb_expand_head" },
	{ 0x3e13f382, "udp6_set_csum" },
	{ 0xda123abf, "inet6_csk_xmit" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x2ab5e5f7, "dst_release" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xeafd96d1, "skb_queue_tail" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9c6686ac, "__pskb_pull_tail" },
	{ 0x3e526055, "trace_event_reg" },
	{ 0x4bec2f6c, "trace_event_raw_init" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "4583EC78E1FA52F20EA565C");

MODULE_INFO(suserelease, "ALP-0.1");
