#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mpls_output_possible, 0x6d1c61c7, "_gpl");
SYMBOL_CRC(mpls_dev_mtu, 0xb448794d, "_gpl");
SYMBOL_CRC(mpls_pkt_too_big, 0x7aa324f9, "_gpl");
SYMBOL_CRC(mpls_stats_inc_outucastpkts, 0x55bd2f7a, "_gpl");
SYMBOL_CRC(nla_put_labels, 0xa4fdb73b, "_gpl");
SYMBOL_CRC(nla_get_labels, 0xde3cca7e, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8e9e0d3e, "rtnl_af_register" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x20a8e6af, "rtnl_set_sk_err" },
	{ 0x21791294, "rtnl_unicast" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xf0910ebc, "nla_reserve_64bit" },
	{ 0x95d0aca8, "ip_valid_fib_dump_req" },
	{ 0xac18c740, "__dev_get_by_index" },
	{ 0x601bb5c2, "ipv6_stub" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xbe144437, "nla_reserve_nohdr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x54c0a358, "rtnl_af_unregister" },
	{ 0x1f954439, "dev_remove_pack" },
	{ 0xa30b1e92, "dev_get_by_index" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0x29157a8e, "skb_push" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xcd279169, "nla_find" },
	{ 0xb5928320, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x6440f566, "rtnl_register_module" },
	{ 0xf5f63c77, "ip_tunnel_encap_del_ops" },
	{ 0xe49b0c91, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9c6686ac, "__pskb_pull_tail" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x19b1015e, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x1a1ff557, "skb_clone" },
	{ 0x2ab5e5f7, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6f92dc52, "proc_dointvec" },
	{ 0x4ec53d3c, "unregister_net_sysctl_table" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0xb6d9602, "dev_get_flags" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x48529e81, "proc_dointvec_minmax" },
	{ 0x5cfef3cd, "netlink_strict_get_check" },
	{ 0x730e76be, "ip_tunnel_encap_add_ops" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xdc468c35, "__nlmsg_put" },
	{ 0x1939ac72, "skb_gso_validate_network_len" },
	{ 0x8b521511, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x70421f21, "consume_skb" },
	{ 0x6f2a278d, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x66453ad9, "nla_reserve" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0xe1ac4dc, "neigh_xmit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x805e75f9, "ip_route_output_flow" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x880d3b63, "pskb_expand_head" },
	{ 0xe67a3778, "register_pernet_subsys" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "ip_tunnel");


MODULE_INFO(srcversion, "2E8F8DDC0476B2E94FF5348");

MODULE_INFO(suserelease, "ALP-0.1");
