#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(smc_hash_sk, 0x52346220, "_gpl");
SYMBOL_CRC(smc_unhash_sk, 0xcedf7f06, "_gpl");
SYMBOL_CRC(smc_proto, 0x79cfcd0e, "_gpl");
SYMBOL_CRC(smc_proto6, 0x12359858, "_gpl");
SYMBOL_CRC(__tracepoint_smc_switch_to_fallback, 0x11adb034, "");
SYMBOL_CRC(__traceiter_smc_switch_to_fallback, 0x5dcde676, "");
SYMBOL_CRC(__SCK__tp_func_smc_switch_to_fallback, 0x86f26ad6, "");
SYMBOL_CRC(__SCT__tp_func_smc_switch_to_fallback, 0x1e612b77, "");
SYMBOL_CRC(__tracepoint_smc_tx_sendmsg, 0x4ca99a73, "");
SYMBOL_CRC(__traceiter_smc_tx_sendmsg, 0xd36b849e, "");
SYMBOL_CRC(__SCK__tp_func_smc_tx_sendmsg, 0xfa1eaef3, "");
SYMBOL_CRC(__SCT__tp_func_smc_tx_sendmsg, 0x87ccd0c7, "");
SYMBOL_CRC(__tracepoint_smc_rx_recvmsg, 0xce088792, "");
SYMBOL_CRC(__traceiter_smc_rx_recvmsg, 0x3176a767, "");
SYMBOL_CRC(__SCK__tp_func_smc_rx_recvmsg, 0x78bfb312, "");
SYMBOL_CRC(__SCT__tp_func_smc_rx_recvmsg, 0x3ac4e1c7, "");
SYMBOL_CRC(__tracepoint_smcr_link_down, 0x1881808d, "");
SYMBOL_CRC(__traceiter_smcr_link_down, 0x2c0e1aa2, "");
SYMBOL_CRC(__SCK__tp_func_smcr_link_down, 0xae36b40d, "");
SYMBOL_CRC(__SCT__tp_func_smcr_link_down, 0x3bcd3bb9, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x405be82d, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x2672f1e1, "ib_register_event_handler" },
	{ 0xa916b694, "strnlen" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5417537b, "__free_pages" },
	{ 0x448d0691, "rt_write_unlock" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xaa8642ab, "ib_unregister_event_handler" },
	{ 0xdc02365d, "proto_register" },
	{ 0x8d0c0a5d, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x4467f717, "__wake_up_sync_key" },
	{ 0x4814f6b2, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x9b153c5c, "ib_map_mr_sg" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4561ca7, "generic_pipe_buf_get" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5edc48f4, "perf_trace_run_bpf_submit" },
	{ 0x5f8e3b70, "ib_set_client_data" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0x46e3e4fa, "init_net" },
	{ 0x6d4ce75, "up_write" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb972c7a9, "netlink_unicast" },
	{ 0xd6a6ede2, "__SCK__tp_func_sk_data_ready" },
	{ 0x1d9f09e0, "rdma_put_gid_attr" },
	{ 0xb6d3c0e5, "kernel_getsockname" },
	{ 0x3f0bae12, "sk_free" },
	{ 0x9ca52404, "sock_wake_async" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0xa990140e, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xbf8f62ae, "ib_query_port" },
	{ 0x5a921311, "strncmp" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x3e526055, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x6c046ed1, "proc_douintvec_minmax" },
	{ 0x5339a6ad, "dma_need_sync" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x5588641b, "iov_iter_kvec" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x4d18cec7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2b95656b, "__ib_create_cq" },
	{ 0x11089ac7, "_ctype" },
	{ 0xa72d34e6, "sk_alloc" },
	{ 0x98603210, "ib_destroy_qp_user" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xe49b0c91, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xa75c4c0d, "dma_sync_single_for_cpu" },
	{ 0xeacc434, "kernel_connect" },
	{ 0x6014eb7e, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x6750c558, "sk_wait_data" },
	{ 0x27b29f, "proc_douintvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x608b2648, "ib_alloc_mr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x87602df9, "sock_no_mmap" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x7a66f7c1, "ib_destroy_cq_user" },
	{ 0xeffc7b5d, "down_read" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xdde99ac0, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdf9ff5cf, "tcp_register_ulp" },
	{ 0xacf494a1, "sk_common_release" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3a188989, "rt_read_lock" },
	{ 0x9e8ad1cf, "kernel_listen" },
	{ 0xcdaed88d, "ib_dma_virt_map_sg" },
	{ 0x904152c5, "neigh_destroy" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xd4a0d1c6, "trace_event_buffer_reserve" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0xf5becf39, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa26d9b4f, "workqueue_congested" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xd4dfd739, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x53813557, "__folio_put" },
	{ 0x18dee5e1, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xea8aa77b, "sock_recvmsg" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6a97be68, "dev_get_by_name" },
	{ 0x2ab5e5f7, "dst_release" },
	{ 0xfa04ee54, "sk_stream_wait_connect" },
	{ 0x66852c83, "rt_write_lock" },
	{ 0x9771ccd9, "_copy_from_iter" },
	{ 0x488ffe9c, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x20b185b9, "ib_create_qp_kernel" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x3cead20b, "remove_wait_queue" },
	{ 0xe622c847, "netdev_walk_all_lower_dev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x29bc44ed, "vlan_dev_vlan_id" },
	{ 0x4ec53d3c, "unregister_net_sysctl_table" },
	{ 0x33603e86, "ib_dealloc_pd_user" },
	{ 0xdfb4bc26, "rdma_get_gid_attr" },
	{ 0x9a4c50b1, "dma_unmap_sg_attrs" },
	{ 0x76c53ac8, "genl_unregister_family" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x790a1c96, "iov_iter_revert" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x321eef85, "genl_register_family" },
	{ 0xd05eb87e, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x52ce608c, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x5ce15b2a, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xa954e45b, "release_sock" },
	{ 0x5f892d84, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x48529e81, "proc_dointvec_minmax" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x1f19a429, "netdev_lower_get_next" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xefaff6a, "sk_send_sigurg" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x2b9a659, "__init_rwsem" },
	{ 0xd0191d3, "ib_unregister_client" },
	{ 0x150762a1, "_copy_to_iter" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdc468c35, "__nlmsg_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x49d2bda, "proc_dointvec_jiffies" },
	{ 0x8b521511, "register_net_sysctl" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x4d1f8b95, "vmalloc_to_page" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1bb51249, "tcp_have_smc" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x4f93cdcf, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x38838faf, "rdma_read_gid_l2_fields" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0xae92f372, "__ib_alloc_pd" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xeb50ed41, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x91d60580, "finish_wait" },
	{ 0xecdd40fa, "dma_unmap_page_attrs" },
	{ 0xf9890870, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe671ae7b, "kernel_bind" },
	{ 0x87fb1dbe, "add_wait_queue_exclusive" },
	{ 0x9859db6b, "dma_sync_single_for_device" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x18ed187f, "genlmsg_put" },
	{ 0x4bec2f6c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xd59c60f0, "add_wait_queue" },
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xf16fa58, "ib_dereg_mr_user" },
	{ 0x109c0b8, "__tracepoint_sk_data_ready" },
	{ 0xe68277c5, "bpf_trace_run2" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0x88adb634, "__wake_up" },
	{ 0x9858e169, "kernel_accept" },
	{ 0x45ffc6b, "rdma_dev_access_netns" },
	{ 0x97c0e82b, "__module_get" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x805e75f9, "ip_route_output_flow" },
	{ 0xd1cd0215, "get_device" },
	{ 0x11839f99, "sk_stream_error" },
	{ 0xc756d62f, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xa8cba5f, "sock_alloc" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeae06e54, "sk_error_report" },
	{ 0xe67a3778, "register_pernet_subsys" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0xeab0566c, "trace_event_buffer_commit" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xfd45a60d, "tcp_abort" },
	{ 0x5ba9a684, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaf6f126a, "dma_map_page_attrs" },
	{ 0x2874d975, "splice_to_pipe" },
	{ 0x92997ed8, "_printk" },
	{ 0xf1b11fba, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1e89b4f, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "24E01EA0295445223C1A643");

MODULE_INFO(suserelease, "ALP-0.1");
