#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(snd_ac97_write, 0xefb5fb2d, "");
SYMBOL_CRC(snd_ac97_read, 0xaccd91e2, "");
SYMBOL_CRC(snd_ac97_write_cache, 0x43aa4bab, "");
SYMBOL_CRC(snd_ac97_update, 0xb9700959, "");
SYMBOL_CRC(snd_ac97_update_bits, 0xe503b59e, "");
SYMBOL_CRC(snd_ac97_get_short_name, 0x36350d83, "");
SYMBOL_CRC(snd_ac97_bus, 0x31a4a85b, "");
SYMBOL_CRC(snd_ac97_mixer, 0x3ce230a4, "");
SYMBOL_CRC(snd_ac97_update_power, 0xd2d611de, "");
SYMBOL_CRC(snd_ac97_suspend, 0xd57f4196, "");
SYMBOL_CRC(snd_ac97_resume, 0x268c616c, "");
SYMBOL_CRC(snd_ac97_tune_hardware, 0xafc740c8, "");
SYMBOL_CRC(snd_ac97_set_rate, 0x341ef5ac, "");
SYMBOL_CRC(snd_ac97_pcm_assign, 0x194fb537, "");
SYMBOL_CRC(snd_ac97_pcm_open, 0x7c14e853, "");
SYMBOL_CRC(snd_ac97_pcm_close, 0x3232a5ac, "");
SYMBOL_CRC(snd_ac97_pcm_double_rate_rules, 0xac9f537f, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc34ccc74, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb8193cc9, "snd_ctl_make_virtual_master" },
	{ 0xbf00ae10, "snd_pcm_hw_rule_add" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x85d531f1, "snd_ctl_boolean_mono_info" },
	{ 0x4f791397, "_dev_err" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x9efc6012, "pci_read_config_word" },
	{ 0x4d158a25, "ac97_bus_type" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc87b63b0, "snd_ctl_rename" },
	{ 0x6de0f1f7, "_snd_ctl_add_follower" },
	{ 0xffeca003, "device_register" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9f528aad, "snd_device_new" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x9e913c1, "snd_pcm_alt_chmaps" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xe59dc928, "snd_info_create_card_entry" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0x52abe45, "snd_ctl_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x83313941, "device_unregister" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xa9f94c90, "snd_info_free_entry" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x7f28f16e, "snd_ctl_find_id" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb761d9df, "snd_ctl_new1" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x405be82d, "put_device" },
	{ 0xe95e3eff, "snd_ctl_remove_id" },
	{ 0x4e1b99f, "snd_pcm_std_chmaps" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-pcm,ac97_bus");


MODULE_INFO(srcversion, "3341E6616FB645067F6A4B5");

MODULE_INFO(suserelease, "ALP-0.1");
