#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nau8825_enable_jack_detect, 0x8b7edd4c, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb4a484ee, "i2c_register_driver" },
	{ 0xba3132e, "snd_soc_info_volsw" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4f791397, "_dev_err" },
	{ 0xbbf58de4, "snd_soc_dapm_force_bias_level" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x575ee0fc, "snd_soc_info_enum_double" },
	{ 0x29efff41, "snd_soc_get_volsw" },
	{ 0xd2bec633, "regmap_read" },
	{ 0x3b99344a, "snd_soc_put_volsw" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x482d8969, "regmap_update_bits_base" },
	{ 0xf35c1b5b, "i2c_del_driver" },
	{ 0xaedac217, "regmap_register_patch" },
	{ 0x53345c9c, "snd_soc_dapm_get_enum_double" },
	{ 0xffab3d65, "regmap_raw_write" },
	{ 0x815588a6, "clk_enable" },
	{ 0xeb711ae7, "snd_soc_params_to_bclk" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x17d5e5b6, "snd_soc_dapm_put_enum_double" },
	{ 0xf343cb89, "device_property_present" },
	{ 0xf2fa5cc4, "regcache_cache_only" },
	{ 0x8f2d6c0e, "regcache_sync" },
	{ 0x92e683f5, "down_timeout" },
	{ 0x25a65fbc, "regmap_write" },
	{ 0xb99525b6, "devm_request_threaded_irq" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0xdecd96ee, "snd_soc_bytes_info_ext" },
	{ 0x248e4b60, "snd_soc_jack_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xff9be668, "regmap_raw_read" },
	{ 0xcf2a6966, "up" },
	{ 0x6c820522, "snd_pcm_hw_constraint_minmax" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x7204d65a, "snd_soc_dapm_disable_pin" },
	{ 0x2f4eb185, "snd_soc_dapm_force_enable_pin" },
	{ 0x2703a7d0, "snd_soc_put_enum_double" },
	{ 0x57d71c23, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x27e1248f, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x839ca65a, "snd_soc_dapm_sync" },
	{ 0x26b47547, "devm_snd_soc_register_component" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x972bf070, "__devm_regmap_init_i2c" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x21a28cf5, "device_property_read_u32_array" },
	{ 0x82f70687, "snd_soc_get_enum_double" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm,regmap-i2c");

MODULE_ALIAS("i2c:nau8825");
MODULE_ALIAS("acpi*:10508825:*");

MODULE_INFO(srcversion, "C930C0D4861D53AE05DE42E");

MODULE_INFO(suserelease, "ALP-0.1");
