#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(wm_adsp_fw_get, 0x06672b2f, "_gpl");
SYMBOL_CRC(wm_adsp_fw_put, 0x878e39d1, "_gpl");
SYMBOL_CRC(wm_adsp_fw_enum, 0x078e2a0a, "_gpl");
SYMBOL_CRC(wm_adsp_write_ctl, 0x308ef32f, "_gpl");
SYMBOL_CRC(wm_adsp_read_ctl, 0x760be96b, "_gpl");
SYMBOL_CRC(wm_adsp1_init, 0x432f62f5, "_gpl");
SYMBOL_CRC(wm_adsp1_event, 0x18f1a2a6, "_gpl");
SYMBOL_CRC(wm_adsp2_set_dspclk, 0x739dc5d5, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_get, 0x5c3d1361, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_put, 0xddd4019f, "_gpl");
SYMBOL_CRC(wm_adsp_power_up, 0x19822ae9, "_gpl");
SYMBOL_CRC(wm_adsp_power_down, 0x6095a934, "_gpl");
SYMBOL_CRC(wm_adsp_early_event, 0xfabfff2b, "_gpl");
SYMBOL_CRC(wm_adsp_event, 0xea3d1ebe, "_gpl");
SYMBOL_CRC(wm_adsp2_component_probe, 0xc8f51ea1, "_gpl");
SYMBOL_CRC(wm_adsp2_component_remove, 0xb9dddaba, "_gpl");
SYMBOL_CRC(wm_adsp2_init, 0x2d2800c2, "_gpl");
SYMBOL_CRC(wm_halo_init, 0x9f440412, "_gpl");
SYMBOL_CRC(wm_adsp2_remove, 0x75ea2909, "_gpl");
SYMBOL_CRC(wm_adsp_compr_open, 0x6e84f933, "_gpl");
SYMBOL_CRC(wm_adsp_compr_free, 0xc138ab2e, "_gpl");
SYMBOL_CRC(wm_adsp_compr_set_params, 0x0a1549c2, "_gpl");
SYMBOL_CRC(wm_adsp_compr_get_caps, 0x059b4ef4, "_gpl");
SYMBOL_CRC(wm_adsp_compr_trigger, 0x98765835, "_gpl");
SYMBOL_CRC(wm_adsp_compr_handle_irq, 0xb22a03d0, "_gpl");
SYMBOL_CRC(wm_adsp_compr_pointer, 0x925d9997, "_gpl");
SYMBOL_CRC(wm_adsp_compr_copy, 0x8f97aacd, "_gpl");
SYMBOL_CRC(wm_adsp2_bus_error, 0xdd3c79ef, "_gpl");
SYMBOL_CRC(wm_halo_bus_error, 0xea38ee07, "_gpl");
SYMBOL_CRC(wm_halo_wdt_expire, 0x52c16479, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x29cb390a, "cs_dsp_coeff_write_ctrl" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x45edd4cf, "cs_dsp_init_debugfs" },
	{ 0x88adb634, "__wake_up" },
	{ 0x25f9d924, "cs_dsp_halo_bus_error" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x839ca65a, "snd_soc_dapm_sync" },
	{ 0x4e5562f8, "cs_dsp_remove_padding" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x38806247, "cs_dsp_find_alg_region" },
	{ 0xdb05c32e, "cs_dsp_coeff_write_acked_control" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x8bfb9073, "cs_dsp_get_ctl" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x4f791397, "_dev_err" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xb7f7da4, "cs_dsp_halo_init" },
	{ 0x78874b21, "cs_dsp_power_down" },
	{ 0x6caded03, "cs_dsp_adsp2_init" },
	{ 0x18f26cf6, "snd_soc_add_component_controls" },
	{ 0xd296f515, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x144d6986, "cs_dsp_mem_region_name" },
	{ 0x4603e217, "cs_dsp_set_dspclk" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x23e29351, "cs_dsp_power_up" },
	{ 0x1e8f5f9b, "snd_soc_component_notify_control" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x999e8297, "vfree" },
	{ 0xdfdeaa52, "cs_dsp_run" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x21566364, "cs_dsp_write_data_word" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x3d230fc8, "cs_dsp_halo_wdt_expire" },
	{ 0x2095514, "snd_soc_component_disable_pin" },
	{ 0x5705609b, "snd_soc_bytes_tlv_callback" },
	{ 0x80825a32, "cs_dsp_adsp2_bus_error" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xa3816354, "cs_dsp_read_raw_data_block" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa033f6, "cs_dsp_read_data_word" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x68ae8ad2, "snd_soc_component_force_enable_pin" },
	{ 0xc8855972, "firmware_request_nowarn" },
	{ 0x5e9e0e2c, "cs_dsp_cleanup_debugfs" },
	{ 0xb8b6ac90, "cs_dsp_coeff_read_ctrl" },
	{ 0x99c6eadd, "snd_compr_stop_error" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xee9c5b49, "cs_dsp_stop" },
	{ 0x63378d3d, "cs_dsp_adsp1_power_up" },
	{ 0xb1cf62f1, "cs_dsp_adsp1_power_down" },
	{ 0x96848186, "scnprintf" },
	{ 0xcbced73, "cs_dsp_adsp1_init" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "cs_dsp,snd-soc-core,snd-compress");


MODULE_INFO(srcversion, "F5B433CF054EB473A43CE7A");

MODULE_INFO(suserelease, "ALP-0.1");
