#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cryptd_alloc_skcipher, 0x460073d3, "_gpl");
SYMBOL_CRC(cryptd_skcipher_child, 0x3ab160c3, "_gpl");
SYMBOL_CRC(cryptd_skcipher_queued, 0xfef741be, "_gpl");
SYMBOL_CRC(cryptd_free_skcipher, 0x03d6fa37, "_gpl");
SYMBOL_CRC(cryptd_alloc_ahash, 0xa7d87ebd, "_gpl");
SYMBOL_CRC(cryptd_ahash_child, 0x9b31ccf7, "_gpl");
SYMBOL_CRC(cryptd_shash_desc, 0x2f8d3eb4, "_gpl");
SYMBOL_CRC(cryptd_ahash_queued, 0x573e9d52, "_gpl");
SYMBOL_CRC(cryptd_free_ahash, 0x1cb4bc86, "_gpl");
SYMBOL_CRC(cryptd_alloc_aead, 0xc2ed09c2, "_gpl");
SYMBOL_CRC(cryptd_aead_child, 0x7a6e1422, "_gpl");
SYMBOL_CRC(cryptd_aead_queued, 0xe85b2c97, "_gpl");
SYMBOL_CRC(cryptd_free_aead, 0x8ba03174, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x176e1004, "crypto_unregister_template" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0xaace8705, "crypto_register_template" },
	{ 0xfdbd7a17, "crypto_get_attr_type" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x9a11a0fc, "crypto_attr_alg_name" },
	{ 0xe794c51d, "crypto_grab_aead" },
	{ 0xd05c4f44, "crypto_grab_shash" },
	{ 0xd6c0d8f8, "shash_no_setkey" },
	{ 0xcb145651, "ahash_register_instance" },
	{ 0xb2fa63a6, "crypto_grab_skcipher" },
	{ 0x30b594f7, "skcipher_register_instance" },
	{ 0x217bb85f, "aead_register_instance" },
	{ 0x24513270, "crypto_skcipher_decrypt" },
	{ 0x3acf6a27, "crypto_skcipher_encrypt" },
	{ 0x7acd1cb2, "shash_ahash_digest" },
	{ 0xe0b18d19, "shash_ahash_finup" },
	{ 0xea2c1de2, "crypto_shash_final" },
	{ 0xf537f502, "shash_ahash_update" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x179ba1d9, "crypto_alloc_skcipher" },
	{ 0x64fc4f23, "crypto_destroy_tfm" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5455af87, "crypto_alloc_ahash" },
	{ 0x28331e74, "crypto_alloc_aead" },
	{ 0xe164e9ef, "crypto_skcipher_setkey" },
	{ 0xd0d673c3, "crypto_spawn_tfm2" },
	{ 0x900285a, "crypto_drop_spawn" },
	{ 0x37a0cba, "kfree" },
	{ 0x31c28753, "crypto_shash_setkey" },
	{ 0xff8144a, "crypto_clone_shash" },
	{ 0x5256ede, "crypto_aead_setauthsize" },
	{ 0xfd77de86, "crypto_aead_setkey" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xe6720015, "crypto_dequeue_request" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8856d244, "crypto_enqueue_request" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AFA5D8720A30656DD436895");

MODULE_INFO(suserelease, "ALP-0.1");
