#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x667f75b6, "power_supply_changed" },
	{ 0xd19f0bb3, "hid_report_raw_event" },
	{ 0x88adb634, "__wake_up" },
	{ 0x732144e2, "hid_field_extract" },
	{ 0x8b13a8b8, "hid_snto32" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x411b8736, "hid_open_report" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0x4e7af576, "sysfs_create_group" },
	{ 0xa6a51e68, "hid_hw_start" },
	{ 0xcf2a6966, "up" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x37857a4d, "hid_connect" },
	{ 0xc7c1dc35, "input_ff_create" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0fe6c1, "devm_kfree" },
	{ 0xd4d5abb2, "device_create_file" },
	{ 0xe02677a5, "devm_kmemdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xba9b4b2d, "devm_power_supply_register" },
	{ 0x77dd2753, "power_supply_powers" },
	{ 0x4d664225, "devm_input_allocate_device" },
	{ 0x10b4f146, "input_register_device" },
	{ 0x6a7b0bc1, "devm_kasprintf" },
	{ 0x1be99654, "input_free_device" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x878cdce1, "__hid_register_driver" },
	{ 0xf9c842e9, "input_event" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xaef7eef0, "hid_is_usb" },
	{ 0x7b6cbe64, "usb_set_wireless_status" },
	{ 0xa5c30447, "input_mt_get_slot_by_key" },
	{ 0xb10fe7cb, "input_mt_report_slot_state" },
	{ 0xc5ecfb7a, "input_mt_sync_frame" },
	{ 0xcd88e364, "sysfs_remove_group" },
	{ 0x9457c2ac, "hid_hw_stop" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x152fabf1, "hid_hw_open" },
	{ 0x16a290c9, "hid_hw_close" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x19d99f2f, "hid_hw_output_report" },
	{ 0xbd357d30, "hid_hw_raw_request" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0x91d60580, "finish_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5bd34205, "power_supply_get_drvdata" },
	{ 0x5a921311, "strncmp" },
	{ 0x96848186, "scnprintf" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xc417c063, "device_remove_file" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x37a0cba, "kfree" },
	{ 0xc95ea2e9, "hid_unregister_driver" },
	{ 0xc310b981, "strnstr" },
	{ 0xefbea897, "input_set_abs_params" },
	{ 0x5e61f515, "input_alloc_absinfo" },
	{ 0x33547744, "input_set_capability" },
	{ 0x39286451, "input_mt_init_slots" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4f791397, "_dev_err" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "usbhid,usbcore");

MODULE_ALIAS("hid:b0003g0102v0000046Dp00004011");
MODULE_ALIAS("hid:b0003g0102v0000046Dp00004101");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B00C");
MODULE_ALIAS("hid:b0003g0102v0000046Dp00001017");
MODULE_ALIAS("hid:b0003g0102v0000046Dp0000402D");
MODULE_ALIAS("hid:b0003g0102v0000046Dp0000101B");
MODULE_ALIAS("hid:b0003g0102v0000046Dp0000101A");
MODULE_ALIAS("hid:b0003g0102v0000046Dp00004024");
MODULE_ALIAS("hid:b0003g0102v0000046Dp00004002");
MODULE_ALIAS("hid:b0003g0102v0000046Dp0000B305");
MODULE_ALIAS("hid:b0003g0102v0000046Dp0000B309");
MODULE_ALIAS("hid:b0003g0102v0000046Dp0000B30B");
MODULE_ALIAS("hid:b0003g0102v0000046Dp*");
MODULE_ALIAS("hid:b0003g0104v0000046Dp00000049");
MODULE_ALIAS("hid:b0003g0104v0000046Dp00000057");
MODULE_ALIAS("hid:b0003g0104v0000046Dp0000005C");
MODULE_ALIAS("hid:b0003g0104v0000046Dp000000FE");
MODULE_ALIAS("hid:b0003g0104v0000046Dp*");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C082");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C087");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C090");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C081");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C086");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C091");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C343");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C262");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C26E");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C088");
MODULE_ALIAS("hid:b0003g*v0000046Dp00000A87");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B305");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B309");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B30B");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B35F");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B008");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B012");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B015");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B01D");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B01E");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B02A");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B023");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B034");

MODULE_INFO(srcversion, "22D31EA78E1FE5F246DADD0");

MODULE_INFO(suserelease, "ALP-0.1");
