#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ishtp_device_init, 0x8f359580, "");
SYMBOL_CRC(ishtp_start, 0x6eef8388, "");
SYMBOL_CRC(ishtp_send_suspend, 0x57452f5d, "");
SYMBOL_CRC(ishtp_send_resume, 0xa4e721b1, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_buffer_size, 0x43f65555, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_rings, 0x4ec53eea, "");
SYMBOL_CRC(ishtp_cl_flush_queues, 0x6dd3f0eb, "");
SYMBOL_CRC(ishtp_cl_allocate, 0x8fec0db1, "");
SYMBOL_CRC(ishtp_cl_free, 0xf9e0f130, "");
SYMBOL_CRC(ishtp_cl_link, 0x6f0aaf81, "");
SYMBOL_CRC(ishtp_cl_unlink, 0x4eece00d, "");
SYMBOL_CRC(ishtp_cl_disconnect, 0x92093c75, "");
SYMBOL_CRC(ishtp_cl_connect, 0x9dae22da, "");
SYMBOL_CRC(ishtp_cl_send, 0xd3fbea24, "");
SYMBOL_CRC(ishtp_get_client_data, 0x9c166db4, "");
SYMBOL_CRC(ishtp_set_client_data, 0xf5e5e133, "");
SYMBOL_CRC(ishtp_get_ishtp_device, 0xb0ea5d7d, "");
SYMBOL_CRC(ishtp_set_tx_ring_size, 0x3aa86750, "");
SYMBOL_CRC(ishtp_set_rx_ring_size, 0x680cebe6, "");
SYMBOL_CRC(ishtp_set_connection_state, 0xe5d1a9b9, "");
SYMBOL_CRC(ishtp_cl_set_fw_client_id, 0x883e9a67, "");
SYMBOL_CRC(ishtp_recv, 0x7d62b221, "");
SYMBOL_CRC(ishtp_fw_cl_by_uuid, 0xd5bff242, "");
SYMBOL_CRC(ishtp_fw_cl_get_client, 0x479881c7, "");
SYMBOL_CRC(ishtp_get_fw_client_id, 0x5f9b0501, "");
SYMBOL_CRC(ishtp_cl_driver_register, 0x83a46594, "");
SYMBOL_CRC(ishtp_cl_driver_unregister, 0xbcdfd52f, "");
SYMBOL_CRC(ishtp_register_event_cb, 0x6315b22c, "");
SYMBOL_CRC(ishtp_get_device, 0x6d13d546, "");
SYMBOL_CRC(ishtp_put_device, 0x3d7c191e, "");
SYMBOL_CRC(ishtp_set_drvdata, 0xabf12084, "");
SYMBOL_CRC(ishtp_get_drvdata, 0xb62da464, "");
SYMBOL_CRC(ishtp_dev_to_cl_device, 0xbda80852, "");
SYMBOL_CRC(ishtp_bus_remove_all_clients, 0x19a37cd4, "");
SYMBOL_CRC(ishtp_reset_handler, 0x23f203b8, "");
SYMBOL_CRC(ishtp_reset_compl_handler, 0x30e5a76c, "");
SYMBOL_CRC(ishtp_device, 0xf0e91b48, "");
SYMBOL_CRC(ishtp_wait_resume, 0xc854362d, "_gpl");
SYMBOL_CRC(ishtp_get_pci_device, 0xe08562e8, "");
SYMBOL_CRC(ishtp_trace_callback, 0x1ad07b21, "");
SYMBOL_CRC(ish_hw_reset, 0x2b3c366f, "");
SYMBOL_CRC(ishtp_cl_io_rb_recycle, 0xb2b99463, "");
SYMBOL_CRC(ishtp_cl_tx_empty, 0x93fe1d4a, "");
SYMBOL_CRC(ishtp_cl_rx_get_rb, 0xa8a1d285, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x91d60580, "finish_wait" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0x88adb634, "__wake_up" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x405be82d, "put_device" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xab5031e5, "bus_unregister" },
	{ 0x4f791397, "_dev_err" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0x32d404ab, "driver_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xffeca003, "device_register" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x882168e, "driver_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xa7973e26, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x83313941, "device_unregister" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2A8A484047E007EB5458566");

MODULE_INFO(suserelease, "ALP-0.1");
