#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mantis_get_mac, 0x3f88aef6, "_gpl");
SYMBOL_CRC(mantis_gpio_set_bits, 0xe1473850, "_gpl");
SYMBOL_CRC(mantis_stream_control, 0xb220a0c2, "_gpl");
SYMBOL_CRC(mantis_uart_init, 0xae551b9d, "_gpl");
SYMBOL_CRC(mantis_uart_exit, 0xc456c694, "_gpl");
SYMBOL_CRC(mantis_dma_exit, 0xb6f35b05, "_gpl");
SYMBOL_CRC(mantis_dma_init, 0x01d8a40e, "_gpl");
SYMBOL_CRC(mantis_pci_init, 0x6eacc991, "_gpl");
SYMBOL_CRC(mantis_pci_exit, 0xfcd9fdf5, "_gpl");
SYMBOL_CRC(mantis_i2c_init, 0x1dcbfc17, "_gpl");
SYMBOL_CRC(mantis_i2c_exit, 0xaae0031c, "_gpl");
SYMBOL_CRC(mantis_frontend_power, 0x0debeda1, "_gpl");
SYMBOL_CRC(mantis_frontend_soft_reset, 0x3f1ca45d, "_gpl");
SYMBOL_CRC(mantis_dvb_init, 0xde478953, "_gpl");
SYMBOL_CRC(mantis_dvb_exit, 0x696c7658, "_gpl");
SYMBOL_CRC(mantis_ca_init, 0xf68c9fff, "_gpl");
SYMBOL_CRC(mantis_ca_exit, 0x70beaf46, "_gpl");
SYMBOL_CRC(mantis_input_init, 0xdfc79c43, "_gpl");
SYMBOL_CRC(mantis_input_exit, 0x4b673297, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88adb634, "__wake_up" },
	{ 0xb67e5f92, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x1b10d025, "i2c_del_adapter" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xf34f0f21, "dvb_dmx_swfilter_204" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xacf60b87, "dvb_dmx_release" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf00c636f, "dvb_ca_en50221_release" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xe30fd140, "rc_register_device" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0x232ee7c3, "rc_keydown" },
	{ 0x1345a551, "dvb_net_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0xb45248e8, "dvb_dmx_swfilter" },
	{ 0x46ccb723, "dvb_dmxdev_release" },
	{ 0x1e5010e5, "param_ops_short" },
	{ 0x8555e6b7, "rc_free_device" },
	{ 0x88398556, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x174287a7, "dvb_frontend_detach" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x915988a6, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf7333e3e, "dma_set_coherent_mask" },
	{ 0xe6619660, "dvb_net_release" },
	{ 0x441b264d, "dvb_ca_en50221_camready_irq" },
	{ 0x5457e9f1, "rc_allocate_device" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x12f271f5, "dvb_unregister_frontend" },
	{ 0x43534420, "dvb_ca_en50221_camchange_irq" },
	{ 0xb8df899a, "i2c_transfer" },
	{ 0x524e06a3, "pci_disable_device" },
	{ 0x80bba343, "dvb_register_frontend" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x46f6d1bf, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x3592d171, "dvb_unregister_adapter" },
	{ 0x41eeade8, "dvb_dmx_init" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x26b7e2c8, "rc_unregister_device" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x48cea81a, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x3b6df35b, "pci_enable_device" },
	{ 0x43407451, "dvb_ca_en50221_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x91d60580, "finish_wait" },
	{ 0xedc03953, "iounmap" },
	{ 0xe4c6d318, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,rc-core");


MODULE_INFO(srcversion, "59E19B7E1F9F26E6B5CED32");

MODULE_INFO(suserelease, "ALP-0.1");
