#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xfb578fc5, "memset" },
	{ 0xb37c85df, "usb_sg_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24d273d1, "add_timer" },
	{ 0xa990dada, "usb_sg_wait" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xba3eaffa, "usb_deregister" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xf45a614f, "usb_get_dev" },
	{ 0x9d030107, "usb_string" },
	{ 0x5f27b4f0, "mmc_alloc_host" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xd9461d5, "usb_put_dev" },
	{ 0xa091e712, "mmc_free_host" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x21eba387, "mmc_add_host" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xca3037f2, "mmc_remove_host" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa9351ed3, "wake_up_process" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xac355705, "mmc_request_done" },
	{ 0x4a53db39, "usb_lock_device_for_reset" },
	{ 0x28483ddb, "usb_reset_device" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0xbc975a81, "request_firmware" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4430bf86, "usb_register_driver" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x7a703909, "usb_sg_cancel" },
	{ 0xd3102298, "usb_unlink_urb" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x9166fada, "strncpy" },
	{ 0xcc5fefe8, "mmc_detect_change" },
	{ 0x97e13ec0, "usb_control_msg" },
	{ 0x4f791397, "_dev_err" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x37a0cba, "kfree" },
	{ 0xa6257a2f, "complete" },
	{ 0x234e205, "usb_submit_urb" },
	{ 0xa7e3eb62, "usb_alloc_urb" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x82adcf56, "usb_free_urb" },
	{ 0xb5896bef, "usb_kill_urb" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mmc_core");

MODULE_ALIAS("usb:v2201p012Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p012Cd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "DE5BE977E75A9418A0BF959");

MODULE_INFO(suserelease, "ALP-0.1");
