#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ocelot_mact_learn, 0xc2731413, "");
SYMBOL_CRC(ocelot_mact_forget, 0x9a841bc9, "");
SYMBOL_CRC(ocelot_mact_lookup, 0x15f25d6e, "");
SYMBOL_CRC(ocelot_mact_learn_streamdata, 0x3073ab4e, "");
SYMBOL_CRC(ocelot_pll5_init, 0xb3647ad1, "");
SYMBOL_CRC(ocelot_bridge_num_find, 0x2537204a, "_gpl");
SYMBOL_CRC(ocelot_port_vlan_filtering, 0x3c4eba5a, "");
SYMBOL_CRC(ocelot_vlan_prepare, 0xac32802a, "");
SYMBOL_CRC(ocelot_vlan_add, 0xb4f89d2b, "");
SYMBOL_CRC(ocelot_vlan_del, 0x7775d568, "");
SYMBOL_CRC(ocelot_port_configure_serdes, 0x1090a7c3, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_config, 0x1d9658d5, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_down, 0x7b514d33, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_up, 0xa35f7498, "_gpl");
SYMBOL_CRC(ocelot_ptp_rx_timestamp, 0xf343837d, "");
SYMBOL_CRC(ocelot_xtr_poll_frame, 0xbffb7fbe, "");
SYMBOL_CRC(ocelot_can_inject, 0x88cd2246, "");
SYMBOL_CRC(ocelot_ifh_port_set, 0xd0ebefd9, "");
SYMBOL_CRC(ocelot_port_inject_frame, 0x10809312, "");
SYMBOL_CRC(ocelot_drain_cpu_queue, 0xc1f7ffae, "");
SYMBOL_CRC(ocelot_fdb_add, 0x74a3a066, "");
SYMBOL_CRC(ocelot_fdb_del, 0xbc718626, "");
SYMBOL_CRC(ocelot_mact_flush, 0x05b6250a, "_gpl");
SYMBOL_CRC(ocelot_fdb_dump, 0x574b65f7, "");
SYMBOL_CRC(ocelot_bond_get_id, 0xbe93de8e, "_gpl");
SYMBOL_CRC(ocelot_port_assigned_dsa_8021q_cpu_mask, 0xd45e43b0, "_gpl");
SYMBOL_CRC(ocelot_get_bridge_fwd_mask, 0xb8064b53, "_gpl");
SYMBOL_CRC(ocelot_port_setup_dsa_8021q_cpu, 0x94668d7a, "_gpl");
SYMBOL_CRC(ocelot_port_teardown_dsa_8021q_cpu, 0x72e621b5, "_gpl");
SYMBOL_CRC(ocelot_port_assign_dsa_8021q_cpu, 0x4fe72d14, "_gpl");
SYMBOL_CRC(ocelot_port_unassign_dsa_8021q_cpu, 0x4c2d744b, "_gpl");
SYMBOL_CRC(ocelot_bridge_stp_state_set, 0xc8c587b0, "");
SYMBOL_CRC(ocelot_set_ageing_time, 0x19e50eae, "");
SYMBOL_CRC(ocelot_port_mdb_add, 0xc40c76f5, "");
SYMBOL_CRC(ocelot_port_mdb_del, 0x10972af1, "");
SYMBOL_CRC(ocelot_port_bridge_join, 0xfa9cac07, "");
SYMBOL_CRC(ocelot_port_bridge_leave, 0x6c89cb50, "");
SYMBOL_CRC(ocelot_migrate_mdbs, 0x67490f57, "_gpl");
SYMBOL_CRC(ocelot_port_lag_join, 0x729288b7, "");
SYMBOL_CRC(ocelot_port_lag_leave, 0xe334cdcb, "");
SYMBOL_CRC(ocelot_port_lag_change, 0x3dad41a6, "");
SYMBOL_CRC(ocelot_lag_fdb_add, 0x22a84f8e, "_gpl");
SYMBOL_CRC(ocelot_lag_fdb_del, 0xa41bd41b, "_gpl");
SYMBOL_CRC(ocelot_port_set_maxlen, 0x242f5981, "");
SYMBOL_CRC(ocelot_get_max_mtu, 0x47193309, "");
SYMBOL_CRC(ocelot_port_pre_bridge_flags, 0xd92370c3, "");
SYMBOL_CRC(ocelot_port_bridge_flags, 0x8e1c0e12, "");
SYMBOL_CRC(ocelot_port_get_default_prio, 0x99cd7d7e, "_gpl");
SYMBOL_CRC(ocelot_port_set_default_prio, 0x1de3de03, "_gpl");
SYMBOL_CRC(ocelot_port_get_dscp_prio, 0x564d944f, "_gpl");
SYMBOL_CRC(ocelot_port_add_dscp_prio, 0x0096dd9f, "_gpl");
SYMBOL_CRC(ocelot_port_del_dscp_prio, 0x219d7764, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_add, 0x72ad0f5c, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_del, 0x291386bc, "_gpl");
SYMBOL_CRC(ocelot_port_mqprio, 0xe61821ae, "_gpl");
SYMBOL_CRC(ocelot_init_port, 0xecbe7ce5, "");
SYMBOL_CRC(ocelot_reset, 0x8a13c96c, "");
SYMBOL_CRC(ocelot_init, 0x97e5307c, "");
SYMBOL_CRC(ocelot_deinit, 0x6641f88a, "");
SYMBOL_CRC(ocelot_deinit_port, 0xad305ae2, "");
SYMBOL_CRC(ocelot_wm_enc, 0x08791cd6, "");
SYMBOL_CRC(ocelot_wm_dec, 0xb0fdd7fd, "");
SYMBOL_CRC(ocelot_wm_stat, 0xe30fc619, "");
SYMBOL_CRC(ocelot_sb_pool_get, 0x5b369de6, "");
SYMBOL_CRC(ocelot_sb_pool_set, 0xb28277fe, "");
SYMBOL_CRC(ocelot_sb_port_pool_get, 0xf8755d1a, "");
SYMBOL_CRC(ocelot_sb_port_pool_set, 0xb0d689ba, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_get, 0xe83a7d3b, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_set, 0x5f0ad108, "");
SYMBOL_CRC(ocelot_sb_occ_snapshot, 0x4c1ce198, "");
SYMBOL_CRC(ocelot_sb_occ_max_clear, 0xd64612c6, "");
SYMBOL_CRC(ocelot_sb_occ_port_pool_get, 0x2681c9d1, "");
SYMBOL_CRC(ocelot_sb_occ_tc_port_bind_get, 0x4fadcdfe, "");
SYMBOL_CRC(ocelot_devlink_sb_register, 0x61a1b670, "");
SYMBOL_CRC(ocelot_devlink_sb_unregister, 0x1dd42e6a, "");
SYMBOL_CRC(ocelot_cls_flower_replace, 0xd7330aa1, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_destroy, 0x1d80c60e, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_stats, 0x5ac6fd89, "_gpl");
SYMBOL_CRC(__ocelot_bulk_read_ix, 0x2add1021, "_gpl");
SYMBOL_CRC(__ocelot_read_ix, 0x11de349c, "_gpl");
SYMBOL_CRC(__ocelot_write_ix, 0x68a18d0f, "_gpl");
SYMBOL_CRC(__ocelot_rmw_ix, 0xfbc06e8e, "_gpl");
SYMBOL_CRC(ocelot_port_readl, 0x47847244, "_gpl");
SYMBOL_CRC(ocelot_port_writel, 0x8ee2d007, "_gpl");
SYMBOL_CRC(ocelot_port_rmwl, 0xb6a8df56, "_gpl");
SYMBOL_CRC(ocelot_regfields_init, 0x3fd1b27f, "_gpl");
SYMBOL_CRC(ocelot_regmap_init, 0x3132e854, "_gpl");
SYMBOL_CRC(ocelot_mm_irq, 0x9ffa1175, "_gpl");
SYMBOL_CRC(ocelot_port_set_mm, 0xc28c6624, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm, 0x10d6a945, "_gpl");
SYMBOL_CRC(ocelot_policer_validate, 0x34611055, "");
SYMBOL_CRC(ocelot_port_policer_add, 0x87fb0a69, "");
SYMBOL_CRC(ocelot_port_policer_del, 0x2543ac6f, "");
SYMBOL_CRC(ocelot_ptp_gettime64, 0xa250e1ad, "");
SYMBOL_CRC(ocelot_ptp_settime64, 0xf7d09696, "");
SYMBOL_CRC(ocelot_ptp_adjtime, 0xf171206a, "");
SYMBOL_CRC(ocelot_ptp_adjfine, 0xb48b8c76, "");
SYMBOL_CRC(ocelot_ptp_verify, 0xa88877f1, "");
SYMBOL_CRC(ocelot_ptp_enable, 0x74d398a3, "");
SYMBOL_CRC(ocelot_hwstamp_get, 0x44d3146d, "");
SYMBOL_CRC(ocelot_hwstamp_set, 0x5f5ee7fe, "");
SYMBOL_CRC(ocelot_get_ts_info, 0xa859bfd2, "");
SYMBOL_CRC(ocelot_port_txtstamp_request, 0x3ed4a826, "");
SYMBOL_CRC(ocelot_get_txtstamp, 0xcb39c3c9, "");
SYMBOL_CRC(ocelot_init_timestamp, 0x79c054c8, "");
SYMBOL_CRC(ocelot_deinit_timestamp, 0x65ce0083, "");
SYMBOL_CRC(ocelot_get_strings, 0x2ef0da8b, "");
SYMBOL_CRC(ocelot_get_sset_count, 0xa1835e35, "");
SYMBOL_CRC(ocelot_get_ethtool_stats, 0x57cb1409, "");
SYMBOL_CRC(ocelot_port_get_pause_stats, 0x740a1489, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm_stats, 0xcda3cca3, "_gpl");
SYMBOL_CRC(ocelot_port_get_rmon_stats, 0xc1c27952, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_ctrl_stats, 0x53e250a8, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_mac_stats, 0x1c5a7e7c, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_phy_stats, 0xb571678a, "_gpl");
SYMBOL_CRC(ocelot_port_get_stats64, 0x7402b758, "");
SYMBOL_CRC(ocelot_vcap_policer_add, 0xadd061de, "");
SYMBOL_CRC(ocelot_vcap_policer_del, 0xef47c0b4, "");
SYMBOL_CRC(ocelot_vcap_block_find_filter_by_id, 0x2ee2eeab, "");
SYMBOL_CRC(ocelot_vcap_filter_add, 0x4fae62c0, "");
SYMBOL_CRC(ocelot_vcap_filter_del, 0x0424eaa5, "");
SYMBOL_CRC(ocelot_vcap_filter_replace, 0x96a29780, "");
SYMBOL_CRC(vsc7514_regfields, 0x7e5aec55, "");
SYMBOL_CRC(vsc7514_regmap, 0xf80fc88d, "");
SYMBOL_CRC(vsc7514_vcap_props, 0x6ce19e2a, "");
SYMBOL_CRC(ocelot_mrp_add, 0x15b52b61, "");
SYMBOL_CRC(ocelot_mrp_del, 0x8cecc47f, "");
SYMBOL_CRC(ocelot_mrp_add_ring_role, 0x5ae99d68, "");
SYMBOL_CRC(ocelot_mrp_del_ring_role, 0xb1934b55, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3ad01691, "flow_rule_match_ipv4_addrs" },
	{ 0xf53cca94, "regmap_field_update_bits_base" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x383c1de5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2adb1ea9, "ethtool_aggregate_ctrl_stats" },
	{ 0xe4b818c3, "phy_speed_to_str" },
	{ 0xbd7bf3bd, "skb_queue_purge_reason" },
	{ 0x13d30885, "ptp_find_pin" },
	{ 0x6cb210e5, "eth_type_trans" },
	{ 0x878194b9, "ethtool_aggregate_pause_stats" },
	{ 0xfe6df652, "ptp_parse_header" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xceb07c44, "regmap_fields_read" },
	{ 0xeafd96d1, "skb_queue_tail" },
	{ 0x25dc6291, "regmap_field_read" },
	{ 0x644165f2, "devm_regmap_field_alloc" },
	{ 0xd66bb2c4, "ptp_classify_raw" },
	{ 0x196e66dc, "flow_rule_match_basic" },
	{ 0xac18c740, "__dev_get_by_index" },
	{ 0xd0fe6c1, "devm_kfree" },
	{ 0x4f791397, "_dev_err" },
	{ 0x26849377, "ptp_clock_register" },
	{ 0x556f17ca, "netif_set_real_num_tx_queues" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0x745e2ddb, "skb_complete_tx_timestamp" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x59a2f0ee, "packing" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x98755ed7, "ethtool_aggregate_phy_stats" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x4bf86372, "flow_rule_match_ports" },
	{ 0xff277815, "__devm_regmap_init_mmio_clk" },
	{ 0xdbc415c1, "ethtool_aggregate_mac_stats" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdb1aa3c4, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x3abe6f57, "ptp_clock_unregister" },
	{ 0x2c5e055a, "__netdev_alloc_skb" },
	{ 0x78bf22f2, "of_phy_get" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x37a1c5dc, "phy_set_mode_ext" },
	{ 0xab383b3, "netdev_reset_tc" },
	{ 0xd2bec633, "regmap_read" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6007df6, "devm_ioremap_resource" },
	{ 0xeadf7d6, "ethtool_aggregate_rmon_stats" },
	{ 0x22735e8c, "flow_rule_match_vlan" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x82de7b6, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0xaad67728, "flow_rule_match_meta" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x76876420, "netdev_set_num_tc" },
	{ 0x482d8969, "regmap_update_bits_base" },
	{ 0xa7ac68f2, "dev_err_probe" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0xfe83877, "dev_kfree_skb_any_reason" },
	{ 0x5ebf3cdf, "devlink_sb_unregister" },
	{ 0x192f660a, "flow_rule_match_control" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x8f5c37c9, "br_vlan_enabled" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x25a65fbc, "regmap_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0xabe460aa, "skb_put" },
	{ 0x6b8a40ac, "skb_tstamp_tx" },
	{ 0x1ef69bd, "of_phy_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdf406403, "skb_clone_sk" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x73c3922e, "regmap_fields_update_bits_base" },
	{ 0xfcb8b3ed, "flow_rule_match_eth_addrs" },
	{ 0x41b1508a, "ptp_clock_index" },
	{ 0xadd80c32, "devlink_sb_register" },
	{ 0x37a0cba, "kfree" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "libphy,regmap-mmio,bridge");


MODULE_INFO(srcversion, "204625A76B0F7E0467C7CC4");

MODULE_INFO(suserelease, "ALP-0.1");
