#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(tap_del_queues, 0x278a4dd3, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0xad6afd12, "_gpl");
SYMBOL_CRC(tap_get_minor, 0x6dcda0d1, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x03d6953a, "_gpl");
SYMBOL_CRC(tap_get_socket, 0x2c49bda4, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0x5d711017, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x3c4462f5, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0x3570415e, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x69667e41, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x38b0ad21, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x383c1de5, "netdev_err" },
	{ 0x1fd6cdb3, "idr_remove" },
	{ 0xe2c211ab, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x19760eef, "idr_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x88adb634, "__wake_up" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x2b885069, "cdev_init" },
	{ 0xc94b7610, "cdev_add" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x51905f4, "idr_find" },
	{ 0xa72d34e6, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0x9c69b589, "sock_init_data_uid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x3f0bae12, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x70f227ef, "dev_set_mac_address_user" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x5cf72e1c, "dev_get_mac_address" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x9aa3da77, "skb_copy_datagram_iter" },
	{ 0x150762a1, "_copy_to_iter" },
	{ 0x91d60580, "finish_wait" },
	{ 0x70421f21, "consume_skb" },
	{ 0x1000e51, "schedule" },
	{ 0xd48b929e, "prepare_to_wait" },
	{ 0x584fb50c, "iov_iter_advance" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x29157a8e, "skb_push" },
	{ 0xe16c9ca8, "__skb_gso_segment" },
	{ 0x1fadece0, "__skb_get_hash" },
	{ 0xa0b69a41, "skb_checksum_help" },
	{ 0x44c21e91, "kfree_skb_list_reason" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x46a60704, "__skb_flow_dissect" },
	{ 0xcdce09a9, "skb_partial_csum_set" },
	{ 0x9c6686ac, "__pskb_pull_tail" },
	{ 0xe38d61c2, "iov_iter_npages" },
	{ 0x86db9e6c, "sock_alloc_send_pskb" },
	{ 0xabe460aa, "skb_put" },
	{ 0x71614476, "zerocopy_sg_from_iter" },
	{ 0x2e3a69d4, "__dev_queue_xmit" },
	{ 0x9771ccd9, "_copy_from_iter" },
	{ 0x35afd47c, "skb_copy_datagram_from_iter" },
	{ 0x790a1c96, "iov_iter_revert" },
	{ 0xe08a7fdf, "skb_copy_bits" },
	{ 0xf6e6f8fd, "build_skb" },
	{ 0x78b88458, "compat_ptr_ioctl" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "178A457882DA8678BC6D6E1");

MODULE_INFO(suserelease, "ALP-0.1");
