#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ath11k_debug_mask, 0x9c51bcc4, "");
SYMBOL_CRC(ath11k_core_suspend, 0x2f944b98, "");
SYMBOL_CRC(ath11k_core_suspend_late, 0xf5f39d64, "");
SYMBOL_CRC(ath11k_core_resume_early, 0x2420b774, "");
SYMBOL_CRC(ath11k_core_resume, 0x9a9045d5, "");
SYMBOL_CRC(ath11k_core_pre_init, 0xa159b88e, "");
SYMBOL_CRC(ath11k_core_init, 0x197b4112, "");
SYMBOL_CRC(ath11k_core_deinit, 0x5065284d, "");
SYMBOL_CRC(ath11k_core_free, 0x39cd862e, "");
SYMBOL_CRC(ath11k_core_alloc, 0xbf08c02a, "");
SYMBOL_CRC(ath11k_hal_srng_init, 0x17c90dfa, "");
SYMBOL_CRC(ath11k_hal_srng_deinit, 0x37d64cb0, "");
SYMBOL_CRC(ath11k_cold_boot_cal, 0xf0197188, "");
SYMBOL_CRC(ath11k_qmi_fwreset_from_cold_boot, 0x93d66789, "");
SYMBOL_CRC(ath11k_qmi_deinit_service, 0x5462dbee, "");
SYMBOL_CRC(ath11k_dp_service_srng, 0x01d5d708, "");
SYMBOL_CRC(ath11k_info, 0x606c5874, "");
SYMBOL_CRC(ath11k_err, 0xebc8196b, "");
SYMBOL_CRC(ath11k_warn, 0xa21c6afa, "");
SYMBOL_CRC(ath11k_ce_per_engine_service, 0x1b1d1597, "");
SYMBOL_CRC(ath11k_ce_get_shadow_config, 0x6bff5d7d, "");
SYMBOL_CRC(ath11k_ce_cleanup_pipes, 0x8dac7dec, "");
SYMBOL_CRC(ath11k_ce_rx_post_buf, 0xc71fc60d, "");
SYMBOL_CRC(ath11k_ce_free_pipes, 0x1509505c, "");
SYMBOL_CRC(ath11k_ce_alloc_pipes, 0xdae29757, "");
SYMBOL_CRC(ath11k_ce_get_attr_flags, 0x35f82f4e, "");
SYMBOL_CRC(ath11k_pcic_init_msi_config, 0x7aa55f44, "");
SYMBOL_CRC(ath11k_pcic_write32, 0xa341965c, "");
SYMBOL_CRC(ath11k_pcic_read32, 0x59a6f6ec, "");
SYMBOL_CRC(ath11k_pcic_read, 0xaf524775, "");
SYMBOL_CRC(ath11k_pcic_get_msi_address, 0x27e6fbce, "");
SYMBOL_CRC(ath11k_pcic_get_user_msi_assignment, 0x859b6b97, "");
SYMBOL_CRC(ath11k_pcic_get_ce_msi_idx, 0xcec58e4b, "");
SYMBOL_CRC(ath11k_pcic_free_irq, 0x6f640c1c, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_enable, 0x1bc79351, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_disable, 0x2a2ad6d3, "");
SYMBOL_CRC(ath11k_pcic_config_irq, 0x98f7c5cb, "");
SYMBOL_CRC(ath11k_pcic_ce_irqs_enable, 0xe724311d, "");
SYMBOL_CRC(ath11k_pcic_ce_irq_disable_sync, 0x9e087f4b, "");
SYMBOL_CRC(ath11k_pcic_stop, 0x205b43be, "");
SYMBOL_CRC(ath11k_pcic_start, 0x4df13c99, "");
SYMBOL_CRC(ath11k_pcic_map_service_to_pipe, 0xb41cfc7a, "");
SYMBOL_CRC(ath11k_pcic_register_pci_ops, 0x9783b625, "");
SYMBOL_CRC(ath11k_pci_enable_ce_irqs_except_wake_irq, 0x83d7c5f5, "");
SYMBOL_CRC(ath11k_pci_disable_ce_irqs_except_wake_irq, 0x9395ab44, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xeefaec25, "ieee80211_wake_queues" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x88cf140b, "qmi_txn_init" },
	{ 0x6cb5fd93, "ieee80211_report_low_ack" },
	{ 0x9142574a, "ieee80211_beacon_get_template" },
	{ 0xde80cd09, "ioremap" },
	{ 0x2b5d5197, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x901b1236, "ieee80211_free_txskb" },
	{ 0x2387b41e, "ieee80211_alloc_hw_nm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xc57a0e9e, "cfg80211_get_bss" },
	{ 0x11089ac7, "_ctype" },
	{ 0x19760eef, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xa75c4c0d, "dma_sync_single_for_cpu" },
	{ 0xeacc434, "kernel_connect" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x89a0a435, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x49cd74dd, "rht_bucket_nested_insert" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0xc937bc08, "ieee80211_beacon_free_ema_list" },
	{ 0x2c5e055a, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xedc6f85c, "rhashtable_destroy" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xaf03b4bc, "ieee80211_ready_on_channel" },
	{ 0x152a58f1, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x114e881d, "qmi_handle_release" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4de0e743, "pv_ops" },
	{ 0x285a52bd, "rhashtable_insert_slow" },
	{ 0xd8634721, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3a188989, "rt_read_lock" },
	{ 0x4a473ff1, "ieee80211_vif_to_wdev" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0xf3be2a27, "ieee80211_scan_completed" },
	{ 0x71bb0324, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xea2c1de2, "crypto_shash_final" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0xac049455, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x18dee5e1, "rt_read_unlock" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xd9b2bd5e, "ieee80211_color_change_finish" },
	{ 0xbc4c7701, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xbd5878a5, "thermal_cooling_device_unregister" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x5f2a2eec, "ieee80211_queue_work" },
	{ 0xd6a5bc90, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0xe4c96da5, "napi_disable" },
	{ 0xfe83877, "dev_kfree_skb_any_reason" },
	{ 0x429c0c31, "ieee80211_bss_get_elem" },
	{ 0xcd12eb64, "regulatory_set_wiphy_regd" },
	{ 0x28531d21, "cfg80211_chandef_dfs_cac_time" },
	{ 0xaa4dee32, "crypto_alloc_shash" },
	{ 0x9bad5335, "ieee80211_beacon_get_template_ema_list" },
	{ 0x86395f2, "qmi_add_lookup" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xef7f9974, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xd343f99a, "ieee80211_csa_finish" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbb0a06ba, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6b0c9d58, "ieee80211_gtk_rekey_notify" },
	{ 0x33c40e35, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xa2c2c293, "cfg80211_chandef_dfs_usable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xb62b573b, "ieee80211_connection_loss" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x26518e1, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xf2dda6b4, "_ieee80211_beacon_update_cntdwn" },
	{ 0x51905f4, "idr_find" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xabe460aa, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4cd2fe40, "qmi_response_type_v01_ei" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc8855972, "firmware_request_nowarn" },
	{ 0x31b32e97, "qmi_handle_init" },
	{ 0x70421f21, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x5174f12f, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xea7bd8d7, "device_get_mac_address" },
	{ 0xfeb37b8c, "ieee80211_get_unsol_bcast_probe_resp_tmpl" },
	{ 0x7a6aa5bb, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x91d60580, "finish_wait" },
	{ 0x468312dd, "ieee80211_free_hw" },
	{ 0xecdd40fa, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x2f80bb24, "ieee80211_iterate_stations_atomic" },
	{ 0x62f0b68c, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x419782e2, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x30730d2, "ieee80211_beacon_loss" },
	{ 0x37a0cba, "kfree" },
	{ 0xdf2bfe3e, "ieee80211_get_fils_discovery_tmpl" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x84164a4f, "thermal_cooling_device_register" },
	{ 0xd044c226, "ieee80211_register_hw" },
	{ 0x78f3b32d, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x741034da, "ieee80211_restart_hw" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x586469e0, "ieee80211_get_hdrlen_from_skb" },
	{ 0x88adb634, "__wake_up" },
	{ 0xd01756ba, "__netif_napi_del" },
	{ 0x4576bba8, "ieee80211_hw_restart_disconnect" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x880d3b63, "pskb_expand_head" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0x64fc4f23, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x537f73ba, "ieee80211_find_sta" },
	{ 0xaf6f126a, "dma_map_page_attrs" },
	{ 0x981a4690, "qmi_send_request" },
	{ 0xa3d2839f, "napi_complete_done" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x26383b97, "ieee80211_handle_wake_tx_queue" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf53cfb8f, "ieee80211_tx_status_irqsafe" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xd8aa2f9, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x83f1e0f3, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0x7847b0eb, "cfg80211_put_bss" },
	{ 0x428938a8, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc10b5063, "qmi_txn_wait" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xeafd96d1, "skb_queue_tail" },
	{ 0x41b7fe2, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7486332d, "sysfs_create_link" },
	{ 0xe8eb32d2, "ieee80211_obss_color_collision_notify" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x1fd6cdb3, "idr_remove" },
	{ 0x4741fa87, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xaeb30b17, "ieee80211_queue_delayed_work" },
	{ 0x1fadece0, "__skb_get_hash" },
	{ 0x4f791397, "_dev_err" },
	{ 0x31c28753, "crypto_shash_setkey" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x3db6a5e8, "qmi_txn_cancel" },
	{ 0x849b53fc, "sysfs_remove_link" },
	{ 0x38b0ad21, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x3f88eeea, "ieee80211_find_sta_by_ifaddr" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xcb960fec, "ieee80211_remain_on_channel_expired" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x29157a8e, "skb_push" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0xbb1cb1c4, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x8f18596e, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mac80211,qmi_helpers,cfg80211");


MODULE_INFO(srcversion, "5BF2029200F0C118C49C609");

MODULE_INFO(suserelease, "ALP-0.1");
