#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd2f16222, "mt76x2_mcu_set_channel" },
	{ 0x12b5586c, "mt76x02_dma_disable" },
	{ 0xc18ff75f, "mt76x02_mcu_set_radio_state" },
	{ 0xa1dfb93a, "mt76_wake_tx_queue" },
	{ 0xe8b39d74, "mt76x02e_init_beacon_config" },
	{ 0x3dbfff49, "mt76_get_antenna" },
	{ 0x8ceb72ed, "mt76_set_stream_caps" },
	{ 0x5d894265, "mt76x2_apply_gain_adj" },
	{ 0x342f5ebe, "ieee80211_emulate_change_chanctx" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x288c264f, "pci_set_power_state" },
	{ 0xfe0209cb, "mt76x02_sta_ps" },
	{ 0x8b487f6d, "mt76x2_set_sar_specs" },
	{ 0xf1587e31, "mt76x02_sta_rate_tbl_update" },
	{ 0x5d9d139, "kthread_park" },
	{ 0x1594869a, "mt76_dma_cleanup" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xedd178b2, "mt76x02_reconfig_complete" },
	{ 0x38670c90, "mt76_alloc_device" },
	{ 0xa9351ed3, "wake_up_process" },
	{ 0x8af5ad48, "mt76x02_mac_shared_key_setup" },
	{ 0x58ad5df1, "mt76x02_ext_pa_enabled" },
	{ 0x7efcb7a5, "mt76x02_set_coverage_class" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x75fe3393, "mt76x2_mac_stop" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x7639a3f5, "mt76x02_set_tx_ackto" },
	{ 0xb84cab28, "mt76x02_update_channel" },
	{ 0x83f1e0f3, "__napi_schedule" },
	{ 0xb74c2bf3, "mt76x2_configure_tx_delay" },
	{ 0xf7e083c2, "mt76_pci_disable_aspm" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x6d1b1ed, "mt76x02_configure_filter" },
	{ 0xeb85070e, "mt76_free_device" },
	{ 0x9ceb7c1, "mt76x02_queue_rx_skb" },
	{ 0x65d6ae93, "kthread_unpark" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x1191b14e, "pcim_iomap_regions" },
	{ 0xaeb30b17, "ieee80211_queue_delayed_work" },
	{ 0x4f791397, "_dev_err" },
	{ 0xc8e922b6, "mt76x02_rx_poll_complete" },
	{ 0x89f82aeb, "mt76x02_mac_setaddr" },
	{ 0x1d034b19, "mt76_register_device" },
	{ 0xc512830, "mt76_set_tim" },
	{ 0x30c0b94b, "mt76x02_sw_scan_complete" },
	{ 0xc403c95d, "mt76x02_phy_set_bw" },
	{ 0x91d5b9ee, "mt76x02_irq_handler" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x5162e9ef, "mt76x02_phy_set_band" },
	{ 0x20f8e492, "mt76_set_channel" },
	{ 0xdd73354c, "mt76x02_init_device" },
	{ 0xbb1cb1c4, "napi_enable" },
	{ 0x3fe9bd30, "mt76x02_tx" },
	{ 0xcca8ac21, "mt76_mmio_init" },
	{ 0xeefaec25, "ieee80211_wake_queues" },
	{ 0xd2c398b3, "mt76x02_sta_remove" },
	{ 0x39662782, "mt76x02_edcca_init" },
	{ 0x745f7919, "mt76x2_eeprom_init" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xba309fb5, "mt76x02_sta_add" },
	{ 0xaab15b30, "mt76_unregister_device" },
	{ 0xea218272, "mt76x2_mcu_load_cr" },
	{ 0xb9c0237a, "pci_restore_state" },
	{ 0x802ed0ad, "mt76x2_init_txpower" },
	{ 0x566ac5a9, "mt76x02_init_debugfs" },
	{ 0x9034108d, "mt76_get_survey" },
	{ 0xed87b16f, "ieee80211_emulate_add_chanctx" },
	{ 0x88398556, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x249a0755, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x84d73c48, "mt76x2_mcu_init_gain" },
	{ 0x6cdbbd4f, "mt76x02_set_rts_threshold" },
	{ 0x536a1e72, "mt76x02_tx_complete_skb" },
	{ 0x6aafa4cd, "mt76_sta_state" },
	{ 0x86c1c559, "mt76x02_mcu_msg_send" },
	{ 0x579a5b49, "mt76x2_phy_tssi_compensate" },
	{ 0x152a58f1, "ieee80211_stop_queues" },
	{ 0xa1c35f95, "mt76x02_mac_cc_reset" },
	{ 0xea2d52dc, "mt76x02_bss_info_changed" },
	{ 0xed16888a, "mt76x02_init_agc_gain" },
	{ 0x7d3c6468, "mt76x2_phy_update_channel_gain" },
	{ 0x35858657, "pci_enable_wake" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xb91c3f0, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x8eb38d62, "mt76x02_add_interface" },
	{ 0x549b2153, "____mt76_poll_msec" },
	{ 0x1e555c5a, "mt76x02_dfs_init_params" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xbef0fa58, "mt76x02_config_mac_addr_list" },
	{ 0xb491269a, "mt76_get_sar_power" },
	{ 0x1aa80cc0, "mt76x02_tx_prepare_skb" },
	{ 0xaeee664f, "mt76x02_mcu_cleanup" },
	{ 0xd0e8c383, "mt76x02_ampdu_action" },
	{ 0x1606e14b, "mt76x02_mcu_calibrate" },
	{ 0x39d55736, "mt76x02_conf_tx" },
	{ 0x43ca8df9, "mt76x02_mcu_function_select" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0xb54e5dd7, "mt76_sw_scan" },
	{ 0xd77e33a9, "mt76_sta_pre_rcu_remove" },
	{ 0x9c25f90f, "pcim_iomap_table" },
	{ 0x38307b16, "mt76x2_get_temp_comp" },
	{ 0x8624ca72, "mt76x02_mac_wcid_setup" },
	{ 0xd6a5bc90, "napi_schedule_prep" },
	{ 0xe4c96da5, "napi_disable" },
	{ 0x73a0ca9c, "__mt76_poll" },
	{ 0x2eb883a9, "mt76x2_read_rx_gain" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xf3eabe1b, "pcim_enable_device" },
	{ 0xf492ab85, "mt76x2_phy_set_txpower_regs" },
	{ 0x796ad56f, "mt76x2_phy_set_txpower" },
	{ 0xe7f4788f, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0x866e2436, "mt76x02_mac_start" },
	{ 0x3a27d7cd, "mt76x02_remove_interface" },
	{ 0x9ce6d1bb, "mt76x02_dma_init" },
	{ 0xde5cee58, "pci_save_state" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb99525b6, "devm_request_threaded_irq" },
	{ 0x8b27b7f2, "pci_choose_state" },
	{ 0xe33a3e43, "mt76x02_set_ethtool_fwver" },
	{ 0x8716566d, "mt76x02_tx_set_txpwr_auto" },
	{ 0xca1bf7ce, "mt76x02_set_key" },
	{ 0x13e8adb9, "mt76x02_mcu_parse_response" },
	{ 0x3e6a90cd, "mt76_release_buffered_frames" },
	{ 0xbc975a81, "request_firmware" },
	{ 0x405a2556, "mt76_get_txpower" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0xa83e33cf, "mt76_write_mac_initvals" },
	{ 0x76b553b, "mt76x2_reset_wlan" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mt76x2-common,mt76x02-lib,mt76,mac80211");

MODULE_ALIAS("pci:v000014C3d00007662sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007612sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007602sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "BA521187B36C1C582D3458F");

MODULE_INFO(suserelease, "ALP-0.1");
