#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rt2x00lib_get_bssidx, 0x410f1618, "_gpl");
SYMBOL_CRC(rt2x00lib_beacondone, 0x953af6f8, "_gpl");
SYMBOL_CRC(rt2x00lib_pretbtt, 0x903ec3f6, "_gpl");
SYMBOL_CRC(rt2x00lib_dmastart, 0x4e164e39, "_gpl");
SYMBOL_CRC(rt2x00lib_dmadone, 0x30987d51, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_nomatch, 0x6d5cf3ca, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone, 0x50e46463, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_noinfo, 0x641da153, "_gpl");
SYMBOL_CRC(rt2x00lib_rxdone, 0x34a121d9, "_gpl");
SYMBOL_CRC(rt2x00lib_set_mac_address, 0xe43b38df, "_gpl");
SYMBOL_CRC(rt2x00lib_probe_dev, 0xe8c551a0, "_gpl");
SYMBOL_CRC(rt2x00lib_remove_dev, 0x61a94b19, "_gpl");
SYMBOL_CRC(rt2x00lib_suspend, 0x13cdae9d, "_gpl");
SYMBOL_CRC(rt2x00lib_resume, 0x430ac11c, "_gpl");
SYMBOL_CRC(rt2x00mac_tx, 0xa28fac1d, "_gpl");
SYMBOL_CRC(rt2x00mac_start, 0x76116565, "_gpl");
SYMBOL_CRC(rt2x00mac_stop, 0x4b408356, "_gpl");
SYMBOL_CRC(rt2x00mac_reconfig_complete, 0x952b2e05, "_gpl");
SYMBOL_CRC(rt2x00mac_add_interface, 0x38b62e40, "_gpl");
SYMBOL_CRC(rt2x00mac_remove_interface, 0x00d851a0, "_gpl");
SYMBOL_CRC(rt2x00mac_config, 0x327b54ed, "_gpl");
SYMBOL_CRC(rt2x00mac_configure_filter, 0x13dbf78c, "_gpl");
SYMBOL_CRC(rt2x00mac_set_tim, 0xf96a5e2f, "_gpl");
SYMBOL_CRC(rt2x00mac_set_key, 0xfeb3a731, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_start, 0x6dc09acd, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_complete, 0x1d64b77c, "_gpl");
SYMBOL_CRC(rt2x00mac_get_stats, 0x314fbe84, "_gpl");
SYMBOL_CRC(rt2x00mac_bss_info_changed, 0xf0e550bc, "_gpl");
SYMBOL_CRC(rt2x00mac_conf_tx, 0x64c76b70, "_gpl");
SYMBOL_CRC(rt2x00mac_rfkill_poll, 0x07fc0c73, "_gpl");
SYMBOL_CRC(rt2x00mac_flush, 0x2d508933, "_gpl");
SYMBOL_CRC(rt2x00mac_set_antenna, 0x6b8f7b61, "_gpl");
SYMBOL_CRC(rt2x00mac_get_antenna, 0x3ae63a5f, "_gpl");
SYMBOL_CRC(rt2x00mac_get_ringparam, 0x66cb567c, "_gpl");
SYMBOL_CRC(rt2x00mac_tx_frames_pending, 0xd16e489c, "_gpl");
SYMBOL_CRC(rt2x00queue_map_txskb, 0xe79fc9ab, "_gpl");
SYMBOL_CRC(rt2x00queue_unmap_skb, 0x8956dff2, "_gpl");
SYMBOL_CRC(rt2x00queue_for_each_entry, 0x5347b1f5, "_gpl");
SYMBOL_CRC(rt2x00queue_get_entry, 0xe762b71d, "_gpl");
SYMBOL_CRC(rt2x00queue_pause_queue, 0x4840b12b, "_gpl");
SYMBOL_CRC(rt2x00queue_unpause_queue, 0x4a7c8b83, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queue, 0x6e7db356, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queue, 0x3432cef1, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queue, 0x9f714f35, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queues, 0x033da08e, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queues, 0x4bd5d9b8, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queues, 0xc9830477, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xabe460aa, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x70421f21, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xecdd40fa, "dma_unmap_page_attrs" },
	{ 0xbc975a81, "request_firmware" },
	{ 0x64fd985e, "led_classdev_suspend" },
	{ 0x4d0ff695, "hrtimer_init" },
	{ 0x419782e2, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xf5ea9bac, "led_classdev_unregister" },
	{ 0xd044c226, "ieee80211_register_hw" },
	{ 0x9ed82fc0, "__ieee80211_create_tpt_led_trigger" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x586469e0, "ieee80211_get_hdrlen_from_skb" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x6b49964e, "ieee80211_wake_queue" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0x2a6b60e1, "ieee80211_tx_status_skb" },
	{ 0x3b1365e5, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaf6f126a, "dma_map_page_attrs" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xaeb30b17, "ieee80211_queue_delayed_work" },
	{ 0x4f791397, "_dev_err" },
	{ 0x6e258e30, "ieee80211_ctstoself_get" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x29157a8e, "skb_push" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x901b1236, "ieee80211_free_txskb" },
	{ 0xce8fe3e1, "led_classdev_register_ext" },
	{ 0xfb578fc5, "memset" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xffed9b5c, "ieee80211_stop_queue" },
	{ 0x2c5e055a, "__netdev_alloc_skb" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x152a58f1, "ieee80211_stop_queues" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4d1bc626, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf3b0275c, "wiphy_rfkill_start_polling" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x71bb0324, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x950b88a4, "led_classdev_resume" },
	{ 0xac049455, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x277ea1f0, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf325d03c, "ieee80211_rts_get" },
	{ 0xb5660760, "hrtimer_cancel" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x5f2a2eec, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0xfe83877, "dev_kfree_skb_any_reason" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xbb0a06ba, "ieee80211_rx_napi" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x75537036, "ieee80211_iterate_interfaces" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,rfkill");


MODULE_INFO(srcversion, "E45600D49323125F9786FF0");

MODULE_INFO(suserelease, "ALP-0.1");
