#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ssam_get_controller, 0xa30a5aa9, "_gpl");
SYMBOL_CRC(ssam_client_link, 0xaab7263b, "_gpl");
SYMBOL_CRC(ssam_client_bind, 0x8f6a8c52, "_gpl");
SYMBOL_CRC(ssh_packet_get, 0x64e5703e, "_gpl");
SYMBOL_CRC(ssh_packet_put, 0x564180e6, "_gpl");
SYMBOL_CRC(ssam_device_type, 0x04e7d71a, "_gpl");
SYMBOL_CRC(ssam_device_alloc, 0xd105004b, "_gpl");
SYMBOL_CRC(ssam_device_add, 0xa275c121, "_gpl");
SYMBOL_CRC(ssam_device_remove, 0x2b858991, "_gpl");
SYMBOL_CRC(ssam_device_id_match, 0xc2bd582d, "_gpl");
SYMBOL_CRC(ssam_device_get_match, 0x0de64646, "_gpl");
SYMBOL_CRC(ssam_device_get_match_data, 0xf30cf54c, "_gpl");
SYMBOL_CRC(ssam_bus_type, 0xb1d242e4, "_gpl");
SYMBOL_CRC(__ssam_device_driver_register, 0x44ee46a8, "_gpl");
SYMBOL_CRC(ssam_device_driver_unregister, 0x30121505, "_gpl");
SYMBOL_CRC(__ssam_register_clients, 0xe4dae7a9, "_gpl");
SYMBOL_CRC(ssam_remove_clients, 0xfbacb127, "_gpl");
SYMBOL_CRC(ssam_controller_device, 0xa43ef00b, "_gpl");
SYMBOL_CRC(ssam_controller_get, 0x108a8c7e, "_gpl");
SYMBOL_CRC(ssam_controller_put, 0xd964ed78, "_gpl");
SYMBOL_CRC(ssam_controller_statelock, 0x91a81202, "_gpl");
SYMBOL_CRC(ssam_controller_stateunlock, 0xb4322089, "_gpl");
SYMBOL_CRC(ssam_request_write_data, 0x42536052, "_gpl");
SYMBOL_CRC(ssam_request_sync_alloc, 0xbbbb1bf3, "_gpl");
SYMBOL_CRC(ssam_request_sync_free, 0xc04c5047, "_gpl");
SYMBOL_CRC(ssam_request_sync_init, 0x1bd8c702, "_gpl");
SYMBOL_CRC(ssam_request_sync_submit, 0xe6690283, "_gpl");
SYMBOL_CRC(ssam_request_do_sync, 0x565102e2, "_gpl");
SYMBOL_CRC(ssam_request_do_sync_with_buffer, 0xe532c2cd, "_gpl");
SYMBOL_CRC(ssam_notifier_register, 0x2adb7afb, "_gpl");
SYMBOL_CRC(__ssam_notifier_unregister, 0x24283385, "_gpl");
SYMBOL_CRC(ssam_controller_event_enable, 0x7e589f1f, "_gpl");
SYMBOL_CRC(ssam_controller_event_disable, 0xf1afd4e4, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x405be82d, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xae287862, "device_for_each_child_reverse" },
	{ 0x4a53bd5a, "kmem_cache_alloc" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xda63f238, "fwnode_get_name" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x102b117c, "init_srcu_struct" },
	{ 0x5edc48f4, "perf_trace_run_bpf_submit" },
	{ 0x158cdbc6, "devm_acpi_dev_add_driver_gpios" },
	{ 0xab5031e5, "bus_unregister" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0x4f791397, "_dev_err" },
	{ 0x6d4ce75, "up_write" },
	{ 0x6059e10c, "device_add" },
	{ 0xcc4b4b6, "crc_ccitt_false" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x69b0105a, "__srcu_read_lock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xd3625834, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0x3e526055, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x32d404ab, "driver_unregister" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x1e3bf7a6, "cleanup_srcu_struct" },
	{ 0x4e7af576, "sysfs_create_group" },
	{ 0x442dbc79, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x2089f5dd, "serdev_device_wait_until_sent" },
	{ 0xe7c50d0b, "__serdev_device_driver_register" },
	{ 0x1124a15, "bpf_trace_run1" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xc14dca3d, "acpi_dev_clear_dependencies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf461a985, "fwnode_handle_get" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xc9d572ea, "serdev_device_write_buf" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xf763bd8a, "kthread_create_on_node" },
	{ 0xcd88e364, "sysfs_remove_group" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0xd4a0d1c6, "trace_event_buffer_reserve" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3b53d3e1, "serdev_device_close" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb8528e2, "__srcu_read_unlock" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x5bb1b1d5, "fwnode_handle_put" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0xfce2a59, "device_link_add" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x52ce608c, "up_read" },
	{ 0x882168e, "driver_register" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xa7973e26, "bus_register" },
	{ 0x9400e308, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2e0a637d, "acpi_walk_resources" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x1562be8f, "gpiod_get" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2b9a659, "__init_rwsem" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xb0f4a3d0, "is_acpi_device_node" },
	{ 0xb42fad2, "gpiod_put" },
	{ 0x26518e1, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc5e5c5e9, "serdev_device_set_baudrate" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0x4cef0046, "gpiod_count" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4f93cdcf, "trace_raw_output_prep" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x83313941, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xeb50ed41, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x91d60580, "finish_wait" },
	{ 0xf9890870, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xea312c8c, "serdev_acpi_get_uart_resource" },
	{ 0x2de57d2c, "device_initialize" },
	{ 0xc797a558, "serdev_device_set_flow_control" },
	{ 0x4bec2f6c, "trace_event_raw_init" },
	{ 0x1636369, "gpiod_to_irq" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd4dde7e, "serdev_device_open" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xb5592636, "fwnode_get_next_child_node" },
	{ 0xe68277c5, "bpf_trace_run2" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x88adb634, "__wake_up" },
	{ 0x6153760a, "synchronize_srcu" },
	{ 0x48152470, "kmem_cache_create" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x84f6611, "serdev_device_set_parity" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa9351ed3, "wake_up_process" },
	{ 0xeab0566c, "trace_event_buffer_commit" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:MSHW0084:*");

MODULE_INFO(srcversion, "F87072E29258F0E4F34B3AC");

MODULE_INFO(suserelease, "ALP-0.1");
