#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2d393f48, "intel_soc_pmic_exec_mipi_pmic_seq_element" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4176b007, "serdev_device_add" },
	{ 0x92997ed8, "_printk" },
	{ 0xd09911a6, "acpi_dev_get_irq_type" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x405be82d, "put_device" },
	{ 0xbc477a2, "irq_set_irq_type" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x24b99ad8, "pinctrl_put" },
	{ 0xcbe3ee2, "software_node_unregister" },
	{ 0xfddeb056, "efi" },
	{ 0x4f791397, "_dev_err" },
	{ 0xdcecbea7, "i2c_unregister_device" },
	{ 0x8839a8a4, "bus_find_device" },
	{ 0xf04b0f31, "spi_bus_type" },
	{ 0x7ed9b17a, "platform_device_unregister" },
	{ 0xfc37a9ce, "irq_get_irq_data" },
	{ 0xb48f0638, "software_node_register" },
	{ 0x77675284, "i2c_new_client_device" },
	{ 0x67f32871, "pinctrl_get" },
	{ 0x97e3fb4, "acpi_get_first_physical_node" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc0ef297, "serdev_device_alloc" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x54319b35, "gpiochip_get_desc" },
	{ 0x7b937ce8, "pinctrl_lookup_state" },
	{ 0xde31bf7e, "unregister_sys_off_handler" },
	{ 0x38aa1397, "gpiod_add_lookup_table" },
	{ 0xbea9c6db, "platform_device_register_full" },
	{ 0xd0535ad0, "desc_to_gpio" },
	{ 0xfc681933, "acpi_fetch_acpi_dev" },
	{ 0x70883dec, "irq_create_mapping_affinity" },
	{ 0xa0cd89c7, "device_match_name" },
	{ 0xff81487d, "gpiod_remove_lookup_table" },
	{ 0x4a5587f, "acpi_gpiochip_free_interrupts" },
	{ 0x229c9cb3, "pinctrl_select_state" },
	{ 0xf9a52c6b, "acpi_register_gsi" },
	{ 0xa7ac68f2, "dev_err_probe" },
	{ 0x7b5452b8, "acpi_unregister_gsi" },
	{ 0xa68cde60, "set_primary_fwnode" },
	{ 0xa07e5554, "device_find_child_by_name" },
	{ 0xfd77e268, "register_sys_off_handler" },
	{ 0xb4577003, "acpi_dev_present" },
	{ 0xd383961c, "i2c_acpi_find_adapter_by_handle" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xba6dec6a, "serdev_device_remove" },
	{ 0x7b49e4a5, "acpi_dev_get_first_match_dev" },
	{ 0x94d18bb9, "gpiod_get_value_cansleep" },
	{ 0xf741e0ab, "irq_find_matching_fwspec" },
	{ 0x82226c53, "pinctrl_unregister_mappings" },
	{ 0xb3a91279, "gpiod_set_value" },
	{ 0x2e03b08e, "gpiochip_find" },
	{ 0x7ad1ded1, "pinctrl_register_mappings" },
	{ 0x1636369, "gpiod_to_irq" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("dmi*:svn*Insyde*:pn*VESPA2*:");
MODULE_ALIAS("dmi*:svn*Advantech*:pn*MICA-071*:");
MODULE_ALIAS("dmi*:svn*ASUSTeKCOMPUTERINC.*:pn*ME176C*:");
MODULE_ALIAS("dmi*:svn*ASUSTeKCOMPUTERINC.*:pn*TF103C*:");
MODULE_ALIAS("dmi*:svn*ilife*:pn*S806*:rvn*Hampoo*:rn*BYT-PA03C*:");
MODULE_ALIAS("dmi*:svn*CZC*:pn*ODEON*TPC-10*:");
MODULE_ALIAS("dmi*:svn*ViewSonic*:pn*VPAD10*:");
MODULE_ALIAS("dmi*:svn*IntelCorporation*:pn*CHERRYVIEWD1PLATFORM*:pvr*YETI-11*:");
MODULE_ALIAS("dmi*:pn*LenovoYB1-X91*:");
MODULE_ALIAS("dmi*:bvr*BLADE_21*:svn*IntelCorp.*:pn*VALLEYVIEWC0PLATFORM*:rn*BYT-TFFD8*:");
MODULE_ALIAS("dmi*:svn*IntelCorporation*:pvr*Blade3-10A-001*:");
MODULE_ALIAS("dmi*:bd*10/22/2015*:rvn*AMICorporation*:rn*AptioCRB*:");
MODULE_ALIAS("dmi*:svn*Insyde*:pn*M890BAP*:");
MODULE_ALIAS("dmi*:svn*PEAQ*:pn*PEAQPMMC1010MD99187*:");
MODULE_ALIAS("dmi*:bvr*ZY-8-BI-PX4S70VTR400-X423B-005-D*:rvn*AMICorporation*:rn*AptioCRB*:");
MODULE_ALIAS("dmi*:svn*XiaomiInc*:pn*Mipad2*:");

MODULE_INFO(srcversion, "38DD99ACB1C7B3A3A5724B9");

MODULE_INFO(suserelease, "ALP-0.1");
