#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(sdw_intel_cnl_hw_ops, 0xb83f1462, "");
SYMBOL_CRC(sdw_intel_lnl_hw_ops, 0x2bc7e0a4, "");
SYMBOL_CRC(sdw_intel_thread, 0xaa52eba1, "");
SYMBOL_CRC(sdw_intel_probe, 0x35f696ef, "");
SYMBOL_CRC(sdw_intel_startup, 0xa22f6ef1, "");
SYMBOL_CRC(sdw_intel_exit, 0x972bd33f, "");
SYMBOL_CRC(sdw_intel_process_wakeen_event, 0xb46b0981, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf19a7bc1, "simple_attr_release" },
	{ 0xf941a812, "__auxiliary_device_add" },
	{ 0x7cff12db, "sdw_cdns_alloc_pdi" },
	{ 0x9f354aa8, "sdw_cdns_clock_stop" },
	{ 0x85be5476, "hdac_bus_eml_sdw_power_up_unlocked" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0x9f97686f, "cdns_xfer_msg_defer" },
	{ 0xef3c511, "cdns_xfer_msg" },
	{ 0x2a795e6d, "device_del" },
	{ 0x8d4b4265, "hdac_bus_eml_sdw_check_cmdsync_unlocked" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6a7b0bc1, "devm_kasprintf" },
	{ 0x45b9f48d, "hdac_bus_eml_sdw_sync_arm_unlocked" },
	{ 0x77efd3d2, "seq_read" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0x73a0cafa, "sdw_stream_add_master" },
	{ 0x1c9957f, "__pm_runtime_resume" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x570bb357, "cdns_read_ping_status" },
	{ 0xfc681933, "acpi_fetch_acpi_dev" },
	{ 0xd21c15c5, "device_get_named_child_node" },
	{ 0x22b14909, "sdw_cdns_probe" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xdbc47c5e, "sdw_cdns_config_update" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0x300df60b, "sdw_bus_master_delete" },
	{ 0xe6bcac2c, "single_release" },
	{ 0xa2239d77, "__auxiliary_driver_register" },
	{ 0x54dfbef4, "sdw_cdns_check_self_clearing_bits" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0xbab879a0, "__pm_runtime_use_autosuspend" },
	{ 0x783af8f8, "hdac_bus_eml_sdw_wait_syncpu_unlocked" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x34712074, "sdw_cdns_irq" },
	{ 0xd34f2e1b, "single_open" },
	{ 0xf6faf605, "hdac_bus_eml_sdw_sync_go_unlocked" },
	{ 0xf944eed, "__pm_runtime_disable" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0x35a1be3f, "sdw_master_read_prop" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x35efc082, "sdw_compute_params" },
	{ 0x8087f62a, "__pm_runtime_idle" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xff13e906, "sdw_cdns_pdi_init" },
	{ 0xe1463ec9, "simple_attr_open" },
	{ 0xe62223a6, "debugfs_attr_write" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x936bf003, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x70b5917b, "sdw_cdns_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbdd16c07, "sdw_cdns_clock_restart" },
	{ 0x8bf62cd1, "sdw_cdns_debugfs_init" },
	{ 0x9699c5f8, "hdac_bus_eml_sdw_set_syncprd_unlocked" },
	{ 0x4c4f91e6, "pm_runtime_set_autosuspend_delay" },
	{ 0x7acbd68c, "sdw_bus_master_add" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x7be7b305, "sdw_cdns_enable_interrupt" },
	{ 0x96848186, "scnprintf" },
	{ 0x71e9b714, "hdac_bus_eml_sdw_power_down_unlocked" },
	{ 0x37a0cba, "kfree" },
	{ 0xbc818eb2, "sdw_cdns_is_clock_stop" },
	{ 0xca100241, "seq_lseek" },
	{ 0x324dd2aa, "sdw_cdns_config_update_set_wait" },
	{ 0x97ea5c20, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf4253897, "sdw_cdns_config_stream" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9cdef016, "__pm_runtime_set_status" },
	{ 0x7c2aab2f, "auxiliary_driver_unregister" },
	{ 0x26b47547, "devm_snd_soc_register_component" },
	{ 0x66f0b022, "cdns_bus_conf" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x405be82d, "put_device" },
	{ 0xfe0c99ba, "cdns_set_sdw_stream" },
	{ 0x7a073097, "pm_runtime_enable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa2ae1a25, "fwnode_property_read_u32_array" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0x81334121, "sdw_clear_slave_status" },
	{ 0x73ecfc43, "debugfs_attr_read" },
	{ 0x46a24b1d, "sdw_stream_remove_master" },
	{ 0xe4ee6386, "hdac_bus_eml_sdw_set_lsdiid" },
	{ 0x31607d5b, "sdw_cdns_exit_reset" },
	{ 0x4f791397, "_dev_err" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "soundwire-cadence,snd-sof-intel-hda-mlink,soundwire-bus,soundwire-generic-allocation,snd-pcm,snd-soc-core");

MODULE_ALIAS("auxiliary:soundwire_intel.link");

MODULE_INFO(srcversion, "728C65849BB4A5CAB7B251D");

MODULE_INFO(suserelease, "ALP-0.1");
