#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ehci_handshake, 0xe5a974b1, "_gpl");
SYMBOL_CRC(ehci_reset, 0x77f44a47, "_gpl");
SYMBOL_CRC(ehci_adjust_port_wakeup_flags, 0x4bb242bd, "_gpl");
SYMBOL_CRC(ehci_hub_control, 0x5132c67b, "_gpl");
SYMBOL_CRC(ehci_setup, 0xb98ea727, "_gpl");
SYMBOL_CRC(ehci_suspend, 0x329664d1, "_gpl");
SYMBOL_CRC(ehci_resume, 0x529b93d5, "_gpl");
SYMBOL_CRC(ehci_init_driver, 0x34a9082d, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x56470118, "__warn_printk" },
	{ 0x4c134f95, "usb_hcd_check_unlink_urb" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x10ecc52c, "usb_amd_quirk_pll_enable" },
	{ 0xb8b74c9d, "usb_hc_died" },
	{ 0xb4cccb0f, "usb_hcd_poll_rh_status" },
	{ 0x233a8598, "default_llseek" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x96848186, "scnprintf" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x49eaebb6, "usb_hub_clear_tt_buffer" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xc70b6c28, "usb_hcd_unlink_urb_from_ep" },
	{ 0xa1f298d8, "usb_hcd_giveback_urb" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x999e8297, "vfree" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xc17515d7, "usb_hcds_loaded" },
	{ 0x92997ed8, "_printk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x409c0aac, "usb_debug_root" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0xaacddff2, "__platform_register_drivers" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0xa3fa2939, "platform_unregister_drivers" },
	{ 0x385a27cb, "usb_hcd_resume_root_hub" },
	{ 0x1db20433, "pci_bus_type" },
	{ 0x4d5d5849, "pci_read_config_dword" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x25b48ddd, "hrtimer_start_range_ns" },
	{ 0x754d539c, "strlen" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x7e64181d, "usb_calc_bus_time" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xb5660760, "hrtimer_cancel" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xdf1882af, "dbgp_reset_prep" },
	{ 0x6527a231, "dbgp_external_startup" },
	{ 0x4d0ff695, "hrtimer_init" },
	{ 0x87e9f095, "dma_pool_create" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc9a6afd7, "ehci_cf_port_reset_rwsem" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0x6d4ce75, "up_write" },
	{ 0x4f791397, "_dev_err" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0xd4d5abb2, "device_create_file" },
	{ 0x663d8356, "usb_root_hub_lost_power" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xc417c063, "device_remove_file" },
	{ 0xb9b9df41, "usb_amd_dev_put" },
	{ 0x6af00246, "usb_hcd_start_port_resume" },
	{ 0xc42da307, "usb_hcd_end_port_resume" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5bfd3146, "usb_for_each_dev" },
	{ 0x1528de56, "usb_hcd_link_urb_to_ep" },
	{ 0xdc825d6c, "usb_amd_quirk_pll_disable" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "1121C33D8F872F51DD10120");

MODULE_INFO(suserelease, "ALP-0.1");
