#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(tcpm_pd_transmit_complete, 0x3b84657b, "_gpl");
SYMBOL_CRC(tcpm_pd_receive, 0xb655342c, "_gpl");
SYMBOL_CRC(tcpm_cc_change, 0xc37b9769, "_gpl");
SYMBOL_CRC(tcpm_vbus_change, 0xceb50012, "_gpl");
SYMBOL_CRC(tcpm_pd_hard_reset, 0x9e0bd753, "_gpl");
SYMBOL_CRC(tcpm_sink_frs, 0x10ec6d2d, "_gpl");
SYMBOL_CRC(tcpm_sourcing_vbus, 0xeb779665, "_gpl");
SYMBOL_CRC(tcpm_port_clean, 0xd680581d, "_gpl");
SYMBOL_CRC(tcpm_port_is_toggling, 0xda86a83d, "_gpl");
SYMBOL_CRC(tcpm_port_error_recovery, 0x8512bd2a, "_gpl");
SYMBOL_CRC(tcpm_tcpc_reset, 0xea220941, "_gpl");
SYMBOL_CRC(tcpm_register_port, 0x4341e968, "_gpl");
SYMBOL_CRC(tcpm_unregister_port, 0x76eeda4b, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbc0cc371, "typec_unregister_partner" },
	{ 0xc880a036, "kthread_destroy_worker" },
	{ 0xad84aea2, "typec_unregister_port" },
	{ 0xc9fd634a, "usb_role_switch_put" },
	{ 0x37a0cba, "kfree" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe37d4bd4, "typec_port_set_usb_power_delivery" },
	{ 0xbc2941ce, "typec_match_altmode" },
	{ 0xbe8a07a3, "typec_altmode_vdm" },
	{ 0xbcc4cba9, "usb_power_delivery_register_capabilities" },
	{ 0x1677153e, "typec_partner_set_identity" },
	{ 0xe144da24, "usb_power_delivery_register" },
	{ 0x1c3a5522, "typec_altmode_attention" },
	{ 0x7b09aa33, "typec_altmode_notify" },
	{ 0xa0a7511f, "typec_partner_register_altmode" },
	{ 0x17a7125b, "typec_partner_set_svdm_version" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0xf46f60d3, "kthread_create_worker" },
	{ 0xd8ef2a96, "sched_set_fifo" },
	{ 0x4d0ff695, "hrtimer_init" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x3c8f9d0e, "fw_devlink_purge_absent_suppliers" },
	{ 0xb685b54e, "typec_get_fw_cap" },
	{ 0x4d0c9e3e, "fwnode_property_present" },
	{ 0xbb936236, "fwnode_get_named_child_node" },
	{ 0xb5592636, "fwnode_get_next_child_node" },
	{ 0xa2ae1a25, "fwnode_property_read_u32_array" },
	{ 0x5bb1b1d5, "fwnode_handle_put" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xa76a8c73, "fwnode_property_read_string" },
	{ 0xf1234a8b, "typec_find_pwr_opmode" },
	{ 0xbba52806, "usb_role_switch_get" },
	{ 0x754d539c, "strlen" },
	{ 0x4942c33e, "__dev_fwnode" },
	{ 0xba9b4b2d, "devm_power_supply_register" },
	{ 0x3c8ca346, "fwnode_usb_role_switch_get" },
	{ 0x386b122f, "typec_register_port" },
	{ 0x1a1d32ef, "typec_port_register_altmodes" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x42bc40d1, "typec_set_pwr_opmode" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xca100241, "seq_lseek" },
	{ 0x77efd3d2, "seq_read" },
	{ 0xe6bcac2c, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xf00c57ae, "kthread_queue_work" },
	{ 0x86959a06, "typec_unregister_altmode" },
	{ 0xa2ba96c7, "typec_get_drvdata" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9673cff0, "typec_register_partner" },
	{ 0xf340a37b, "typec_partner_set_usb_power_delivery" },
	{ 0x4f791397, "_dev_err" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x409c0aac, "usb_debug_root" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xd34f2e1b, "single_open" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xdac4322a, "usb_power_delivery_unregister_capabilities" },
	{ 0xd0fe6c1, "devm_kfree" },
	{ 0x6d32fe08, "usb_power_delivery_unregister" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x148653, "vsnprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x5bd34205, "power_supply_get_drvdata" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb5660760, "hrtimer_cancel" },
	{ 0x25b48ddd, "hrtimer_start_range_ns" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc7d1ea9e, "typec_get_negotiated_svdm_version" },
	{ 0xa6257a2f, "complete" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc27ea51d, "typec_set_orientation" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0x4b653333, "typec_set_mode" },
	{ 0x243a57d2, "typec_set_data_role" },
	{ 0x4004beb6, "typec_set_pwr_role" },
	{ 0x4a86b00, "typec_set_vconn_role" },
	{ 0x667f75b6, "power_supply_changed" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "typec,roles");


MODULE_INFO(srcversion, "2F27A66A7D63ABD5666B48C");

MODULE_INFO(suserelease, "ALP-0.1");
