#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb659e302, "target_undepend_item" },
	{ 0x17f3f022, "target_remove_session" },
	{ 0x55b30e9f, "noop_llseek" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x2cc3d1ca, "vhost_get_vq_desc" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x334da4e, "scsi_command_size_tbl" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x64963cc3, "copy_page_to_iter" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf62e707e, "vhost_dev_ioctl" },
	{ 0x349aef19, "vhost_signal" },
	{ 0xd0d2a74, "misc_register" },
	{ 0xbaab6c53, "vhost_disable_notify" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xc22e15ac, "vhost_enable_notify" },
	{ 0x68a12ab8, "rep_movs_alternative" },
	{ 0xf1d5a33a, "copy_page_from_iter" },
	{ 0xe1f9ea61, "vhost_log_access_ok" },
	{ 0x5c3532cd, "target_init_cmd" },
	{ 0xc31abb4c, "vhost_dev_cleanup" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xf6830edd, "vhost_worker_ioctl" },
	{ 0xd4dfd739, "alloc_pages" },
	{ 0xde453ece, "dup_iter" },
	{ 0x53813557, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x79395b2a, "core_tpg_deregister" },
	{ 0x6627310f, "target_queue_submission" },
	{ 0x4d8ff6f9, "vhost_vq_is_setup" },
	{ 0x9771ccd9, "_copy_from_iter" },
	{ 0x33d39280, "target_register_template" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x596a6187, "transport_generic_free_cmd" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x58c2894, "core_tpg_register" },
	{ 0x754d539c, "strlen" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0x583f87b9, "target_put_sess_cmd" },
	{ 0x790a1c96, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x403eac60, "sbitmap_get" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xe38d61c2, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x126d3a7d, "vhost_add_used" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x150762a1, "_copy_to_iter" },
	{ 0x6f2adb4b, "misc_deregister" },
	{ 0xdad0451d, "target_depend_item" },
	{ 0xf7d79ace, "vhost_vring_ioctl" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xaa716cea, "vhost_dev_flush" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x2586fa57, "target_execute_cmd" },
	{ 0x264550a4, "vhost_vq_access_ok" },
	{ 0x939db2a7, "vhost_dev_stop" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x75995000, "target_submit_tmr" },
	{ 0x584fb50c, "iov_iter_advance" },
	{ 0x378fb1c5, "vhost_dev_init" },
	{ 0xba19b7d, "vhost_vq_flush" },
	{ 0x4f8d4d2f, "iov_iter_get_pages2" },
	{ 0x93766ed9, "target_submit_prep" },
	{ 0x1cff8eab, "sbitmap_init_node" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0x4745ccc3, "iov_iter_init" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc478577e, "vhost_vq_init_access" },
	{ 0xa909cfc5, "vhost_work_init" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x8e7cebbb, "vhost_vq_work_queue" },
	{ 0xef47bfb2, "vhost_exceeds_weight" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x36f9990e, "target_unregister_template" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x5417537b, "__free_pages" },
	{ 0x36d8de07, "target_setup_session" },
	{ 0xa034d40f, "vhost_add_used_and_signal" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x78b88458, "compat_ptr_ioctl" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "target_core_mod,vhost,scsi_mod");


MODULE_INFO(srcversion, "F3FE75360ED0CBE538802F4");

MODULE_INFO(suserelease, "ALP-0.1");
