#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4880b0d4, "km_state_notify" },
	{ 0x98f0a052, "ns_capable" },
	{ 0xa72d34e6, "sk_alloc" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x5ce15b2a, "sock_init_data" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x81e6ec5a, "proc_create_net_data" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9771ccd9, "_copy_from_iter" },
	{ 0x790a1c96, "iov_iter_revert" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xaab23340, "xfrm_calg_get_byname" },
	{ 0xd6f50cf7, "xfrm_ealg_get_byname" },
	{ 0xbd7bf3bd, "skb_queue_purge_reason" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x66852c83, "rt_write_lock" },
	{ 0x448d0691, "rt_write_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x3f0bae12, "sk_free" },
	{ 0xf3ba34e4, "xfrm_policy_byid" },
	{ 0x8d1c65e6, "xfrm_audit_policy_delete" },
	{ 0x8304ff0, "xfrm_policy_destroy" },
	{ 0x1b920e8c, "xfrm_policy_alloc" },
	{ 0xc65304b3, "security_xfrm_policy_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xc599a772, "security_xfrm_state_delete" },
	{ 0xee210f84, "xfrm_state_delete" },
	{ 0xa48c0d0e, "xfrm_audit_state_delete" },
	{ 0xf62a0a14, "__xfrm_state_destroy" },
	{ 0x4f99bb89, "xfrm_policy_bysel_ctx" },
	{ 0xa9c63b69, "security_xfrm_policy_free" },
	{ 0x624dc457, "xfrm_migrate" },
	{ 0x5e28903a, "xfrm_state_alloc" },
	{ 0x27866435, "security_xfrm_state_alloc" },
	{ 0xc80741, "xfrm_ealg_get_byid" },
	{ 0x754d539c, "strlen" },
	{ 0x7405161d, "xfrm_init_state" },
	{ 0x9da577b6, "xfrm_state_update" },
	{ 0x242280aa, "xfrm_audit_state_add" },
	{ 0x18ec2f29, "xfrm_state_add" },
	{ 0x5c699441, "xfrm_aalg_get_byid" },
	{ 0x72395dc1, "xfrm_calg_get_byid" },
	{ 0x681cf83b, "xfrm_policy_insert" },
	{ 0xa3ee4b17, "xfrm_audit_policy_add" },
	{ 0xbf6fa7b6, "xfrm_find_acq_byseq" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x46e3e4fa, "init_net" },
	{ 0x37e497e8, "verify_spi_info" },
	{ 0x47d2ae98, "xfrm_alloc_spi" },
	{ 0xe676daaa, "xfrm_find_acq" },
	{ 0x1b36cd96, "sock_no_bind" },
	{ 0x54dd28ae, "sock_no_connect" },
	{ 0x6014eb7e, "sock_no_socketpair" },
	{ 0xbfd4e5, "sock_no_accept" },
	{ 0xe5149324, "sock_no_getname" },
	{ 0x61e40f14, "datagram_poll" },
	{ 0xfb6ba863, "sock_no_ioctl" },
	{ 0x7a8536e7, "sock_no_listen" },
	{ 0x96f04426, "sock_no_shutdown" },
	{ 0x87602df9, "sock_no_mmap" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc02365d, "proto_register" },
	{ 0xe67a3778, "register_pernet_subsys" },
	{ 0x1e89b4f, "sock_register" },
	{ 0xe49b0c91, "unregister_pernet_subsys" },
	{ 0xb57138a0, "xfrm_register_km" },
	{ 0xf1b11fba, "proto_unregister" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1a1ff557, "skb_clone" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x75a924fa, "sock_rfree" },
	{ 0xeafd96d1, "skb_queue_tail" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0xabe460aa, "skb_put" },
	{ 0xfb578fc5, "memset" },
	{ 0x69acdf38, "memcpy" },
	{ 0x92997ed8, "_printk" },
	{ 0x4002ac1b, "xfrm_policy_walk" },
	{ 0x4bc755c7, "xfrm_policy_walk_done" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x5eb8ebbf, "skb_recv_datagram" },
	{ 0x9aa3da77, "skb_copy_datagram_iter" },
	{ 0x63a78f59, "skb_free_datagram" },
	{ 0xd3937d73, "__sock_recv_cmsgs" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc9df055a, "xfrm_policy_walk_init" },
	{ 0xf0b228a7, "skb_copy" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x2782b393, "xfrm_state_walk_init" },
	{ 0x37c7e3bc, "xfrm_state_walk_done" },
	{ 0x290a2f6a, "xfrm_state_walk" },
	{ 0x3813213e, "xfrm_state_lookup" },
	{ 0xcf4a2ba, "remove_proc_entry" },
	{ 0x40467491, "sock_i_ino" },
	{ 0x6ea83153, "sock_i_uid" },
	{ 0xe0a018d2, "from_kuid_munged" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0x1e9edfb7, "seq_hlist_start_head_rcu" },
	{ 0x16578e0e, "xfrm_unregister_km" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x28e23139, "xfrm_probe_algs" },
	{ 0xa575945, "xfrm_count_pfkey_auth_supported" },
	{ 0x7a8ca627, "xfrm_count_pfkey_enc_supported" },
	{ 0xb73be794, "xfrm_ealg_get_byidx" },
	{ 0xc6b1fdbe, "xfrm_aalg_get_byidx" },
	{ 0x7c11e5a2, "xfrm_policy_flush" },
	{ 0x4197d453, "km_policy_notify" },
	{ 0x83bee71b, "xfrm_state_flush" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "8B888226928ABE2D622F1D8");

MODULE_INFO(suserelease, "ALP-0.1");
