#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0xd5c07054, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0xa6475241, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0x72c8bbcf, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0xe964115d, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0xeb6eb624, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0xe5960c3e, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0xe122476d, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0xaf213a54, "");
SYMBOL_CRC(ip_vs_conn_put, 0xa6038b3b, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0xf0fcb6e6, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x17cb8b64, "");
SYMBOL_CRC(register_ip_vs_app, 0xb02b662f, "");
SYMBOL_CRC(unregister_ip_vs_app, 0xd90b46b6, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0xc0aa27ac, "");
SYMBOL_CRC(ip_vs_proto_get, 0x578bbbcb, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0xc41f3f70, "");
SYMBOL_CRC(register_ip_vs_pe, 0xfe6267e7, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0xd0a1c50b, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0xd1cc41db, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc4273d93, "nf_conntrack_alter_reply" },
	{ 0xcd658849, "ip_route_me_harder" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x29157a8e, "skb_push" },
	{ 0xd3625834, "kmem_cache_free" },
	{ 0x2e76e536, "set_cpus_allowed_ptr" },
	{ 0xb375927f, "seq_putc" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xf5fb2d02, "proc_doulongvec_minmax" },
	{ 0xce6c17b, "nf_ct_expect_alloc" },
	{ 0x3fef0ed0, "skb_ensure_writable" },
	{ 0x5588641b, "iov_iter_kvec" },
	{ 0x2f437ec8, "ip_mc_join_group" },
	{ 0xa8f90c0a, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x98f0a052, "ns_capable" },
	{ 0x3cfe3f4b, "nf_unregister_net_hooks" },
	{ 0xbf1bb947, "inet_select_addr" },
	{ 0x196d73ed, "unregister_pernet_device" },
	{ 0x4d18cec7, "lock_sock_nested" },
	{ 0xb2556df7, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x442dbc79, "kthread_stop" },
	{ 0x5716394c, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe49b0c91, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb4ba5255, "skb_checksum" },
	{ 0xfb578fc5, "memset" },
	{ 0x7fde982, "ip_defrag" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x9c6686ac, "__pskb_pull_tail" },
	{ 0x9a1721d4, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0x617817dd, "nf_hook_slow" },
	{ 0xbc8c87f5, "mutex_trylock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf763bd8a, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0x5e2e370d, "nf_ct_deliver_cached_events" },
	{ 0x2a223e74, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5cd2b1bc, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x16cf4a0f, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa79a9c13, "ipv4_mtu" },
	{ 0x855f7a65, "skb_set_owner_w" },
	{ 0xfc6fff90, "__skb_checksum" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xf5becf39, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa427b25e, "init_user_ns" },
	{ 0x13122d93, "nf_ct_expect_init" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcf4a2ba, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xea8aa77b, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x42179c30, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x899d157, "ipv4_update_pmtu" },
	{ 0x711b7ed3, "nf_defrag_ipv6_enable" },
	{ 0x2ab5e5f7, "dst_release" },
	{ 0x488ffe9c, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6f92dc52, "proc_dointvec" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x4ec53d3c, "unregister_net_sysctl_table" },
	{ 0x339d8406, "ip_local_out" },
	{ 0x76c53ac8, "genl_unregister_family" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x3e13f382, "udp6_set_csum" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x321eef85, "genl_register_family" },
	{ 0xd05eb87e, "kernel_sendmsg" },
	{ 0x18cc18da, "nf_ct_netns_put" },
	{ 0x1b8c4804, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9400e308, "kmem_cache_destroy" },
	{ 0xa954e45b, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x48529e81, "proc_dointvec_minmax" },
	{ 0xb797e0e1, "nf_ct_ext_add" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0xe5ec1e86, "nf_conntrack_find_get" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xd57eadb2, "try_module_get" },
	{ 0xeffcf8bb, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xcdfa5bd8, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x91bb8bfc, "icmp6_send" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xe08a7fdf, "skb_copy_bits" },
	{ 0x23a105ec, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x49d2bda, "proc_dointvec_jiffies" },
	{ 0x8b521511, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xae9852a0, "housekeeping_cpumask" },
	{ 0x70421f21, "consume_skb" },
	{ 0x639197ea, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0xba5d3d3e, "ip_output" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xfc4f821c, "nf_register_sockopt" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xcac537c5, "nf_ct_netns_get" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x91d60580, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x30315466, "set_user_nice" },
	{ 0x18ed187f, "genlmsg_put" },
	{ 0xaa513c0d, "udp_set_csum" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x4ea3026d, "ip6_output" },
	{ 0x3f64c1c3, "ip6_route_me_harder" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x97c0e82b, "__module_get" },
	{ 0x805e75f9, "ip_route_output_flow" },
	{ 0x48152470, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x384d7967, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0x17e66e7b, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x81e6ec5a, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x880d3b63, "pskb_expand_head" },
	{ 0xe67a3778, "register_pernet_subsys" },
	{ 0xa9351ed3, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x6fa44909, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x11e2f707, "nf_register_net_hooks" },
	{ 0x322e178b, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4a53bd5a, "kmem_cache_alloc" },
	{ 0xb9ceab90, "ipv6_sock_mc_join" },
	{ 0xc40a13ae, "module_put" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0xc46dfc5b, "ipv6_dev_get_saddr" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1fadece0, "__skb_get_hash" },
	{ 0x46e3e4fa, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfa2e996c, "ip6_mtu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xb972c7a9, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xba53d057, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c,nf_defrag_ipv6");


MODULE_INFO(srcversion, "AA98B918764D5FD87409C23");

MODULE_INFO(suserelease, "ALP-0.1");
