#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(flow_offload_alloc, 0xfc493c9c, "_gpl");
SYMBOL_CRC(flow_offload_route_init_1224415, 0xfa573c44, "_gpl");
SYMBOL_CRC(flow_offload_route_init, 0xf42ea36c, "_gpl");
SYMBOL_CRC(flow_offload_free, 0xb932206a, "_gpl");
SYMBOL_CRC(flow_offload_add, 0xe8fa9354, "_gpl");
SYMBOL_CRC(flow_offload_refresh, 0xa328a032, "_gpl");
SYMBOL_CRC(flow_offload_teardown, 0xa5759471, "_gpl");
SYMBOL_CRC(flow_offload_lookup, 0x3f4defa6, "_gpl");
SYMBOL_CRC(nf_flow_snat_port, 0x99ca7d2f, "_gpl");
SYMBOL_CRC(nf_flow_dnat_port, 0xd3a52434, "_gpl");
SYMBOL_CRC(nf_flow_table_init, 0xc8d8433c, "_gpl");
SYMBOL_CRC(nf_flow_table_cleanup, 0x02aad104, "_gpl");
SYMBOL_CRC(nf_flow_table_free, 0xb9d69ec3, "_gpl");
SYMBOL_CRC(nf_flow_offload_ip_hook, 0x4f728a2c, "_gpl");
SYMBOL_CRC(nf_flow_offload_ipv6_hook, 0xeeda5061, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv4, 0x749bc7f5, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv6, 0x02ad3d7e, "_gpl");
SYMBOL_CRC(nf_flow_table_offload_setup, 0x3001b487, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0x6d4ce75, "up_write" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa30b1e92, "dev_get_by_index" },
	{ 0xf38d72a4, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xa978fe40, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd4831f32, "flow_indr_dev_setup_offload" },
	{ 0xc24fffe5, "rhashtable_walk_stop" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xe49b0c91, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x49cd74dd, "rht_bucket_nested_insert" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9c6686ac, "__pskb_pull_tail" },
	{ 0xedc6f85c, "rhashtable_destroy" },
	{ 0xeffc7b5d, "down_read" },
	{ 0x359d4242, "inet_proto_csum_replace16" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4de0e743, "pv_ops" },
	{ 0x285a52bd, "rhashtable_insert_slow" },
	{ 0x3a188989, "rt_read_lock" },
	{ 0x2e3a69d4, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x904152c5, "neigh_destroy" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd1af6293, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x18dee5e1, "rt_read_unlock" },
	{ 0xcf4a2ba, "remove_proc_entry" },
	{ 0xdd503089, "nf_ct_acct_add" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2ab5e5f7, "dst_release" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0xcb4c157e, "rhashtable_walk_next" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x9ef5c7f9, "ipv4_dst_check" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x52ce608c, "up_read" },
	{ 0xee9d7ecc, "rhashtable_walk_exit" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x37895da2, "flow_rule_alloc" },
	{ 0xb24781ce, "ip6_dst_check" },
	{ 0x2b9a659, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x1939ac72, "skb_gso_validate_network_len" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba5d3d3e, "ip_output" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe1ac4dc, "neigh_xmit" },
	{ 0xa2f80b12, "flow_block_cb_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x4ea3026d, "ip6_output" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x78f3b32d, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x8ea900d8, "rhashtable_walk_enter" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x81e6ec5a, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x880d3b63, "pskb_expand_head" },
	{ 0xe67a3778, "register_pernet_subsys" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "461B60297C57CC21116898F");

MODULE_INFO(suserelease, "ALP-0.1");
