#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nft_do_chain, 0x1589ba8b, "_gpl");
SYMBOL_CRC(nft_reg_track_update, 0xf0909c5f, "_gpl");
SYMBOL_CRC(nft_reg_track_cancel, 0xcd5e9d64, "_gpl");
SYMBOL_CRC(__nft_reg_track_cancel, 0x0bf0a4b4, "_gpl");
SYMBOL_CRC(nft_request_module, 0x3ac959cb, "_gpl");
SYMBOL_CRC(nft_register_chain_type, 0xaedeae40, "_gpl");
SYMBOL_CRC(nft_unregister_chain_type, 0x1e23fb80, "_gpl");
SYMBOL_CRC(nft_register_expr, 0xefb36ff9, "_gpl");
SYMBOL_CRC(nft_unregister_expr, 0x828dc9d8, "_gpl");
SYMBOL_CRC(nft_chain_validate, 0x82ff17b2, "_gpl");
SYMBOL_CRC(nft_set_lookup_global, 0x9b174288, "_gpl");
SYMBOL_CRC(nf_tables_bind_set, 0xa9964c33, "_gpl");
SYMBOL_CRC(nf_tables_activate_set, 0x4d3bc6e9, "_gpl");
SYMBOL_CRC(nf_tables_deactivate_set, 0xaadf0c61, "_gpl");
SYMBOL_CRC(nf_tables_destroy_set, 0x50bdf7b2, "_gpl");
SYMBOL_CRC(nft_set_elem_destroy, 0x777bf229, "_gpl");
SYMBOL_CRC(nft_set_catchall_lookup, 0x0af9ceaa, "_gpl");
SYMBOL_CRC(nft_set_catchall_gc, 0x0694a412, "_gpl");
SYMBOL_CRC(nft_register_obj, 0x98e0ecea, "_gpl");
SYMBOL_CRC(nft_unregister_obj, 0x6b5f8aa6, "_gpl");
SYMBOL_CRC(nft_obj_lookup, 0x3925692a, "_gpl");
SYMBOL_CRC(nft_obj_notify, 0xc220438d, "_gpl");
SYMBOL_CRC(nft_register_flowtable_type, 0x8a761c2f, "_gpl");
SYMBOL_CRC(nft_unregister_flowtable_type, 0x14493263, "_gpl");
SYMBOL_CRC(nft_flowtable_lookup, 0xe767b99b, "_gpl");
SYMBOL_CRC(nf_tables_deactivate_flowtable, 0x6794aab0, "_gpl");
SYMBOL_CRC(nf_tables_trans_destroy_flush_work, 0x3251d762, "_gpl");
SYMBOL_CRC(nft_chain_validate_dependency, 0x1678bf3f, "_gpl");
SYMBOL_CRC(nft_chain_validate_hooks, 0xa0c36254, "_gpl");
SYMBOL_CRC(nft_parse_u32_check, 0xde57b5f5, "_gpl");
SYMBOL_CRC(nft_dump_register, 0x0b883399, "_gpl");
SYMBOL_CRC(nft_parse_register_load, 0xe2b8cc13, "_gpl");
SYMBOL_CRC(nft_parse_register_store, 0x5b6d84b4, "_gpl");
SYMBOL_CRC(nft_data_init, 0xbcadd84e, "_gpl");
SYMBOL_CRC(nft_data_release, 0x2c944453, "_gpl");
SYMBOL_CRC(nft_data_dump, 0xe4f6fb71, "_gpl");
SYMBOL_CRC(__nft_release_basechain, 0xa8a0329f, "_gpl");
SYMBOL_CRC(nft_trace_enabled, 0x41b71e65, "_gpl");
SYMBOL_CRC(nft_expr_reduce_bitwise, 0xd81b2ecb, "_gpl");
SYMBOL_CRC(nft_set_do_lookup, 0x9581f30a, "_gpl");
SYMBOL_CRC(nft_meta_get_eval, 0xa9a42af0, "_gpl");
SYMBOL_CRC(nft_meta_set_eval, 0xfffd4061, "_gpl");
SYMBOL_CRC(nft_meta_policy, 0xe2c74001, "_gpl");
SYMBOL_CRC(nft_meta_get_init, 0xd95bc583, "_gpl");
SYMBOL_CRC(nft_meta_set_validate, 0x4eee802f, "_gpl");
SYMBOL_CRC(nft_meta_set_init, 0x3413190e, "_gpl");
SYMBOL_CRC(nft_meta_get_dump, 0xda1de38c, "_gpl");
SYMBOL_CRC(nft_meta_set_dump, 0x13c8f7c0, "_gpl");
SYMBOL_CRC(nft_meta_set_destroy, 0xba39b621, "_gpl");
SYMBOL_CRC(nft_meta_get_reduce, 0xdaa5f4b1, "_gpl");
SYMBOL_CRC(nft_meta_inner_eval, 0xc5f870ae, "_gpl");
SYMBOL_CRC(nft_ct_get_fast_eval, 0x763cb9d9, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x66453ad9, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0x7a53a06d, "flow_indr_dev_exists" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2c82c36a, "security_secmark_relabel_packet" },
	{ 0x509a5bc2, "nfnetlink_set_err" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x6d7c7dcc, "bitmap_cut" },
	{ 0xa2f80b12, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x82d17e8a, "nfnetlink_subsys_register" },
	{ 0x3f64c1c3, "ip6_route_me_harder" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x78f3b32d, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x97c0e82b, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0x8ea900d8, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x17e66e7b, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe67a3778, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x978aed59, "__ip_options_compile" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x8c576c89, "nf_route" },
	{ 0x4129f5ee, "kernel_fpu_begin_mask" },
	{ 0xa916b694, "strnlen" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0x38722f80, "kernel_fpu_end" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x448d0691, "rt_write_unlock" },
	{ 0xc40a13ae, "module_put" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x10b792f6, "nf_unregister_net_hook" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xedd11135, "nf_register_net_hook" },
	{ 0x1fadece0, "__skb_get_hash" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x19bd383b, "security_secmark_refcount_dec" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfa2e996c, "ip6_mtu" },
	{ 0xcd658849, "ip_route_me_harder" },
	{ 0xa902232e, "skb_store_bits" },
	{ 0xf38d72a4, "dev_get_by_index_rcu" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xdd21697c, "nfnetlink_unicast" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x3fef0ed0, "skb_ensure_writable" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xc0ff12fb, "nla_strdup" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa978fe40, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdb065657, "nfnl_unlock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd4831f32, "flow_indr_dev_setup_offload" },
	{ 0xc24fffe5, "rhashtable_walk_stop" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x838d2bc8, "siphash_3u32" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xe49b0c91, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x61cb4587, "rhashtable_free_and_destroy" },
	{ 0xb4ba5255, "skb_checksum" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x92ec510d, "jiffies64_to_msecs" },
	{ 0x49cd74dd, "rht_bucket_nested_insert" },
	{ 0xaa6a9a9c, "nfnetlink_send" },
	{ 0x7cae64d2, "__get_task_comm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9c6686ac, "__pskb_pull_tail" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xf71aeda0, "nfnetlink_subsys_unregister" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x991f1b68, "from_kgid_munged" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x4de0e743, "pv_ops" },
	{ 0xa01a78e7, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x285a52bd, "rhashtable_insert_slow" },
	{ 0x5cd2b1bc, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x3a188989, "rt_read_lock" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa79a9c13, "ipv4_mtu" },
	{ 0x2f03fc4b, "security_secmark_refcount_inc" },
	{ 0xfc6fff90, "__skb_checksum" },
	{ 0x5ce3b588, "nfnl_lock" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd1af6293, "inet_proto_csum_replace4" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x18dee5e1, "rt_read_unlock" },
	{ 0x29355d7e, "rhltable_init" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x2ab5e5f7, "dst_release" },
	{ 0x66852c83, "rt_write_lock" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0xcb4c157e, "rhashtable_walk_next" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0xe0a018d2, "from_kuid_munged" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0xf9c1f9ab, "security_secctx_to_secid" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xee9d7ecc, "rhashtable_walk_exit" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf75f4a02, "nfnetlink_has_listeners" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x3988ddef, "__do_once_done" },
	{ 0x90b5b5f2, "__netlink_dump_start" },
	{ 0x37895da2, "flow_rule_alloc" },
	{ 0xd57eadb2, "try_module_get" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x9968aacb, "__audit_log_nfcfg" },
	{ 0xe08a7fdf, "skb_copy_bits" },
	{ 0xdc468c35, "__nlmsg_put" },
	{ 0xabe460aa, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xedbaee5e, "nla_strcmp" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "nfnetlink,libcrc32c");


MODULE_INFO(srcversion, "EEC98A699D04B6A5CED7DC2");

MODULE_INFO(suserelease, "ALP-0.1");
