#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nfc_hci_result_to_errno, 0x74fe3670, "");
SYMBOL_CRC(nfc_hci_reset_pipes, 0x97797091, "");
SYMBOL_CRC(nfc_hci_reset_pipes_per_host, 0xfd3c744d, "");
SYMBOL_CRC(nfc_hci_sak_to_protocol, 0xdd231c55, "");
SYMBOL_CRC(nfc_hci_target_discovered, 0x3bf727cd, "");
SYMBOL_CRC(nfc_hci_allocate_device, 0xde65ece8, "");
SYMBOL_CRC(nfc_hci_free_device, 0x2a7ddf4f, "");
SYMBOL_CRC(nfc_hci_register_device, 0xb9a24d1d, "");
SYMBOL_CRC(nfc_hci_unregister_device, 0x79a4dff8, "");
SYMBOL_CRC(nfc_hci_set_clientdata, 0xb427e1a1, "");
SYMBOL_CRC(nfc_hci_get_clientdata, 0xf20cad5a, "");
SYMBOL_CRC(nfc_hci_driver_failure, 0x9c5b49dc, "");
SYMBOL_CRC(nfc_hci_recv_frame, 0x6ffdf5ff, "");
SYMBOL_CRC(nfc_hci_send_event, 0x8f0bb5f5, "");
SYMBOL_CRC(nfc_hci_send_cmd, 0xf61553a4, "");
SYMBOL_CRC(nfc_hci_send_cmd_async, 0xed18eccd, "");
SYMBOL_CRC(nfc_hci_set_param, 0x97edfd9f, "");
SYMBOL_CRC(nfc_hci_get_param, 0x9bf8a1a7, "");
SYMBOL_CRC(nfc_hci_disconnect_gate, 0xf8879266, "");
SYMBOL_CRC(nfc_hci_disconnect_all_gates, 0xa5ace0b6, "");
SYMBOL_CRC(nfc_hci_connect_gate, 0xb65c64d6, "");
SYMBOL_CRC(nfc_llc_start, 0xc26918ca, "");
SYMBOL_CRC(nfc_llc_stop, 0x23714c5d, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x29157a8e, "skb_push" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9b216ab1, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd1d7029c, "nfc_targets_found" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x84aac0b7, "nfc_driver_failure" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x984f6624, "nfc_register_device" },
	{ 0x36d301e3, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xabe460aa, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7a6aa5bb, "skb_dequeue" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x91d60580, "finish_wait" },
	{ 0x2cbdeb1, "nfc_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x88adb634, "__wake_up" },
	{ 0x5bc24e01, "nfc_allocate_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbd7bf3bd, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8e27843, "nfc_alloc_recv_skb" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x405be82d, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0xeafd96d1, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "nfc");


MODULE_INFO(srcversion, "0B1F174CEDB4DFA029BCDBF");

MODULE_INFO(suserelease, "ALP-0.1");
