#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nfc_fw_download_done, 0xde510388, "");
SYMBOL_CRC(nfc_dep_link_is_up, 0x21a92d99, "");
SYMBOL_CRC(nfc_find_se, 0xf2824aae, "");
SYMBOL_CRC(nfc_set_remote_general_bytes, 0xab70c2c0, "");
SYMBOL_CRC(nfc_get_local_general_bytes, 0xb390bb2b, "");
SYMBOL_CRC(nfc_tm_data_received, 0x67725fb8, "");
SYMBOL_CRC(nfc_tm_activated, 0xcaa7ade5, "");
SYMBOL_CRC(nfc_tm_deactivated, 0xc9bffaa7, "");
SYMBOL_CRC(nfc_alloc_recv_skb, 0x08e27843, "");
SYMBOL_CRC(nfc_targets_found, 0xd1d7029c, "");
SYMBOL_CRC(nfc_target_lost, 0x7acac3d7, "");
SYMBOL_CRC(nfc_driver_failure, 0x84aac0b7, "");
SYMBOL_CRC(nfc_add_se, 0x1acb92f7, "");
SYMBOL_CRC(nfc_remove_se, 0x177c614f, "");
SYMBOL_CRC(nfc_se_transaction, 0xde84344f, "");
SYMBOL_CRC(nfc_se_connectivity, 0xae288f14, "");
SYMBOL_CRC(nfc_class, 0x4256c25b, "");
SYMBOL_CRC(nfc_allocate_device, 0x5bc24e01, "");
SYMBOL_CRC(nfc_register_device, 0x984f6624, "");
SYMBOL_CRC(nfc_unregister_device, 0x02cbdeb1, "");
SYMBOL_CRC(__nfc_alloc_vendor_cmd_reply_skb, 0x1e7bbd0e, "");
SYMBOL_CRC(nfc_vendor_cmd_reply, 0xaca16ccb, "");
SYMBOL_CRC(nfc_proto_register, 0xef7d7fa3, "");
SYMBOL_CRC(nfc_proto_unregister, 0xf6c28329, "");
SYMBOL_CRC(nfc_send_to_raw_sock, 0x0ecf2e3b, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1e89b4f, "sock_register" },
	{ 0x61e40f14, "datagram_poll" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x405be82d, "put_device" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x448d0691, "rt_write_unlock" },
	{ 0xdc02365d, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xeafd96d1, "skb_queue_tail" },
	{ 0xc40a13ae, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xbd432d26, "__sock_recv_timestamp" },
	{ 0x96f04426, "sock_no_shutdown" },
	{ 0xd0fe6c1, "devm_kfree" },
	{ 0x46e3e4fa, "init_net" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x6059e10c, "device_add" },
	{ 0xb972c7a9, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x3f0bae12, "sk_free" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0xbfd4e5, "sock_no_accept" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x29157a8e, "skb_push" },
	{ 0x7a8536e7, "sock_no_listen" },
	{ 0x5a921311, "strncmp" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x983c1964, "ida_free" },
	{ 0x2e103377, "class_unregister" },
	{ 0x98f0a052, "ns_capable" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4d18cec7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1b36cd96, "sock_no_bind" },
	{ 0x9aa3da77, "skb_copy_datagram_iter" },
	{ 0xb7155b1c, "rfkill_alloc" },
	{ 0x3685a95d, "class_dev_iter_init" },
	{ 0xa72d34e6, "sk_alloc" },
	{ 0x2a795e6d, "device_del" },
	{ 0xdf8d3c59, "__sock_recv_wifi_status" },
	{ 0x6014eb7e, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x87602df9, "sock_no_mmap" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x3577c83d, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3a188989, "rt_read_lock" },
	{ 0x1c9957f, "__pm_runtime_resume" },
	{ 0xff282521, "rfkill_register" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x5eb8ebbf, "skb_recv_datagram" },
	{ 0x86db9e6c, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x18dee5e1, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe5149324, "sock_no_getname" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf0b228a7, "skb_copy" },
	{ 0x1a1ff557, "skb_clone" },
	{ 0x66852c83, "rt_write_lock" },
	{ 0x9771ccd9, "_copy_from_iter" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x3cead20b, "remove_wait_queue" },
	{ 0xfb6ba863, "sock_no_ioctl" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0x76c53ac8, "genl_unregister_family" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x790a1c96, "iov_iter_revert" },
	{ 0x321eef85, "genl_register_family" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xa5f3b365, "class_register" },
	{ 0x8087f62a, "__pm_runtime_idle" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x5ce15b2a, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xa954e45b, "release_sock" },
	{ 0x36d301e3, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1d6041dc, "class_find_device" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x63a78f59, "skb_free_datagram" },
	{ 0x57cb6120, "sock_queue_rcv_skb_reason" },
	{ 0xad52e80a, "ida_alloc_range" },
	{ 0xbd385d7e, "class_dev_iter_next" },
	{ 0xd57eadb2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xabe460aa, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7a6aa5bb, "skb_dequeue" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x87fb1dbe, "add_wait_queue_exclusive" },
	{ 0x2de57d2c, "device_initialize" },
	{ 0xd03b043, "sock_no_sendmsg" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x18ed187f, "genlmsg_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0xd59c60f0, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x54dd28ae, "sock_no_connect" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xeb2fa3fc, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd34b6576, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeae06e54, "sk_error_report" },
	{ 0xbd7bf3bd, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe628bd4d, "class_dev_iter_exit" },
	{ 0x92997ed8, "_printk" },
	{ 0xf1b11fba, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "08453F86210F371FF17EE1A");

MODULE_INFO(suserelease, "ALP-0.1");
