#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0xf4156ebf, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0x4b824e5f, "_gpl");
SYMBOL_CRC(gss_mech_get, 0xf829e9a7, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x8f958c15, "");
SYMBOL_CRC(gss_mech_put, 0x0c98d4d4, "");
SYMBOL_CRC(svcauth_gss_flavor, 0xc7eeaf90, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0xb48ef521, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4b15b8ea, "rpc_sleep_on_timeout" },
	{ 0xe9d14cfe, "rpc_create" },
	{ 0x1124a15, "bpf_trace_run1" },
	{ 0x9273c22e, "rpc_call_sync" },
	{ 0xf2fded0f, "from_kuid" },
	{ 0xe49b0c91, "unregister_pernet_subsys" },
	{ 0x434ed86, "rpc_queue_upcall" },
	{ 0x56cbec6f, "xdr_encode_word" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xc6076404, "cache_check" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xfb95144d, "svcauth_unix_set_client" },
	{ 0x3d353ce6, "xdr_buf_subsegment" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0xf6c87ef1, "make_kgid" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xa783a080, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x6c20b0f7, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8d465adf, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x2fbe56f3, "bpf_trace_run3" },
	{ 0xa01a78e7, "__put_net" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x341d4fad, "rpc_mkpipe_dentry" },
	{ 0xe7b07afd, "rpc_mkpipe_data" },
	{ 0xdb385990, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xd4a0d1c6, "trace_event_buffer_reserve" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0xae210ec9, "cache_register_net" },
	{ 0xa427b25e, "init_user_ns" },
	{ 0xd4dfd739, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x358efb1a, "xdr_inline_pages" },
	{ 0x53813557, "__folio_put" },
	{ 0xcf4a2ba, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x7367ab1c, "rpc_init_wait_queue" },
	{ 0x95ffc6dc, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8c87ef14, "rpc_unlink" },
	{ 0x13d7a144, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0xe0a018d2, "from_kuid_munged" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x5902eb28, "rpcauth_init_cred" },
	{ 0x5a4e7ff1, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe5120a96, "cache_destroy_net" },
	{ 0x754d539c, "strlen" },
	{ 0xf164bd0a, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x3ae30719, "xdr_stream_pos" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x41146b1, "sunrpc_cache_update" },
	{ 0x386439f1, "xdr_truncate_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8e92b65b, "rpc_destroy_wait_queue" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd5039ae3, "auth_domain_put" },
	{ 0x2f007f8b, "rpcauth_unwrap_resp_decode" },
	{ 0x65c2f47e, "rpcauth_register" },
	{ 0xa69e92eb, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0xd57eadb2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x58dbcdc8, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0xe001cd2f, "xdr_buf_from_iov" },
	{ 0x98d73451, "bpf_trace_run4" },
	{ 0x9bac2254, "xdr_stream_decode_opaque_auth" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1ae11540, "xdr_write_pages" },
	{ 0x8403f278, "rpc_shutdown_client" },
	{ 0x1b8095ef, "auth_domain_find" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xde86347e, "xdr_inline_decode" },
	{ 0x5ce3daa7, "cache_create_net" },
	{ 0x5aa6a67d, "rpcauth_destroy_credcache" },
	{ 0x4f93cdcf, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x61897b82, "bpf_trace_run6" },
	{ 0xb3b42521, "rpc_net_ns" },
	{ 0xa4e3f3d8, "read_bytes_from_xdr_buf" },
	{ 0xeb50ed41, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x91d60580, "finish_wait" },
	{ 0xef3e4ba6, "rpc_wake_up" },
	{ 0xf9890870, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xdf3339f1, "sunrpc_cache_lookup_rcu" },
	{ 0xd48b929e, "prepare_to_wait" },
	{ 0x4bec2f6c, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0x350c478, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0xe68277c5, "bpf_trace_run2" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0x877b6e94, "xdr_truncate_decode" },
	{ 0xfd9efbd8, "rpcauth_unregister" },
	{ 0x88adb634, "__wake_up" },
	{ 0xa2b0c820, "__xdr_commit_encode" },
	{ 0x97c0e82b, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x60e9916c, "rpc_sleep_on" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xaabcc2e7, "__put_cred" },
	{ 0xe67a3778, "register_pernet_subsys" },
	{ 0xeab0566c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf42dd4d5, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0xc694f814, "rpc_release_client" },
	{ 0x75ff12fc, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe1016d4c, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb3ed744b, "svc_auth_register" },
	{ 0x5d8fd910, "xdr_stream_encode_opaque_auth" },
	{ 0x1c98150d, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x65b8e09b, "rpc_destroy_pipe_data" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5417537b, "__free_pages" },
	{ 0x68fb3d0c, "rpc_pipe_generic_upcall" },
	{ 0xc40a13ae, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x9357f359, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xcd6f628e, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5edc48f4, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf702400d, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0xb13642d6, "rpcauth_init_credcache" },
	{ 0xf11acd06, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0xe7068ef0, "xdr_init_decode" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x3e526055, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0xa5eb55da, "rpc_call_null" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "442D20FD55D123F4807A85A");

MODULE_INFO(suserelease, "ALP-0.1");
