#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(vsock_bind_table, 0x284e07d8, "_gpl");
SYMBOL_CRC(vsock_connected_table, 0x9bb6fd09, "_gpl");
SYMBOL_CRC(vsock_table_lock, 0xf1ef42c6, "_gpl");
SYMBOL_CRC(vsock_insert_connected, 0xd58cb510, "_gpl");
SYMBOL_CRC(vsock_remove_bound, 0x021b2a29, "_gpl");
SYMBOL_CRC(vsock_remove_connected, 0x3cb11e22, "_gpl");
SYMBOL_CRC(vsock_find_bound_socket, 0xff13e280, "_gpl");
SYMBOL_CRC(vsock_find_connected_socket, 0xfff4c8e9, "_gpl");
SYMBOL_CRC(vsock_remove_sock, 0x90109cda, "_gpl");
SYMBOL_CRC(vsock_for_each_connected_socket, 0xb28d1b36, "_gpl");
SYMBOL_CRC(vsock_add_pending, 0x6c429081, "_gpl");
SYMBOL_CRC(vsock_remove_pending, 0xe5c02dd8, "_gpl");
SYMBOL_CRC(vsock_enqueue_accept, 0xd3978684, "_gpl");
SYMBOL_CRC(vsock_assign_transport, 0x998322bf, "_gpl");
SYMBOL_CRC(vsock_find_cid, 0x90aa8549, "_gpl");
SYMBOL_CRC(vsock_create_connected, 0x676d43d6, "_gpl");
SYMBOL_CRC(vsock_stream_has_data, 0x5095316d, "_gpl");
SYMBOL_CRC(vsock_connectible_has_data, 0x895dc332, "_gpl");
SYMBOL_CRC(vsock_stream_has_space, 0xf154b5f8, "_gpl");
SYMBOL_CRC(vsock_data_ready, 0xf8e31aa2, "_gpl");
SYMBOL_CRC(vsock_dgram_recvmsg, 0xc6a20d83, "_gpl");
SYMBOL_CRC(vsock_connectible_recvmsg, 0xf398c116, "_gpl");
SYMBOL_CRC(vsock_core_get_transport, 0x78a15f34, "_gpl");
SYMBOL_CRC(vsock_core_register, 0xecf58c33, "_gpl");
SYMBOL_CRC(vsock_core_unregister, 0x6f481ace, "_gpl");
SYMBOL_CRC(vsock_add_tap, 0x524349f2, "_gpl");
SYMBOL_CRC(vsock_remove_tap, 0xa5755953, "_gpl");
SYMBOL_CRC(vsock_deliver_tap, 0x33142fc0, "_gpl");
SYMBOL_CRC(vsock_addr_init, 0x3d4b0fca, "_gpl");
SYMBOL_CRC(vsock_addr_validate, 0xec96eadf, "_gpl");
SYMBOL_CRC(vsock_addr_bound, 0x4b99648c, "_gpl");
SYMBOL_CRC(vsock_addr_unbind, 0x0e9bc9b6, "_gpl");
SYMBOL_CRC(vsock_addr_equals_addr, 0xaf2674b5, "_gpl");
SYMBOL_CRC(vsock_addr_cast, 0xb0d7bda7, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x45b6cc73, "ns_capable_noaudit" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xaabcc2e7, "__put_cred" },
	{ 0xeae06e54, "sk_error_report" },
	{ 0xbd7bf3bd, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf1b11fba, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1e89b4f, "sock_register" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x448d0691, "rt_write_unlock" },
	{ 0xdc02365d, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc40a13ae, "module_put" },
	{ 0x3543849e, "sk_msg_is_readable" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3f0bae12, "sk_free" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0xbfd4e5, "sock_no_accept" },
	{ 0xedd17b31, "sock_get_timeout" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x7a8536e7, "sock_no_listen" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x6951bbfc, "sock_recv_errqueue" },
	{ 0x4d18cec7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x95784c3, "mutex_lock_interruptible" },
	{ 0xa72d34e6, "sk_alloc" },
	{ 0x6014eb7e, "sock_no_socketpair" },
	{ 0xd0d2a74, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x87602df9, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x5bdb7603, "sock_copy_user_timeval" },
	{ 0x8d465adf, "nonseekable_open" },
	{ 0xae09bce, "sk_psock_drop" },
	{ 0x2e3a69d4, "__dev_queue_xmit" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa427b25e, "init_user_ns" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1a1ff557, "skb_clone" },
	{ 0x66852c83, "rt_write_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x3cead20b, "remove_wait_queue" },
	{ 0xfb6ba863, "sock_no_ioctl" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x22799e12, "sock_setsockopt" },
	{ 0x5ce15b2a, "sock_init_data" },
	{ 0xa954e45b, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xa971a13d, "sock_map_close" },
	{ 0x57cb6120, "sock_queue_rcv_skb_reason" },
	{ 0xd57eadb2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6f2adb4b, "misc_deregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x70421f21, "consume_skb" },
	{ 0x91d60580, "finish_wait" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd48b929e, "prepare_to_wait" },
	{ 0x430d969a, "sock_map_unhash" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0xd59c60f0, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x97c0e82b, "__module_get" },
	{ 0x11839f99, "sk_stream_error" },
	{ 0x1527859f, "sk_msg_recvmsg" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "39BA75A7626B9DD0340926A");

MODULE_INFO(suserelease, "ALP-0.1");
