#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(key_type_trusted, 0x0fd5b8f8, "_gpl");
SYMBOL_CRC(TSS_authhmac, 0x79470a2c, "_gpl");
SYMBOL_CRC(TSS_checkhmac1, 0xde6f1851, "_gpl");
SYMBOL_CRC(trusted_tpm_send, 0xc4a72936, "_gpl");
SYMBOL_CRC(oiap, 0x73cc8631, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x964d5ca4, "tpm_try_get_ops" },
	{ 0x7ad02a41, "asn1_encode_tag" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x405be82d, "put_device" },
	{ 0x80bf07b4, "tpm_get_random" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc287f583, "tpm_default_chip" },
	{ 0x4f791397, "_dev_err" },
	{ 0x31c28753, "crypto_shash_setkey" },
	{ 0x62b233c9, "user_describe" },
	{ 0xf2a3db9b, "tee_shm_register_kernel_buf" },
	{ 0x5a921311, "strncmp" },
	{ 0x215ae26f, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x32d404ab, "driver_unregister" },
	{ 0x664d425b, "tpm_pcr_extend" },
	{ 0xcd24e146, "hash_digest_size" },
	{ 0x2b5d5197, "crypto_shash_update" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9935a049, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf15c1c50, "tpm_send" },
	{ 0xc3c4c6cc, "hash_algo_name" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc7e64fc2, "asn1_encode_integer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x11008431, "tpm_is_tpm2" },
	{ 0xea2c1de2, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0x44e9a829, "match_token" },
	{ 0x99ebd0bb, "tee_client_close_context" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x933dd317, "key_payload_reserve" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15a7b210, "tee_shm_free" },
	{ 0xfe25c9c6, "tpm_put_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x940f3205, "tee_client_open_context" },
	{ 0x754d539c, "strlen" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x13ce87e8, "asn1_ber_decoder" },
	{ 0xaa4dee32, "crypto_alloc_shash" },
	{ 0x7ace3387, "__static_call_update" },
	{ 0x91ea8726, "asn1_encode_boolean" },
	{ 0x882168e, "driver_register" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb1da6c6c, "tee_client_close_session" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xb8e993d4, "tpm_transmit_cmd" },
	{ 0x5ec10224, "tee_client_invoke_func" },
	{ 0xa4c00324, "asn1_encode_octet_string" },
	{ 0xf05a52fe, "asn1_encode_oid" },
	{ 0x8180cede, "asn1_encode_sequence" },
	{ 0x1e3feace, "look_up_OID" },
	{ 0xf2e60b0, "unregister_key_type" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0x832e60ca, "tpm2_flush_context" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x67c69de7, "tee_client_open_session" },
	{ 0xae59fea7, "register_key_type" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5a0ceda2, "tee_bus_type" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x64fc4f23, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "asn1_encoder,tee");

MODULE_ALIAS("tee:f04a0fe7-1f5d-4b9b-abf7-619b85b4ce8c*");

MODULE_INFO(srcversion, "F053D6E5A97C6EC6D93379F");

MODULE_INFO(suserelease, "ALP-0.1");
