#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(hdac_get_device_id, 0xdbe2f0e5, "_gpl");
SYMBOL_CRC(snd_hda_bus_type, 0xb032be45, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init, 0x864dc18f, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit, 0xf539682d, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exec_verb_unlocked, 0x5d6924b1, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_up, 0x1ada57bd, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_down, 0xd5b3325b, "_gpl");
SYMBOL_CRC(snd_hdac_device_init, 0x5604153c, "_gpl");
SYMBOL_CRC(snd_hdac_device_exit, 0x5fefae82, "_gpl");
SYMBOL_CRC(snd_hdac_device_register, 0xec60a064, "_gpl");
SYMBOL_CRC(snd_hdac_device_unregister, 0xbf35fa2c, "_gpl");
SYMBOL_CRC(snd_hdac_device_set_chip_name, 0xc2f80c5b, "_gpl");
SYMBOL_CRC(snd_hdac_codec_modalias, 0x165f6928, "_gpl");
SYMBOL_CRC(snd_hdac_read, 0x40228b58, "_gpl");
SYMBOL_CRC(_snd_hdac_read_parm, 0x8a2f195c, "_gpl");
SYMBOL_CRC(snd_hdac_read_parm_uncached, 0xd503ab18, "_gpl");
SYMBOL_CRC(snd_hdac_override_parm, 0x10c24039, "_gpl");
SYMBOL_CRC(snd_hdac_get_sub_nodes, 0xfa822329, "_gpl");
SYMBOL_CRC(snd_hdac_refresh_widgets, 0xd7a71ee2, "_gpl");
SYMBOL_CRC(snd_hdac_get_connections, 0xa00eea3e, "_gpl");
SYMBOL_CRC(snd_hdac_power_up, 0xa92e8089, "_gpl");
SYMBOL_CRC(snd_hdac_power_down, 0x1a58aebd, "_gpl");
SYMBOL_CRC(snd_hdac_power_up_pm, 0x32d42fe1, "_gpl");
SYMBOL_CRC(snd_hdac_power_down_pm, 0xa3d7bf3b, "_gpl");
SYMBOL_CRC(snd_hdac_calc_stream_format, 0x5c07cb49, "_gpl");
SYMBOL_CRC(snd_hdac_query_supported_pcm, 0xbd68c478, "_gpl");
SYMBOL_CRC(snd_hdac_is_supported_format, 0xdb3e9542, "_gpl");
SYMBOL_CRC(snd_hdac_codec_read, 0x5a509aad, "_gpl");
SYMBOL_CRC(snd_hdac_codec_write, 0x6f59c1af, "_gpl");
SYMBOL_CRC(snd_hdac_check_power_state, 0x7971fead, "_gpl");
SYMBOL_CRC(snd_hdac_sync_power_state, 0xd8166413, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_init, 0xb3b25cef, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_exit, 0x692fef15, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_add_vendor_verb, 0xa792a42b, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_write_raw, 0xd212394f, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_read_raw, 0xa34a9d88, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw, 0x0c2c076b, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw_once, 0x27fce5e9, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_sync, 0x76941735, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_cmd_io, 0x2588f600, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_cmd_io, 0xfb18d64b, "_gpl");
SYMBOL_CRC(snd_hdac_bus_send_cmd, 0x1aa48de6, "_gpl");
SYMBOL_CRC(snd_hdac_bus_update_rirb, 0xbbe03a9b, "_gpl");
SYMBOL_CRC(snd_hdac_bus_get_response, 0x4b95df6a, "_gpl");
SYMBOL_CRC(snd_hdac_bus_parse_capabilities, 0xdc4077d5, "_gpl");
SYMBOL_CRC(snd_hdac_bus_enter_link_reset, 0x492af1dd, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit_link_reset, 0xd80c2187, "_gpl");
SYMBOL_CRC(snd_hdac_bus_reset_link, 0xcef2d630, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_chip, 0x9d7711a5, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_chip, 0xe367b800, "_gpl");
SYMBOL_CRC(snd_hdac_bus_handle_stream_irq, 0xfdba034b, "_gpl");
SYMBOL_CRC(snd_hdac_bus_alloc_stream_pages, 0xdfc986d4, "_gpl");
SYMBOL_CRC(snd_hdac_bus_free_stream_pages, 0x8beeb05a, "_gpl");
SYMBOL_CRC(snd_hdac_bus_link_power, 0x53f4b029, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream_stripe_ctl, 0x73f29193, "_gpl");
SYMBOL_CRC(snd_hdac_stream_init, 0xf7f1ef3e, "_gpl");
SYMBOL_CRC(snd_hdac_stream_start, 0x813591ce, "_gpl");
SYMBOL_CRC(snd_hdac_stream_stop, 0x9bdf520a, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams, 0xd60bd3fc, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams_and_chip, 0xc152a531, "_gpl");
SYMBOL_CRC(snd_hdac_stream_reset, 0xcb33a4c4, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup, 0x47c9dac9, "_gpl");
SYMBOL_CRC(snd_hdac_stream_cleanup, 0x9df1833c, "_gpl");
SYMBOL_CRC(snd_hdac_stream_assign, 0x7894af15, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release_locked, 0x454966d5, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release, 0x8e3ba37f, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream, 0x1d8d2487, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup_periods, 0x287abb6e, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_params, 0x08ff1c28, "_gpl");
SYMBOL_CRC(snd_hdac_stream_timecounter_init, 0x7a902f62, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync_trigger, 0x41131934, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync, 0x193e116f, "_gpl");
SYMBOL_CRC(snd_hdac_stream_spbcap_enable, 0xb242b0d8, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_spib, 0x0561c79a, "_gpl");
SYMBOL_CRC(snd_hdac_stream_get_spbmaxfifo, 0x4571176a, "_gpl");
SYMBOL_CRC(snd_hdac_stream_drsm_enable, 0x60d801a8, "_gpl");
SYMBOL_CRC(snd_hdac_stream_wait_drsm, 0x6aac76c5, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_dpibr, 0x4a8435fc, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_lpib, 0x1e6c9040, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_prepare, 0xf0692032, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_trigger, 0xbbe7988d, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_cleanup, 0x468e70a4, "_gpl");
SYMBOL_CRC(snd_array_new, 0xbe7dd7dc, "_gpl");
SYMBOL_CRC(snd_array_free, 0x9a8e1877, "_gpl");
SYMBOL_CRC(snd_hdac_print_channel_allocation, 0xe4e07754, "_gpl");
SYMBOL_CRC(snd_hdac_chmap_to_spk_mask, 0x77c754a8, "_gpl");
SYMBOL_CRC(snd_hdac_spk_to_chmap, 0x67bfe791, "_gpl");
SYMBOL_CRC(snd_hdac_setup_channel_mapping, 0x7d11bb9b, "_gpl");
SYMBOL_CRC(snd_hdac_get_active_channels, 0x3bd544c2, "_gpl");
SYMBOL_CRC(snd_hdac_get_ch_alloc_from_ca, 0x4c7ec4b6, "_gpl");
SYMBOL_CRC(snd_hdac_channel_allocation, 0x6cf52668, "_gpl");
SYMBOL_CRC(snd_hdac_register_chmap_ops, 0xa1f848be, "_gpl");
SYMBOL_CRC(snd_hdac_add_chmap_ctls, 0x35383036, "_gpl");
SYMBOL_CRC(snd_hdac_set_codec_wakeup, 0x0a03b797, "_gpl");
SYMBOL_CRC(snd_hdac_display_power, 0x251686c7, "_gpl");
SYMBOL_CRC(snd_hdac_sync_audio_rate, 0x8d245217, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_get_eld, 0xff8dcc3a, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_register_notifier, 0x9577917b, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_init, 0xaa72cc82, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_exit, 0x49b4cf40, "_gpl");
SYMBOL_CRC(snd_hdac_i915_set_bclk, 0x87a4ed0b, "_gpl");
SYMBOL_CRC(snd_hdac_i915_init, 0xe296aadb, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c876e41, "snd_sgbuf_get_addr" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x4655014a, "snd_sgbuf_get_chunk_size" },
	{ 0x33c718fd, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xeab0566c, "trace_event_buffer_commit" },
	{ 0xd3a74b56, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9cdef016, "__pm_runtime_set_status" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x405be82d, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xc40a13ae, "module_put" },
	{ 0xa1bafda8, "component_match_add_typed" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5edc48f4, "perf_trace_run_bpf_submit" },
	{ 0xab5031e5, "bus_unregister" },
	{ 0x4f791397, "_dev_err" },
	{ 0x3fe440b5, "kobject_add" },
	{ 0x6059e10c, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xb8dd3f32, "__devres_alloc_node" },
	{ 0x3e526055, "trace_event_reg" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x4e7af576, "sysfs_create_group" },
	{ 0x9e4e7bbd, "__regmap_init" },
	{ 0x2a795e6d, "device_del" },
	{ 0xfb578fc5, "memset" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x163b8017, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xcd88e364, "sysfs_remove_group" },
	{ 0x2fbe56f3, "bpf_trace_run3" },
	{ 0xed60b119, "component_master_del" },
	{ 0xd2bec633, "regmap_read" },
	{ 0xd4a0d1c6, "trace_event_buffer_reserve" },
	{ 0x1c9957f, "__pm_runtime_resume" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x36160924, "component_bind_all" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x479d8c1f, "kobject_uevent" },
	{ 0x62bb09bf, "clocks_calc_mult_shift" },
	{ 0xee07ad11, "pci_match_id" },
	{ 0x7af48d93, "devres_find" },
	{ 0x482d8969, "regmap_update_bits_base" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x59142c99, "__pm_runtime_suspend" },
	{ 0x5ec21023, "regmap_exit" },
	{ 0x754d539c, "strlen" },
	{ 0x7b3d0ca9, "component_unbind_all" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1db20433, "pci_bus_type" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa7973e26, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe2924e41, "kobject_put" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xd57eadb2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x8f2d6c0e, "regcache_sync" },
	{ 0x25a65fbc, "regmap_write" },
	{ 0xc4b38f79, "snd_dma_alloc_dir_pages" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9856d775, "component_master_add_with_match" },
	{ 0x4f93cdcf, "trace_raw_output_prep" },
	{ 0xe275ec4e, "snd_pcm_add_chmap_ctls" },
	{ 0x863e634d, "pci_dev_put" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xeb50ed41, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x91d60580, "finish_wait" },
	{ 0xc74d9aae, "pci_get_device" },
	{ 0xf9890870, "trace_event_printf" },
	{ 0xc944fadd, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x14abfa6d, "pm_runtime_get_if_active" },
	{ 0x5606db39, "kobject_init" },
	{ 0x2de57d2c, "device_initialize" },
	{ 0xd48b929e, "prepare_to_wait" },
	{ 0x4bec2f6c, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x6d25c5c8, "regcache_reg_cached" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe68277c5, "bpf_trace_run2" },
	{ 0x88adb634, "__wake_up" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm");


MODULE_INFO(srcversion, "C55C99E4C61D3336E964462");

MODULE_INFO(suserelease, "ALP-0.1");
