#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4082dd28, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf20b1d4a, "snd_hda_get_path_from_idx" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x60e3eeb2, "snd_hda_gen_update_outputs" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0xeaea6079, "snd_hda_jack_unsol_event" },
	{ 0xb1e2971e, "snd_hda_gen_shutup_speakers" },
	{ 0xd226f148, "snd_hda_gen_build_pcms" },
	{ 0x2b768412, "snd_hda_mixer_amp_tlv" },
	{ 0xd42811c, "snd_hda_pick_fixup" },
	{ 0xf38c2dcf, "snd_hda_apply_fixup" },
	{ 0x8777ab81, "snd_hda_gen_parse_auto_config" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x5a509aad, "snd_hdac_codec_read" },
	{ 0xb87f36f2, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0x8639bf60, "snd_hda_codec_get_pin_target" },
	{ 0xd34cb2a3, "snd_hda_gen_free" },
	{ 0x5b9717f1, "snd_hda_gen_add_mute_led_cdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xe19afe97, "snd_hda_add_new_ctls" },
	{ 0x18883588, "snd_hda_gen_build_controls" },
	{ 0x8dee5a30, "snd_hda_gen_mic_autoswitch" },
	{ 0x7ba6ce36, "query_amp_caps" },
	{ 0x36090fd9, "snd_hda_mixer_amp_volume_info" },
	{ 0xa34a9d88, "snd_hdac_regmap_read_raw" },
	{ 0x15b4d4da, "snd_hda_jack_detect_state_mst" },
	{ 0x1d1677aa, "snd_hda_gen_spec_init" },
	{ 0x8b213db6, "snd_hda_mixer_amp_switch_info" },
	{ 0x663a5b82, "hda_codec_driver_unregister" },
	{ 0x247207d1, "snd_hda_add_new_path" },
	{ 0x6f59c1af, "snd_hdac_codec_write" },
	{ 0x4d734351, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0x92087873, "snd_hda_gen_add_kctl" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3747e0bc, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0x8a2f195c, "_snd_hdac_read_parm" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x85d531f1, "snd_ctl_boolean_mono_info" },
	{ 0xe964785, "snd_hda_override_amp_caps" },
	{ 0xb794af38, "__hda_codec_driver_register" },
	{ 0x147c74cf, "snd_hda_jack_set_gating_jack" },
	{ 0xa2a9e8ab, "snd_hda_parse_pin_defcfg" },
	{ 0x5f535456, "snd_hda_gen_init" },
	{ 0xc498daef, "snd_hda_activate_path" },
	{ 0x9ebc9638, "snd_hda_gen_add_micmute_led_cdev" },
	{ 0xa792a42b, "snd_hdac_regmap_add_vendor_verb" },
	{ 0x269721c5, "snd_hda_codec_set_pin_target" },
	{ 0xf0b7ddc, "snd_hda_gen_check_power_status" },
	{ 0xd212394f, "snd_hdac_regmap_write_raw" },
	{ 0xc08bddc4, "snd_hda_mixer_amp_volume_get" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-codec-generic,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v14F11F86r*a01*");
MODULE_ALIAS("hdaudio:v14F11F87r*a01*");
MODULE_ALIAS("hdaudio:v14F12008r*a01*");
MODULE_ALIAS("hdaudio:v14F120D0r*a01*");
MODULE_ALIAS("hdaudio:v14F120D1r*a01*");
MODULE_ALIAS("hdaudio:v14F15045r*a01*");
MODULE_ALIAS("hdaudio:v14F15047r*a01*");
MODULE_ALIAS("hdaudio:v14F15051r*a01*");
MODULE_ALIAS("hdaudio:v14F15066r*a01*");
MODULE_ALIAS("hdaudio:v14F15067r*a01*");
MODULE_ALIAS("hdaudio:v14F15068r*a01*");
MODULE_ALIAS("hdaudio:v14F15069r*a01*");
MODULE_ALIAS("hdaudio:v14F1506Cr*a01*");
MODULE_ALIAS("hdaudio:v14F1506Er*a01*");
MODULE_ALIAS("hdaudio:v14F15097r*a01*");
MODULE_ALIAS("hdaudio:v14F15098r*a01*");
MODULE_ALIAS("hdaudio:v14F150A1r*a01*");
MODULE_ALIAS("hdaudio:v14F150A2r*a01*");
MODULE_ALIAS("hdaudio:v14F150ABr*a01*");
MODULE_ALIAS("hdaudio:v14F150ACr*a01*");
MODULE_ALIAS("hdaudio:v14F150B8r*a01*");
MODULE_ALIAS("hdaudio:v14F150B9r*a01*");
MODULE_ALIAS("hdaudio:v14F150F1r*a01*");
MODULE_ALIAS("hdaudio:v14F150F2r*a01*");
MODULE_ALIAS("hdaudio:v14F150F3r*a01*");
MODULE_ALIAS("hdaudio:v14F150F4r*a01*");
MODULE_ALIAS("hdaudio:v14F1510Fr*a01*");
MODULE_ALIAS("hdaudio:v14F15110r*a01*");
MODULE_ALIAS("hdaudio:v14F15111r*a01*");
MODULE_ALIAS("hdaudio:v14F15113r*a01*");
MODULE_ALIAS("hdaudio:v14F15114r*a01*");
MODULE_ALIAS("hdaudio:v14F15115r*a01*");
MODULE_ALIAS("hdaudio:v14F151D7r*a01*");

MODULE_INFO(srcversion, "DF069482A4013BF22BF6B34");

MODULE_INFO(suserelease, "ALP-0.1");
